commit bf0f465e872d6d76a1c1e0709a2050575e93c75c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 17 19:58:19 2011 +1000

    magnatune: temporarily disable this plugin (bug #661957)
    
    Magnatune doesn't work due to g-i/pygobject limitations, and now it's
    causing crashes due to pygobject version clashes, so it's going on
    holiday for a while.

 plugins/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit a8dee25e3e2fcce9c4f012ab5284be78cc2a5964
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 17 19:57:23 2011 +1000

    artdisplay: use gi.repository.GLib instead of glib module (bug #661330)

 plugins/artdisplay/LocalCoverArtSearch.py |   14 ++++++--------
 1 files changed, 6 insertions(+), 8 deletions(-)

commit c17547d6dacd2e1b875fd9f88754fa5f58242137
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 17 19:56:48 2011 +1000

    sendto: stop using glib module and get everything from gi.repository

 plugins/sendto/sendto.py |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 3d79eeb8497efd52e1ae486e856ba5a26755d9bb
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sat Oct 15 18:22:23 2011 +0200

    Updated Esperanto translation

 po/eo.po | 3988 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1918 insertions(+), 2070 deletions(-)

commit 9782af87e92d1a149dea6df1eff53c7170015000
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 15 22:25:18 2011 +1000

    metadata: fix getcwd compiler warning on OpenBSD

 metadata/test-metadata.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9f0e6a19f8e82a0ce2f495e4180725c8e290c714
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 15 12:08:40 2011 +1000

    track-transfer-batch: use lossless if that's all we have (bug #661806)
    
    If the encoding target for the batch only includes lossless profiles,
    use the first one that works.  The only situation this should occur in
    is when extracting from an audio CD with FLAC as the preferred media type.
    
    Otherwise lossless profiles are still ignored, even if a lossy profile
    requires additional plugins to be installed.

 shell/rb-track-transfer-batch.c |   22 +++++++++++++++++++---
 1 files changed, 19 insertions(+), 3 deletions(-)

commit 3a3d2dd499e59fcaf6a9c7956fd06053fc1b0cb7
Author: Ulf Winkelvos <ulf@winkelvos.de>
Date:   Fri Oct 14 08:23:09 2011 +1000

    power-manager: the session manager is on the session bus (bug #661700)

 plugins/power-manager/rb-power-manager-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f03d2bbf0b242f1b1d96c182e39419935544e5b7
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Wed Oct 12 13:51:34 2011 +0300

    Updated Turkish translation

 po/tr.po |  372 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 141 insertions(+), 231 deletions(-)

commit 8f8557533161d5cdf9859af1ebc1f322132835f6
Author: Muhammet Kara <muhammet.k@gmail.com>
Date:   Wed Oct 12 01:25:44 2011 +0300

    Updated Turkish translation

 po/tr.po | 6451 +++++++++++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 5354 insertions(+), 1097 deletions(-)

commit 50b24393f353e10f28ce4617e337e031cf2c851d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 11 22:04:40 2011 +1000

    ipod: try to make the ipod init dialog a bit less hideous

 plugins/ipod/ipod-init.ui |  102 +++++++++++++++++++++++++-------------------
 1 files changed, 58 insertions(+), 44 deletions(-)

commit 70232983c1f0062b8f38c9106372db35f432313f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 11 08:49:32 2011 +1000

    removable-media-manager: take gdk lock when processing events

 shell/rb-removable-media-manager.c |   30 ++++++++++++++++++++----------
 1 files changed, 20 insertions(+), 10 deletions(-)

commit 0b2314843e111880ad1d4eec2b33e1f118dc4d29
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Oct 9 02:06:31 2011 +0300

    Updated Latvian translation.

 po/lv.po |  366 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 168 insertions(+), 198 deletions(-)

commit 571f25af2a889af0f50fd19c429dc9cec8ffb0f3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 8 18:02:01 2011 +1000

    entry-type: fix method check when updating entry availability

 rhythmdb/rhythmdb-entry-type.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 786081b96c9c46656004489cfee374d144ed08f8
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Fri Oct 7 18:51:18 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1257 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 659 insertions(+), 598 deletions(-)

commit 97f38f619d998d7db42511870fe17140b6bc825d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Oct 6 21:43:44 2011 +0200

    Updated Polish translation

 po/pl.po | 1243 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 644 insertions(+), 599 deletions(-)

commit f2b2fd8580546d01c624c025efedd61a02e9c856
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Oct 6 21:36:12 2011 +0200

    Fixed internationalization

 plugins/context/ContextView.py         |    8 +++---
 plugins/lyrics/lyrics.py               |    4 +-
 plugins/magnatune/magnatune.py         |    6 ++--
 plugins/pythonconsole/pythonconsole.py |    8 +++---
 plugins/sendto/sendto.py               |    4 +-
 po/POTFILES.in                         |   42 ++++++++++++++++---------------
 6 files changed, 37 insertions(+), 35 deletions(-)

commit 7d5be17f07194aa456c266b654da5c58d50a0846
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 3 22:49:00 2011 +1000

    shell-player: use delayed sync for volume level (bug #660775)

 shell/rb-shell-player.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 2577e0d7288fb06c627ec46a3509addfcf03e832
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Mon Oct 3 13:49:17 2011 +0200

    Update French translation

 po/fr.po |  721 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 359 insertions(+), 362 deletions(-)

commit d286824228cf5cd2e13da2a0449391f44af86eb2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 1 21:19:43 2011 +1000

    don't take the gdk lock before calling g_application_run
    
    GApplication calls g_main_context_iteration now, rather than going
    through the gtk wrappers that drop the gdk lock appropriately, so
    we just shouldn't hold the lock going in.

 shell/main.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 5ec27a0dece6eb6d7e4d77da4f02f393bbe5c47f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 29 09:45:10 2011 +1000

    revive rhythmbox-client using new dbus interfaces + mpris

 remote/dbus/Makefile.am |    7 +-
 remote/dbus/rb-client.c |  662 ++++++++++++++++++++++++++---------------------
 2 files changed, 366 insertions(+), 303 deletions(-)

commit 6915c5f853ae23d3f50e3053ba71d054d240b8bc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 29 09:43:52 2011 +1000

    add version number to plugin dbus interfaces and object names too

 plugins/daap/rb-daap-plugin.c   |    6 +++---
 plugins/mpris/rb-mpris-plugin.c |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 7e38224ae6b3999a2cd2593823f1408dc5d538b5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 29 09:40:29 2011 +1000

    add version number to all dbus interfaces and object names
    
    Also change some method names to look more like everything else.

 metadata/rb-metadata-dbus.c    |    2 +-
 metadata/rb-metadata-dbus.h    |    6 +++---
 rhythmdb/rhythmdb-dbus.c       |    6 +++---
 shell/rb-playlist-manager.c    |   34 +++++++++++++++++-----------------
 sources/rb-play-queue-source.c |    6 +++---
 5 files changed, 27 insertions(+), 27 deletions(-)

commit fa9a352b67347c9aa4f516052f3f1ef5a0b53dc6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 29 09:30:34 2011 +1000

    shell: convert the shell into a GtkApplication
    
    This mostly replaces the shell dbus interface.  We're now using
    org.gnome.Rhythmbox3 as the dbus name since old dbus clients will not
    be able to talk to rhythmbox 3+ from here on.

 .gitignore                           |    2 +-
 bindings/vala/rb.vapi                |    1 -
 configure.ac                         |   14 +-
 data/Makefile.am                     |    4 +-
 data/org.gnome.Rhythmbox.service.in  |    3 -
 data/org.gnome.Rhythmbox3.service.in |    3 +
 shell/Makefile.am                    |    7 -
 shell/main.c                         |  339 +----
 shell/rb-shell.c                     | 2706 +++++++++++++++++----------------
 shell/rb-shell.h                     |   29 +-
 shell/rb-shell.xml                   |   93 --
 11 files changed, 1417 insertions(+), 1784 deletions(-)

commit e66d4d374dae1a69f8efa71de490cded9033fe11
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 29 09:23:56 2011 +1000

    stop defining _XOPEN_SOURCE as it breaks glib sometimes

 plugins/audiocd/Makefile.am               |    2 +-
 plugins/audioscrobbler/Makefile.am        |    2 +-
 plugins/brasero-disc-recorder/Makefile.am |    2 +-
 plugins/daap/Makefile.am                  |    2 +-
 plugins/dbus-media-server/Makefile.am     |    2 +-
 plugins/fmradio/Makefile.am               |    2 +-
 plugins/generic-player/Makefile.am        |    2 +-
 plugins/grilo/Makefile.am                 |    2 +-
 plugins/ipod/Makefile.am                  |    2 +-
 plugins/iradio/Makefile.am                |    2 +-
 plugins/lirc/Makefile.am                  |    2 +-
 plugins/mmkeys/Makefile.am                |    2 +-
 plugins/mpris/Makefile.am                 |    2 +-
 plugins/mtpdevice/Makefile.am             |    2 +-
 plugins/notification/Makefile.am          |    2 +-
 plugins/power-manager/Makefile.am         |    2 +-
 plugins/sample-vala/Makefile.am           |    2 +-
 plugins/sample/Makefile.am                |    2 +-
 plugins/visualizer/Makefile.am            |    2 +-
 shell/Makefile.am                         |    3 ++-
 tests/Makefile.am                         |    2 +-
 21 files changed, 22 insertions(+), 21 deletions(-)

commit fd59a75af65ec309fb09d6fbd25a809a29fa9a10
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Sep 29 09:23:11 2011 +1000

    stop using shell.get_ui_manager in various plugins

 plugins/context/ContextView.py |    4 ++--
 plugins/lyrics/lyrics.py       |    4 ++--
 plugins/sendto/sendto.py       |   12 +++++++-----
 3 files changed, 11 insertions(+), 9 deletions(-)

commit 5e32ee5bfe915beccd804ef311724bb8fdc7bed9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Sep 28 23:18:20 2011 +1000

    switch to pygobject 3 (bug #660351)

 configure.ac |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 209b3e8f758063d31cbce138f302d23a77eec45d
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Sep 20 20:22:33 2011 +0200

    Updated Swedish translation

 po/sv.po | 2597 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1245 insertions(+), 1352 deletions(-)

commit 8b158c834a4f5972aa5839bddb1e160d5fcdfab4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 20 23:46:14 2011 +1000

    display-page-model: allow children to be added before their parents (bug #649020)
    
    This is a bit ugly, but it means pages can create and insert their own children
    as part of their construction, which seems useful and right.  The specific
    example here is the library creating child sources for multiple library
    locations.

 sources/rb-display-page-model.c |   18 +++++++++++++++++-
 sources/rb-display-page.c       |   16 ++++++++++++++++
 sources/rb-display-page.h       |    5 +++++
 3 files changed, 38 insertions(+), 1 deletions(-)

commit 5ddb835803750bf3bf5433828808999e98cd9780
Author: Jean Schurger <jean@schurger.org>
Date:   Tue Sep 20 08:57:46 2011 +1000

    visualizer: install mx theme data to datadir not libdir (bug #659508)

 plugins/visualizer/Makefile.am |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit dc40bca2506f7716e5096264c77ca7aeff376b1d
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Mon Sep 19 21:15:48 2011 +0200

    [l10n] Updated German translation

 po/de.po |  498 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 253 insertions(+), 245 deletions(-)

commit 928a46c7a8e898cb5fd55d69d401712db9514135
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Sep 19 21:25:08 2011 +0300

    Updated Latvian translation.

 po/lv.po | 1878 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 972 insertions(+), 906 deletions(-)

commit 2dfea611896d34b7909444d372ae1175074fd3ec
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Sep 18 10:39:10 2011 +1000

    removable-media-source: fix encoding target property accessor (bug #658363)

 sources/rb-removable-media-source.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 67192685d853040ada31d35926909241be16df7b
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Sep 17 22:24:01 2011 +0200

    Updated Czech translation

 po/cs.po |   28 +++++++++++++++-------------
 1 files changed, 15 insertions(+), 13 deletions(-)

commit a72b43d4119c7ed6838625cc8ae2a13134514ba4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 17 22:54:09 2011 +1000

    grilo: use thumbnail key to provide album art

 plugins/grilo/rb-grilo-plugin.c |  112 +++++++++++++++++++++++++++++++++++++++
 plugins/grilo/rb-grilo-source.c |   11 +----
 plugins/grilo/rb-grilo-source.h |   19 +++++++
 3 files changed, 132 insertions(+), 10 deletions(-)

commit 6ac5f9d027ae7667de5a32b936fb3cc855d684ec
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Sat Sep 17 10:55:47 2011 +0200

    Updated Slovenian translation

 po/sl.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 179571bbba30f1d7d06624e978d0951c2234325c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 17 18:27:27 2011 +1000

    grilo: move the search bar into the pane with the browser

 plugins/grilo/rb-grilo-source.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 3d89532b62e88a0f17fe9684097845e61f05cd46
Author: Jean Schurger <jean@schurger.org>
Date:   Sat Sep 17 07:46:43 2011 +1000

    grilo: don't crash on browser selection if there's no search bar (bug #659261)

 plugins/grilo/rb-grilo-source.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 42165b4e66b97b27ff436b84974b35843818441f
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Thu Sep 15 22:38:12 2011 +0200

    Updated Slovenian translation

 po/sl.po |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit cdc0368516d8eaa9ef93188e247e83e82435fa4b
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Thu Sep 15 13:57:00 2011 +0200

    Updated Spanish translation

 po/es.po |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit ff4af709400d269971e3007d3d61ec4104457a7a
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Wed Sep 14 15:50:14 2011 +0200

    Updated Slovenian translation

 po/sl.po |   31 +++++++++++++++++--------------
 1 files changed, 17 insertions(+), 14 deletions(-)

commit 08d25621d7460fa1f1523105bc7b68c966e74015
Author: Matej Urbančič <mateju@svn.gnome.org>
Date:   Tue Sep 13 22:30:06 2011 +0200

    Updated Slovenian translation

 po/sl.po |  170 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 82 insertions(+), 88 deletions(-)

commit ca6366f7ad9604a2420e8434c5e3ac96dde38bb8
Author: Martin Srebotnjak <miles@filmsi.net>
Date:   Tue Sep 13 21:44:55 2011 +0200

    Updated Slovenian translation

 po/sl.po |  842 +++++++-------------------------------------------------------
 1 files changed, 84 insertions(+), 758 deletions(-)

commit a9397acc723ebce9f56bf851f1ceaa655c3966cf
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Tue Sep 13 21:23:52 2011 +0200

    Updated Polish translation

 po/pl.po |   25 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit a70abcc574451355f5b95c004e9f3dd0c4358d52
Author: dmustieles <daniel.mustieles@gmail.com>
Date:   Tue Sep 13 17:46:00 2011 +0200

    Updated Spanish translation

 po/es.po |   34 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit 75e1de32d7dcca3ee5da3c3c3a403889409c73a1
Author: Antoine Jacoutot <ajacoutot@openbsd.org>
Date:   Tue Sep 13 15:25:31 2011 +0200

    Properly install gsetting schema files on BSDs.
    
    Apply the same recipe as in #627126.

 macros/gsettings.m4 |   16 ++--------------
 1 files changed, 2 insertions(+), 14 deletions(-)

commit c925287faad2eca815b3ff509be59cc85e2df060
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 13 21:12:16 2011 +1000

    dbus-media-server: add track number, forget about fancy display names
    
    Fancy display names (including artist, album etc.) didn't really solve
    the problem, and they caused other problems too.

 .../rb-dbus-media-server-plugin.c                  |   45 ++++---------------
 1 files changed, 10 insertions(+), 35 deletions(-)

commit 61d473070a5965332e1714c0290eb32665660353
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 12 21:57:26 2011 +1000

    grilo: use ngettext where appropriate (bug #658801)

 plugins/grilo/rb-grilo-source.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 8c9423decc0e017f36f2dfdcb722acc51367be92
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 12 21:56:49 2011 +1000

    grilo: use track number if present

 plugins/grilo/rb-grilo-source.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 0074a10df0404af2496c34e1773f35f278a0461d
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Sep 12 12:42:20 2011 +0200

    Updated Czech translation

 po/cs.po |  271 ++++++++++++++++++-------------------------------------------
 1 files changed, 80 insertions(+), 191 deletions(-)

commit 9f4a17902a9c0e6962d6d975e97fb517cb266c48
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Sep 11 18:18:27 2011 +0200

    Updated Spanish translation

 po/es.po |  393 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 196 insertions(+), 197 deletions(-)

commit 8a4cb4b55d15ecec5b96e805ae2f65b2d87bb62b
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sat Sep 10 15:58:22 2011 +0200

    Updated Polish translation

 po/pl.po |  176 ++++++++++---------------------------------------------------
 1 files changed, 29 insertions(+), 147 deletions(-)

commit 0296f0fe21708cba3b2402dc99f30a5ff13feac2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 10 23:18:57 2011 +1000

    add grilo plugin
    
    Still a few rough edges, but everything seems to work.  This
    replaces the coherence and jamendo plugins.

 configure.ac                         |   23 +
 data/org.gnome.rhythmbox.gschema.xml |    4 +
 plugins/Makefile.am                  |    4 +
 plugins/grilo/Makefile.am            |   45 ++
 plugins/grilo/grilo.plugin.in        |    8 +
 plugins/grilo/rb-grilo-plugin.c      |  184 ++++++
 plugins/grilo/rb-grilo-source.c      | 1104 ++++++++++++++++++++++++++++++++++
 plugins/grilo/rb-grilo-source.h      |   65 ++
 po/POTFILES.in                       |    3 +
 9 files changed, 1440 insertions(+), 0 deletions(-)

commit e3c6da3b33308fb08ffeab9ecf6e0fd9609b7486
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 10 20:11:25 2011 +1000

    search-entry: add explicit search mode
    
    In explicit search mode, the search entry includes a button rather
    than a label, and only emits the search signal when the button is
    pressed, rather than when the user stops typing.

 widgets/rb-search-entry.c |  141 +++++++++++++++++++++++++++++++++++++++-----
 widgets/rb-search-entry.h |    2 +-
 2 files changed, 126 insertions(+), 17 deletions(-)

commit 5db81f7c22d7d558663e2f6db3bdcb871d3d482f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 10 12:58:03 2011 +1000

    remove jamendo plugin
    
    Downloading the entire catalogue isn't really a viable approach
    any more.

 configure.ac                                       |    1 -
 data/org.gnome.rhythmbox.gschema.xml               |   13 -
 plugins/Makefile.am                                |    1 -
 plugins/jamendo/JamendoConfigureDialog.py          |   58 ----
 plugins/jamendo/JamendoSaxHandler.py               |  107 -------
 plugins/jamendo/JamendoSource.py                   |  330 --------------------
 plugins/jamendo/Makefile.am                        |   32 --
 .../jamendo/icons/hicolor/24x24/places/jamendo.png |  Bin 878 -> 0 bytes
 plugins/jamendo/jamendo-loading.ui                 |  195 ------------
 plugins/jamendo/jamendo-prefs.ui                   |  121 -------
 plugins/jamendo/jamendo.plugin.in                  |   10 -
 plugins/jamendo/jamendo.py                         |  137 --------
 plugins/jamendo/jamendo_logo.png                   |  Bin 27947 -> 0 bytes
 plugins/jamendo/jamendo_logo_medium.png            |  Bin 12493 -> 0 bytes
 po/POTFILES.in                                     |    6 -
 15 files changed, 0 insertions(+), 1011 deletions(-)

commit 4365dd9085834fb4bd8307606a0d7ee4db81527f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 10 12:48:54 2011 +1000

    remove coherence plugin
    
    hasn't worked for a long time, and I'm about to add a new media
    browser plugin using grilo.

 plugins/Makefile.am                             |    2 -
 plugins/coherence/Makefile.am                   |   16 -
 plugins/coherence/coherence.rb-plugin.in        |    9 -
 plugins/coherence/upnp_coherence/Makefile.am    |    8 -
 plugins/coherence/upnp_coherence/MediaPlayer.py |  547 -----------------------
 plugins/coherence/upnp_coherence/MediaStore.py  |  495 --------------------
 plugins/coherence/upnp_coherence/UpnpSource.py  |  147 ------
 plugins/coherence/upnp_coherence/__init__.py    |  326 --------------
 8 files changed, 0 insertions(+), 1550 deletions(-)

commit 2275baef84d598a1b47da01202c9aa98757e7cfa
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 10 12:35:07 2011 +1000

    enable maintainer mode by default

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 31e8e0e6b3a4af101f60b5733e0cfdd736f3dd6d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Sep 8 22:14:15 2011 +0200

    Updated Polish translation

 po/pl.po |  658 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 362 insertions(+), 296 deletions(-)

commit ca24590d4be8602d02947d1d373ebdfa73b73e59
Author: Alexandre Franke <alexandre.franke@gmail.com>
Date:   Thu Sep 1 15:46:58 2011 +0200

    Update French translation

 po/fr.po |   77 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 43 insertions(+), 34 deletions(-)

commit 1bed894c6ba95db485a62ac3baf3e5bca605d166
Author: Cheng-Chia Tseng <pswo10680@gmail.com>
Date:   Mon Aug 29 19:09:16 2011 +0800

    Updated Traditional Chinese translation(Hong Kong and Taiwan)

 po/zh_HK.po | 6332 +++++++++++++++++++++++++++++++++--------------------------
 po/zh_TW.po | 6351 +++++++++++++++++++++++++++++++++--------------------------
 2 files changed, 7128 insertions(+), 5555 deletions(-)

commit 8ff760e4500dd22c44907b71b5c38b369d0e39a0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 26 08:58:38 2011 +1000

    don't crash when looking at the 'copy' encoding profile (bug #657185)

 shell/rb-track-transfer-batch.c |    3 ++-
 shell/rb-track-transfer-queue.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit d33d36fabca88bc2830f1c0450fbc97f910b59da
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Tue Aug 23 20:07:48 2011 +0200

    Updated Serbian translation

 po/sr.po       |  746 +++++++++++++++++++++++++++++++++-----------------------
 po/sr@latin.po |  746 +++++++++++++++++++++++++++++++++-----------------------
 2 files changed, 870 insertions(+), 622 deletions(-)

commit 94979ab998415271140872bf3a2081ad0d6bb935
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 23 20:47:29 2011 +1000

    dbus-media-server: don't crash on property changes (bug #657126)

 .../rb-dbus-media-server-plugin.c                  |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2caa27b7cd90204498464fafe51c257b60d19fc0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 23 20:03:24 2011 +1000

    lyrics: fix various problems with configuration (bug #657119)

 plugins/lyrics/LyricsConfigureDialog.py |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit e054b41e86faeb935959524b8a3d906481c57704
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Aug 21 22:05:11 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |  476 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 280 insertions(+), 196 deletions(-)

commit f00a787648a0e2e6d69c1c39a5328bd2a55fa11e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 19 23:27:45 2011 +1000

    shell: fix include path for girepository.h

 shell/main.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a81c24a048dea3ee7bf1436542bbdaffe30a150f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 19 23:21:20 2011 +1000

    finish converting plugins to use introspection for everything
    
    embedded cover art search requires improvements to GStreamer
    introspection and/or pygobject, so it's currently disabled.

 plugins/artdisplay/CoverArtDatabase.py       |   10 +++---
 plugins/artdisplay/EmbeddedCoverArtSearch.py |   34 +++++++++---------
 plugins/artdisplay/LocalCoverArtSearch.py    |    3 +-
 plugins/artdisplay/artdisplay.py             |   47 +++++++++++++------------
 plugins/context/AlbumTab.py                  |   21 +++++------
 plugins/context/ArtistTab.py                 |   27 +++++++--------
 plugins/context/ContextView.py               |   11 +++---
 plugins/context/LinksTab.py                  |   19 +++++-----
 plugins/context/LyricsTab.py                 |   21 +++++------
 plugins/jamendo/JamendoSource.py             |   15 ++++----
 plugins/jamendo/jamendo.py                   |   10 ++---
 plugins/lyrics/LyricsConfigureDialog.py      |    3 +-
 plugins/lyrics/LyricsParse.py                |    5 +--
 plugins/magnatune/MagnatuneSource.py         |   19 +++++-----
 plugins/magnatune/magnatune.py               |   18 ++++-----
 plugins/rb/Loader.py                         |   17 ++++-----
 plugins/replaygain/player.py                 |   38 +++++++--------------
 17 files changed, 146 insertions(+), 172 deletions(-)

commit 6f0fa0f96f74b44e273cc0f650a83dfb8a27ee8e
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Aug 17 16:35:54 2011 +0100

    configure.ac: indicate whether visualizer plugin is being built
    
    https://bugzilla.gnome.org/show_bug.cgi?id=656759

 configure.ac |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit a967a90eb6af16cd480d7f8dd187c1e34f433f4c
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jun 20 13:13:08 2011 +0100

    audioscrobbler: ensure RBAudioscrobblerUserData stays alive for image download
    
    Make RBAudioscrobblerUserData refcounted and give the download map a reference.
    Also make download maps responsible for unreffing their keys and values, and
    fix a couple leaks.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645015

 plugins/audioscrobbler/rb-audioscrobbler-user.c |  130 ++++++++++++-----------
 plugins/audioscrobbler/rb-audioscrobbler-user.h |    2 +
 2 files changed, 69 insertions(+), 63 deletions(-)

commit 81a502acf33e985bd217e5e8d05cd5ea877d8d7b
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Aug 9 19:42:43 2011 +0200

    Updated Czech translation

 po/cs.po |   80 ++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 45 insertions(+), 35 deletions(-)

commit d9fe72447999c2777ddc053dfa28ff363e84336d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Aug 8 21:06:44 2011 +1000

    visualizer: add colorspace converter so it works with playbin2

 plugins/visualizer/rb-visualizer-page.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 8be7ec879217525f7fed7d6692aa0ed5fc9db3f2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Aug 7 20:55:54 2011 +1000

    display-page-model: update group visibility when removing pages

 sources/rb-display-page-model.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 78bf97ef80ed50ba5f8e1eadf5433902e502a078
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Aug 6 21:37:41 2011 +0200

    [l10n] Updated German translation

 po/de.po |   75 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 43 insertions(+), 32 deletions(-)

commit 6a9687f87b628a6f08cc69838b280d9e2064a8ed
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Aug 6 13:05:12 2011 +0200

    Updated Slovenian translation

 po/sl.po |  116 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 81 insertions(+), 35 deletions(-)

commit fd52cc7c7d030037cd19fdff15ff55a12e66e1bc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Aug 6 13:01:16 2011 +0200

    Updated Spanish translation

 po/es.po |   91 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 49 insertions(+), 42 deletions(-)

commit ebaa4d566ebb9d8a027ea30c4f2a9e88d258ec2f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 5 22:55:50 2011 +1000

    dbus-media-server: fix various stupid bugs in previous commit

 .../rb-dbus-media-server-plugin.c                  |   30 +++----------------
 1 files changed, 5 insertions(+), 25 deletions(-)

commit 34927db670f6bd3ae71a1a8c6c5888aaf42dc743
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Aug 5 22:35:15 2011 +1000

    dbus-media-server: add artist/album/genre trees
    
    Only one level, and only for the library so far.  Music item
    display names are now a bit more interesting too.

 .../rb-dbus-media-server-plugin.c                  | 1241 +++++++++++++++++---
 1 files changed, 1105 insertions(+), 136 deletions(-)

commit 5371a53f180007f7998720acf8d7d3376376a39d
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Tue Aug 2 18:34:12 2011 +0200

    Updated French translation

 po/fr.po | 2107 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 897 insertions(+), 1210 deletions(-)

commit e21f33201867b9905efdc795e85df8f70f72db21
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Aug 2 08:51:24 2011 +1000

    shell: don't override toolbar visibility setting for no reason (bug #655760)

 shell/rb-shell.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 685f9233c028784e0608344e71f2ff8fe58448cd
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Tue Aug 2 01:48:16 2011 +0400

    Updated Russian translation

 po/ru.po |  569 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 302 insertions(+), 267 deletions(-)

commit 5adfb7296fca095ce147d05f8eac2a23f6e13de4
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Jul 31 18:37:16 2011 +0200

    [l10n] Updated German translation

 po/de.po |   77 +++++++++++++++++++++++++++++++++++++++++++++++++-------------
 1 files changed, 61 insertions(+), 16 deletions(-)

commit 8135495bed59643d63a0d557da558efbf1937c82
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Jul 30 19:18:20 2011 +0200

    Updated Slovenian translation

 po/sl.po |  831 ++++++++++++++++++++++----------------------------------------
 1 files changed, 299 insertions(+), 532 deletions(-)

commit 7831b9031585049db3284ad29a5fdd0d93761ee5
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Fri Jul 29 15:15:04 2011 +0200

    Added Basque language

 help/Makefile.am                              |    2 +-
 help/eu/eu.po                                 | 2979 +++++++++++++++++++++++++
 help/eu/figures/rb-iradio-main.png            |  Bin 0 -> 116940 bytes
 help/eu/figures/rb-notification-area-menu.png |  Bin 0 -> 12469 bytes
 help/eu/figures/rb-notification-window.png    |  Bin 0 -> 14934 bytes
 help/eu/figures/rb-notification-zone.png      |  Bin 0 -> 5793 bytes
 help/eu/figures/rb-podcast-main.png           |  Bin 0 -> 140701 bytes
 help/eu/figures/rb-statusbar.png              |  Bin 0 -> 2854 bytes
 help/eu/figures/rb-toolbar-prevplaynext.png   |  Bin 0 -> 2877 bytes
 help/eu/figures/rb-toolbar-repeat.png         |  Bin 0 -> 10782 bytes
 help/eu/figures/rb-toolbar-shuffle.png        |  Bin 0 -> 10757 bytes
 help/eu/figures/rb-toolbar.png                |  Bin 0 -> 10668 bytes
 help/eu/figures/rb-volume-changer.png         |  Bin 0 -> 1046 bytes
 help/eu/figures/rb-window-small.png           |  Bin 0 -> 26765 bytes
 help/eu/figures/rb-window.png                 |  Bin 0 -> 178261 bytes
 15 files changed, 2980 insertions(+), 1 deletions(-)

commit 6eeddd066338d4edd4ae41f5acbc92c8cc96f430
Author: Marek Černocký <marek@manet.cz>
Date:   Wed Jul 27 22:56:28 2011 +0200

    Updated Czech translation

 po/cs.po |   93 ++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 64 insertions(+), 29 deletions(-)

commit 421f65b35e84817830ec78e9de77af21728de1e6
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Jul 26 22:36:07 2011 +0200

    Updated Spanish translation

 po/es.po |  128 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 76 insertions(+), 52 deletions(-)

commit 5344d2d5caa4f44f2ec8ba40217453952e7ef9a5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 25 20:32:41 2011 +1000

    fix builddir != srcdir GIR generation

 bindings/gi/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1efb2ff5e53a329be2f06bde0b7e8699a5134e38
Author: Rico Tzschichholz <ricotz@t-online.de>
Date:   Mon Jul 25 20:32:07 2011 +1000

    fix some vala and dist problems

 bindings/vala/rb.vapi                          |   10 +++++-----
 bindings/vala/rhythmdb.vapi                    |    2 +-
 configure.ac                                   |    2 --
 data/Makefile.am                               |    2 +-
 plugins/rb/Makefile.am                         |    2 ++
 plugins/sample-vala/Makefile.am                |    2 +-
 plugins/sample-vala/rb-sample-vala-plugin.vala |    8 ++++++--
 7 files changed, 16 insertions(+), 12 deletions(-)

commit 0c25252db548109fbebd97964ae31bdbc4e84b2a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 25 18:28:47 2011 +1000

    display-page-group: add 'tools' category
    
    oops, this should have gone in with the visualizer plugin

 sources/rb-display-page-group.c |    2 ++
 sources/rb-display-page-group.h |    2 ++
 2 files changed, 4 insertions(+), 0 deletions(-)

commit 30cfe8e55086045a252843de0cb09f18b22b8de6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 25 00:19:00 2011 +1000

    main: disable gdk multidevice support so clutter-gtk events work

 shell/main.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 082eaf958b60e3830f1607114353d777c930d616
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jul 25 00:09:32 2011 +1000

    visualizer: new clutter-based visualizer plugin
    
    Better code, less horrible UI, and somewhat more interesting
    fullscreen mode than the old one.

 configure.ac                                  |   27 +
 data/org.gnome.rhythmbox.gschema.xml          |   18 +
 plugins/Makefile.am                           |    4 +
 plugins/visualizer/Makefile.am                |   80 +++
 plugins/visualizer/button-active.png          |  Bin 0 -> 569 bytes
 plugins/visualizer/button-disabled.png        |  Bin 0 -> 569 bytes
 plugins/visualizer/button-focus.png           |  Bin 0 -> 701 bytes
 plugins/visualizer/button-hover.png           |  Bin 0 -> 605 bytes
 plugins/visualizer/button.png                 |  Bin 0 -> 605 bytes
 plugins/visualizer/rb-visualizer-fullscreen.c |  666 +++++++++++++++++++++++++
 plugins/visualizer/rb-visualizer-fullscreen.h |   45 ++
 plugins/visualizer/rb-visualizer-menu.c       |  191 +++++++
 plugins/visualizer/rb-visualizer-menu.h       |   54 ++
 plugins/visualizer/rb-visualizer-page.c       |  429 ++++++++++++++++
 plugins/visualizer/rb-visualizer-page.h       |   82 +++
 plugins/visualizer/rb-visualizer-plugin.c     |  482 ++++++++++++++++++
 plugins/visualizer/visualizer-box.png         |  Bin 0 -> 330 bytes
 plugins/visualizer/visualizer-ui.xml          |   13 +
 plugins/visualizer/visualizer.css             |   56 ++
 plugins/visualizer/visualizer.plugin.in       |    8 +
 po/POTFILES.in                                |    5 +
 21 files changed, 2160 insertions(+), 0 deletions(-)

commit f8fe07a78a6c55a73cdd2b9626140a8e66ed5c6b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 24 19:30:31 2011 +1000

    fix weird merge in previous commit

 sources/rb-display-page-tree.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 21340e27adf80146893cd7beaae3d745e2971638
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 24 19:27:42 2011 +1000

    display-page-tree: make group expansion more reliable
    
    In particular, treat page visibility changes the same as pages being
    added and removed.

 sources/rb-display-page-model.c |   73 ++++++++++++++++++++++++++++----------
 sources/rb-display-page-tree.c  |    8 ++++
 2 files changed, 62 insertions(+), 19 deletions(-)

commit 25eee35ce254469a71862634e8d81238a5600d1d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 24 19:09:00 2011 +1000

    shell: set a reasonable default size for the plugin dialog

 shell/rb-shell.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 09b620fc9944ec211271070a6188d5a23ed5d5e2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 23 21:32:08 2011 +1000

    im-status: depend on the rb plugin

 plugins/im-status/im-status.plugin.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6a0d6eec61957472757a14125973ed962ce70fb8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jul 23 21:17:13 2011 +1000

    iradio: make the genre browser's internal widgets visible

 plugins/iradio/rb-iradio-source.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 030e455b0fc60c4bfa72f9a6ef1f097615694a96
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Jul 21 11:44:49 2011 +0200

    Updated Czech translation

 po/cs.po |  539 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 280 insertions(+), 259 deletions(-)

commit 382307fb929305bd5b07a0e74de51f19daf81eff
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 20 20:54:55 2011 +1000

    fix encoding target file install path

 data/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 64d77ff358333d0b724739359b08ea6fe2408378
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Jul 20 09:01:55 2011 +1000

    notification: don't create a notification on startup
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652217

 plugins/notification/rb-notification-plugin.c |   26 -------------------------
 1 files changed, 0 insertions(+), 26 deletions(-)

commit 6ec3c17fe80107282b2a2009ef3641d9c5f64a05
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Jul 17 19:49:47 2011 +0200

    Updated Spanish translation

 po/es.po |  610 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 345 insertions(+), 265 deletions(-)

commit 6d00c289efb3c4f3b05c6a3ef6eb20f39d219050
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun Jul 17 17:44:15 2011 +0200

    [l10n] Updated German translation

 po/de.po |  594 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 333 insertions(+), 261 deletions(-)

commit 90b7496c0572a680e37b68cecf7d4013cbfeee4c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jul 17 21:56:44 2011 +1000

    Replace metadata and encoder backends
    
    Use GstDiscoverer for reading metadata.  The media type we report is now based
    on the audio encoding, rather than the top level container type as previously.
    For string tags, return the first valid utf-8 string, or a later string of
    which it is a prefix.  This should work better for badly (multiply) tagged MP3
    files in particular.
    
    Use a decodebin2-based pipeline for writing metadata.  We allow autoplugging to
    continue until we get to a decoder, then connect tagging and muxing elements
    for the encoding type.  This removes extra ID3 and APE tags from MP3 files.
    
    The 'mimetype' database field is now called 'media-type', and hopefully we're
    more consistent about what's a media type as opposed to a MIME type.  The
    database version number has been bumped, and all file metadata will be re-read
    to populate the media-type field.
    
    Use encodebin and encoding profiles instead of libgnome-media-profiles.  We
    have a set of profiles for common media types (ogg vorbis, mp3, flac, aac)
    which we use to build targets for the library and for devices.  We don't yet do
    anything with presets, so all encoding will use the default encoder settings
    for now.  Users can override the default set of profiles by copying
    rhythmbox.gep to ~/.local/share/rhythmbox/ and editing it.
    
    Since the new profile system doesn't hide profiles that require additional
    plugins from us, we can do automatic installation of encoders and muxers either
    when selecting a preferred encoding type, or when starting a transfer.
    
    Drop all compatibility code for old GStreamer versions.  We now require GStreamer
    0.10.32.
    
    Fixes too many bugs to list here.

 backends/gstreamer/rb-encoder-gst.c                |  848 +++--------
 backends/gstreamer/rb-encoder-gst.h                |   15 +-
 backends/gstreamer/rb-player-gst-xfade.c           |   34 +-
 backends/gstreamer/rb-player-gst.c                 |   10 -
 backends/rb-encoder.c                              |   65 +-
 backends/rb-encoder.h                              |   26 +-
 configure.ac                                       |   14 +-
 data/Makefile.am                                   |    4 +
 data/org.gnome.rhythmbox.gschema.xml               |    9 +-
 data/rhythmbox.gep                                 |   46 +
 data/ui/library-prefs.ui                           |  115 +-
 doc/reference/rhythmbox-sections.txt               |    3 +-
 lib/Makefile.am                                    |    2 +
 lib/rb-gst-media-types.c                           |  309 ++++
 lib/rb-gst-media-types.h                           |   75 +
 lib/rb-util.c                                      |   21 -
 lib/rb-util.h                                      |    1 -
 metadata/rb-metadata-dbus-client.c                 |   28 +-
 metadata/rb-metadata-dbus-service.c                |    4 +-
 metadata/rb-metadata-dbus.c                        |    2 +-
 metadata/rb-metadata-gst-common.c                  |   60 -
 metadata/rb-metadata-gst-common.h                  |   10 -
 metadata/rb-metadata-gst.c                         | 1651 ++++++++------------
 metadata/rb-metadata.h                             |    4 +-
 metadata/test-metadata.c                           |   10 +-
 plugins/audiocd/rb-audiocd-source.c                |    2 +-
 plugins/daap/rb-daap-record.c                      |    2 +-
 .../rb-dbus-media-server-plugin.c                  |   11 +-
 plugins/generic-player/rb-generic-player-source.c  |   44 +-
 plugins/ipod/rb-ipod-source.c                      |   44 +-
 plugins/mpris/rb-mpris-plugin.c                    |    2 +-
 plugins/mtpdevice/rb-mtp-source.c                  |  100 +-
 plugins/rbzeitgeist/rbzeitgeist.py                 |    2 +-
 podcast/rb-feed-podcast-properties-dialog.c        |    7 +-
 podcast/rb-podcast-manager.c                       |   10 +-
 rhythmdb/rhythmdb-private.h                        |    2 +-
 rhythmdb/rhythmdb-song-entry-types.c               |    6 +-
 rhythmdb/rhythmdb-tree.c                           |   17 +-
 rhythmdb/rhythmdb.c                                |   45 +-
 rhythmdb/rhythmdb.h                                |    2 +-
 shell/rb-track-transfer-batch.c                    |  286 +++--
 shell/rb-track-transfer-batch.h                    |    9 +-
 shell/rb-track-transfer-queue.c                    |  233 ++-
 sources/rb-import-errors-source.c                  |    5 +-
 sources/rb-library-source.c                        |  231 +++-
 sources/rb-removable-media-source.c                |  119 +-
 sources/rb-removable-media-source.h                |   10 +-
 47 files changed, 2195 insertions(+), 2360 deletions(-)

commit 0ef67a46eabbd71c054eff064386f2d3b3f51810
Author: Aurimas Černius <aurisc4@gmail.com>
Date:   Sat Jul 16 15:50:13 2011 +0300

    Updated Lithuanian translation.

 po/lt.po | 1838 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 851 insertions(+), 987 deletions(-)

commit 4c7222d29b07e37a7747a5e7de475e3b1ec896e9
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Jul 13 16:34:41 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po |   44 ++++++++++++++++++++++++--------------------
 1 files changed, 24 insertions(+), 20 deletions(-)

commit 6f9f44cc68820ad1e8e5cc736142d91102106aa7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Jul 10 15:19:19 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit daaa482e32c5d3a40ad3f3656c035bdb1927e161
Author: Edison Zhao <edison0354@gmail.com>
Date:   Mon Jun 27 15:15:16 2011 +0800

    update Simplified Chinese (zh_CN) translation

 po/zh_CN.po | 2336 ++++++++++++++++++++++-------------------------------------
 1 files changed, 850 insertions(+), 1486 deletions(-)

commit f2a08e99b8c0a75d092b5720e66288063820cbb9
Author: Claudio Saavedra <csaavedra@igalia.com>
Date:   Wed Jun 22 22:37:06 2011 +0300

    [im-status] Do not assume 'ascii', or unicode() will fail
    
    https://bugzilla.gnome.org/show_bug.cgi?id=653187

 plugins/im-status/im-status.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit efe3ee97d95b28d7aa9f2daf900f60a633243e0c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Jun 21 08:39:29 2011 +1000

    sample-vala: remove extra brace

 plugins/sample-vala/rb-sample-vala-plugin.vala |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 62bf8ca2eef153acee96e410321fcd7b6735fd54
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jun 20 00:10:34 2011 +0100

    audioscrobbler: save modified queue in dispose instead of finalize
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652964

 plugins/audioscrobbler/rb-audioscrobbler.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit ebf73ff28725f6c34a5f5e195e5b40518600b90e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Jun 13 14:58:16 2011 -0400

    cell-renderer-expander: fix expanders rendering in the sidebar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=652488

 widgets/gossip-cell-renderer-expander.c |   32 +++++++++++++++++++-----------
 1 files changed, 20 insertions(+), 12 deletions(-)

commit 8321cbfbcf603c9cceea69586cea41e1ee303172
Merge: ac484f5 6423c45
Author: Koop Mast <kwm@rainbow-runner.nl>
Date:   Sat Jun 11 11:47:33 2011 +0200

    Merge branch 'master' of git://git.gnome.org/rhythmbox

commit ac484f51b0fab89799956215b601d9387c1eadc3
Author: Koop Mast <kwm@rainbow-runner.nl>
Date:   Sat Jun 11 11:47:28 2011 +0200

    .

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6423c45490d2eeaa179a115eaf9d1eb3e8bd5074
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Tue Jun 7 21:39:42 2011 +0200

    Added Norwegian bokmål translation

 po/nb.po |  246 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 108 insertions(+), 138 deletions(-)

commit 1b8501be299840b3203f58a62dbb4fcb95f6c4a3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Jun 6 19:17:32 2011 +1000

    finish removing references to .gnome2 directories

 doc/reference/rhythmbox-sections.txt   |    2 -
 lib/rb-file-helpers.c                  |  109 +++-----------------------------
 lib/rb-file-helpers.h                  |    7 +--
 lib/rb-stock-icons.c                   |    8 +--
 plugins/artdisplay/CoverArtDatabase.py |    7 --
 plugins/magnatune/MagnatuneSource.py   |   39 ++----------
 shell/main.c                           |   17 -----
 shell/rb-shell.c                       |   18 +-----
 8 files changed, 19 insertions(+), 188 deletions(-)

commit c5edccf278026cca1d238b59c12fac5d4aa9e87b
Author: Maxim Petrov <iammozg@gmail.com>
Date:   Fri Jun 3 19:02:22 2011 +0400

    Updated Russian translation

 po/ru.po | 2577 ++++++++++++++++++++++----------------------------------------
 1 files changed, 908 insertions(+), 1669 deletions(-)

commit e0e5d06e3e3d2651639c0d0579635c3aa126dd4f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jun 2 21:12:07 2011 +1000

    notification: use the right name for the action-icons capability

 plugins/notification/rb-notification-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e2def1e1739daeea29784faaf627aa86ac86e8b
Author: Adam Dingle <adam@yorba.org>
Date:   Tue May 24 16:52:20 2011 -0700

    Fixed syncing problem (bug #650919, #650920)
    
    When syncing an entire category (all music or all podcasts), Rhythmbox erroneously
    believed that no audio files previously existed on the target device.

 sources/sync/rb-sync-state.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit f1e4a8a1a6d284c939ffbbd9d654ffa417f79d35
Author: Pablo Arroyo Loma <pzioma@gmail.com>
Date:   Fri May 27 23:31:54 2011 +1000

    lyrics: actually install gtkbuilder files (bug #650801)

 plugins/lyrics/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d4927d24fc365a4caecca8a8240aa87b41d8b71d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu May 26 23:40:07 2011 +0100

    audioscrobbler: use EggWrapBox to display data lists
    
    https://bugzilla.gnome.org/show_bug.cgi?id=651198

 plugins/audioscrobbler/audioscrobbler-profile.ui   |   74 -
 .../rb-audioscrobbler-profile-page.c               |  193 +-
 widgets/Makefile.am                                |    6 +-
 widgets/eggwrapbox-enums.c                         |   70 +
 widgets/eggwrapbox-enums.h                         |   23 +
 widgets/eggwrapbox.c                               | 2641 ++++++++++++++++++++
 widgets/eggwrapbox.h                               |  157 ++
 7 files changed, 2951 insertions(+), 213 deletions(-)

commit 8ab9e5d08fd0bdfae25de00c225308d575736d50
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 24 11:48:39 2011 -0500

    Prepend DACP enums with DACP and require libdmapsharing >= 2.9.11
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 configure.ac                  |    2 +-
 plugins/daap/rb-dacp-player.c |    8 ++++----
 2 files changed, 5 insertions(+), 5 deletions(-)

commit 1c2f40b58954be25d0ea31d008a6763997f96307
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon May 23 21:23:51 2011 +1000

    audiocd: remove libmusicbrainz2 code (bug #650848)

 configure.ac                              |   19 +-
 plugins/audiocd/Makefile.am               |    9 -
 plugins/audiocd/sj-metadata-getter.c      |    6 -
 plugins/audiocd/sj-metadata-musicbrainz.c |  616 -----------------------------
 plugins/audiocd/sj-metadata-musicbrainz.h |   57 ---
 5 files changed, 2 insertions(+), 705 deletions(-)

commit 252cfc818332338a30b1b5b9900db859190d0513
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Fri May 20 07:02:09 2011 +0300

    Updated Bulgarian translation

 po/bg.po | 2420 ++++++++++++++++++++++----------------------------------------
 1 files changed, 844 insertions(+), 1576 deletions(-)

commit c8e1896ecdc7ae54e46c4950dcd0dd8e0cdbac1f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri May 20 08:33:19 2011 +1000

    use g_date_time_format instead of eel_strdup_strftime (bug #647032, #647050)
    
    g_date_time_format supports a wider range of format specifiers,
    including some that eel_strdup_strftime didn't support but have been
    used in translations for years (oops).
    
    Also return "Never" instead of NULL in rb_utf_friendly_time, since
    that isn't such an obviously incorrect case that it should be treated
    as an error.  This fixes some weird crashes.

 lib/rb-cut-and-paste-code.c |  223 ++++++-------------------------------------
 lib/rb-cut-and-paste-code.h |    3 -
 2 files changed, 30 insertions(+), 196 deletions(-)

commit d7230bc94184e341d477722e3844006ef9d4ed87
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 18 22:05:06 2011 -0500

    daap: treat DAAP record's mediakind property as en enum, not int
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 plugins/daap/rb-daap-record.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit 2305ce47ad13c00979109192dbd34780b5bd944e
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue May 17 09:40:28 2011 -0500

    daap: properly handle password-protected shares; req. libdmapsharing 2.9.9+ (bug #501389)
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 configure.ac                  |    2 +-
 plugins/daap/rb-daap-source.c |   25 +++++++++++++++----------
 2 files changed, 16 insertions(+), 11 deletions(-)

commit 642a95f0e1a4125d078bc04cc1cb5d704b4fa2cd
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Mon May 16 00:31:17 2011 +0200

    Updated Serbian translation

 po/sr.po       | 4204 ++++++++++++++++++++++++++++----------------------------
 po/sr@latin.po | 4194 ++++++++++++++++++++++++++++----------------------------
 2 files changed, 4239 insertions(+), 4159 deletions(-)

commit 830aae552992ae5e5147b5673f572272425fc71e
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Mon May 9 20:24:00 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1076 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 513 insertions(+), 563 deletions(-)

commit 3dd0307773244a7bedff3111f88a9c52f198e3ee
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon May 9 19:40:36 2011 +0200

    Updated Spanish translation

 po/es.po |   35 +++++++++++++++++------------------
 1 files changed, 17 insertions(+), 18 deletions(-)

commit 57a262714775006ad5f63b440c6f9ce0a1801d33
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sun May 8 13:06:27 2011 +0200

    [l10n] Updated German translation

 po/de.po | 1087 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 515 insertions(+), 572 deletions(-)

commit 38c658a4039f968c6d68f3e5c7a2a32074c4521d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 8 11:42:29 2011 +1000

    xfade: fix race condition with preroll vs end of previous stream (bug #646405)
    
    Previously there was a window where a stream would not be started
    if it finished prerolling after the previous stream reached EOS, but
    before the EOS message was processed on the main thread, and the
    new stream needed to wait for the previous stream to finish.
    
    We now check for new streams to start both when the stream reaches EOS
    (processed on the stream thread) and when the EOS bus message is
    processed (on the main thread), so the new stream will always be started.
    If it doesn't preroll in time, there may be a slight gap in the audio
    output, but that's unavoidable if preroll is too slow.

 backends/gstreamer/rb-player-gst-xfade.c |   61 +++++++++++++++++------------
 1 files changed, 36 insertions(+), 25 deletions(-)

commit a00e1d695dc221f33c781820c7abf632e2ddf264
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 7 12:40:42 2011 +1000

    mpris: disconnect signal handlers when deactivated (bug #649224)

 plugins/mpris/rb-mpris-plugin.c |   28 +++++++++++++++++++++++++++-
 1 files changed, 27 insertions(+), 1 deletions(-)

commit 11705daf5021918d4e1bcd5ea3b3d65a3af7683b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat May 7 00:25:34 2011 +1000

    segmented-bar: fix rendering when inside a container
    
    This is just a hack, we should fix the rendering code so it works
    when there's a pre-existing translation on the cairo context.

 widgets/rb-segmented-bar.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit fa526b8d4f481d3cd0922e2dbe74bf25166dd0f0
Author: Marek Černocký <marek@manet.cz>
Date:   Fri May 6 08:14:29 2011 +0200

    Updated Czech translation

 po/cs.po | 1405 ++++++++++++++++++--------------------------------------------
 1 files changed, 395 insertions(+), 1010 deletions(-)

commit fdcae1785921d178af82246bee1da4bf349cafea
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu May 5 22:44:57 2011 +0200

    Updated Polish translation

 po/pl.po |  967 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 395 insertions(+), 572 deletions(-)

commit 995a8ae54e01621527c738b46a17fbda7f56b982
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu May 5 22:31:26 2011 +0200

    Updated Norwegian bokmål translation

 po/nb.po | 1891 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 747 insertions(+), 1144 deletions(-)

commit 88e04e9b9df5a2531cebf5959d6c9f4a77ea4f37
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed May 4 19:48:55 2011 +0200

    Updated Spanish translation

 po/es.po | 1098 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 519 insertions(+), 579 deletions(-)

commit e710ae5e83a965147b63af9ad6179338de81f20b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Wed May 4 12:18:44 2011 -0500

    DAAP: allow a user to provide a port for specified server
    
    https://bugzilla.gnome.org/show_bug.cgi?id=649288
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 plugins/daap/rb-daap-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c788b2f670c234ffed900c5d844bf4cdf83bb9a7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue May 3 18:59:51 2011 +1000

    iradio: register the station properties dialog type (bug #649231)

 plugins/iradio/rb-iradio-plugin.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f673421faf47724919492d0e3d99a7bb1b6bffa0
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue May 3 00:30:58 2011 +0300

    Uploaded Ukranian

 help/uk/uk.po |  221 +++++++++++++++++++++++++++++---------------------------
 1 files changed, 114 insertions(+), 107 deletions(-)

commit 81156f1dda2cc76e1f7c163b3a0246f8dfc0b2b6
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon May 2 14:42:44 2011 +0300

    Uploaded Ukranian

 po/uk.po | 2645 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 1275 insertions(+), 1370 deletions(-)

commit 630bda7037029a9e19a760f298c318c19acb5a32
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon May 2 12:49:32 2011 +0300

    Uploaded Ukranian

 po/uk.po |  220 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 111 insertions(+), 109 deletions(-)

commit 75835fd9ec7d12193a37221cc012edbf4f3882a8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun May 1 11:13:29 2011 +1000

    remove plugins.ui, unused since the switch to libpeas

 data/ui/Makefile.am |    1 -
 data/ui/plugins.ui  |  267 ---------------------------------------------------
 po/POTFILES.in      |    1 -
 3 files changed, 0 insertions(+), 269 deletions(-)

commit 55f297441509df6df2bcb67b645f1632bde20a01
Author: Christian Becke <christianbecke@gmail.com>
Date:   Sat Apr 30 23:05:36 2011 +1000

    shell: allow the libpeas plugin manager widget to expand (bug #649017)

 shell/rb-shell.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit ec13c17418ca9285dfbb162630ae4daa1c925c17
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 30 22:58:34 2011 +1000

    shell: fix settings key for display page tree visibility (bug #649019)

 shell/rb-shell.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14810ccc2ddafaf86149a76cf60202e81a89ebaf
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 30 22:42:31 2011 +1000

    rename the 'scan removable media' menu item to something more correct

 data/ui/rhythmbox-ui.xml           |    2 +-
 shell/rb-removable-media-manager.c |   12 ++++++------
 2 files changed, 7 insertions(+), 7 deletions(-)

commit 6bea4b5fd2bae6737e0095a7104ea33214aa710f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 30 20:53:31 2011 +1000

    entry-view: relax sorting column assertion
    
    Sorting keys are now bound to settings during RBBrowserSource
    construction, and subclasses haven't had a chance to insert any
    custom columns at that point.  So, we need to allow the entry view
    to go unsorted for a while.  The sort order will be applied when
    the relevant column is inserted.

 widgets/rb-entry-view.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 9205bdf2a3d2d77ede2974da296e4e312452d914
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 30 17:32:23 2011 +1000

    player: check image type and media type for embedded images (bug #648225)

 backends/gstreamer/rb-player-gst-helper.c |   52 ++++++++++++++++++++++++-----
 1 files changed, 43 insertions(+), 9 deletions(-)

commit 9d1dcfea6775859bacc2f99d7c7b6392d8d01e57
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 30 15:45:20 2011 +1000

    iradio: actually set initial-stations-loaded to true (bug #648956)

 plugins/iradio/rb-iradio-source.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3ce393d650b89886b27b9d9fabafce892d51a02e
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 29 10:19:13 2011 +0200

    Updated POTFILES.in

 po/POTFILES.in |   47 +++++++++++++++++++++--------------------------
 1 files changed, 21 insertions(+), 26 deletions(-)

commit fe7cb880652aa36786e9e24490f2aa2553c8ac10
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 26 09:48:02 2011 +1000

    Revert "rhythmdb: add rhythmdb_query_new_empty"
    
    This reverts commit 716550468e488d1a7bd98c065be42463f0a16c34.
    
    This didn't actually work, and the correct way to create an empty
    query in python is 'GLib.PtrArray()'.

 rhythmdb/rhythmdb-query.c |   16 ----------------
 rhythmdb/rhythmdb.h       |    1 -
 2 files changed, 0 insertions(+), 17 deletions(-)

commit 4dcebed3ce8012b437c4bbe473bfd9a08a1e0530
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Apr 25 21:50:25 2011 +0300

    Updated Latvian translation.

 po/lv.po | 1612 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 737 insertions(+), 875 deletions(-)

commit cc2df2f756dc67cf9456a2d6ab1c70e9fdf73169
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 23 22:55:11 2011 +1000

    update POTFILES.in

 po/POTFILES.in |   65 +++++++++++++++++++++++++-------------------------------
 1 files changed, 29 insertions(+), 36 deletions(-)

commit 10d3c766781a2ae52aab23da47045849d1a3bf92
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 23 22:54:24 2011 +1000

    convert plugins to libpeas

 Makefile.am                                        |    2 +-
 configure.ac                                       |    8 +-
 plugins/Makefile.am                                |   32 +-
 plugins/artdisplay/CoverArtDatabase.py             |  371 ++++++++++++
 plugins/artdisplay/EmbeddedCoverArtSearch.py       |  135 +++++
 plugins/artdisplay/LastFMCoverArtSearch.py         |  171 ++++++
 plugins/artdisplay/LocalCoverArtSearch.py          |  226 ++++++++
 plugins/artdisplay/Makefile.am                     |   19 +-
 plugins/artdisplay/MusicBrainzCoverArtSearch.py    |  109 ++++
 plugins/artdisplay/PodcastCoverArtSearch.py        |   60 ++
 plugins/artdisplay/artdisplay.plugin.in            |   10 +
 plugins/artdisplay/artdisplay.py                   |  584 +++++++++++++++++++
 plugins/artdisplay/artdisplay.rb-plugin.in         |    9 -
 plugins/artdisplay/artdisplay/CoverArtDatabase.py  |  371 ------------
 .../artdisplay/EmbeddedCoverArtSearch.py           |  135 -----
 .../artdisplay/artdisplay/LastFMCoverArtSearch.py  |  171 ------
 .../artdisplay/artdisplay/LocalCoverArtSearch.py   |  226 --------
 plugins/artdisplay/artdisplay/Makefile.am          |   11 -
 .../artdisplay/MusicBrainzCoverArtSearch.py        |  109 ----
 .../artdisplay/artdisplay/PodcastCoverArtSearch.py |   60 --
 plugins/artdisplay/artdisplay/__init__.py          |  573 ------------------
 plugins/audiocd/Makefile.am                        |   11 +-
 plugins/audiocd/audiocd.plugin.in                  |    9 +
 plugins/audiocd/audiocd.rb-plugin.in               |    8 -
 plugins/audiocd/rb-audiocd-plugin.c                |   74 ++--
 plugins/audiocd/rb-audiocd-source.c                |   35 +-
 plugins/audiocd/rb-audiocd-source.h                |    4 +-
 plugins/audioscrobbler/Makefile.am                 |   20 +-
 .../audioscrobbler/audioscrobbler-preferences.ui   |  139 ++---
 plugins/audioscrobbler/audioscrobbler.plugin.in    |    9 +
 plugins/audioscrobbler/audioscrobbler.rb-plugin.in |    9 -
 plugins/audioscrobbler/rb-audioscrobbler-account.c |   13 +-
 plugins/audioscrobbler/rb-audioscrobbler-account.h |    1 +
 .../audioscrobbler/rb-audioscrobbler-play-order.c  |   13 +-
 .../audioscrobbler/rb-audioscrobbler-play-order.h  |    1 +
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |  183 +++----
 .../rb-audioscrobbler-profile-page.c               |   27 +-
 .../rb-audioscrobbler-profile-page.h               |    4 +-
 .../rb-audioscrobbler-radio-source.c               |   22 +-
 .../rb-audioscrobbler-radio-source.h               |    2 +
 .../rb-audioscrobbler-radio-track-entry-type.c     |   15 +-
 .../rb-audioscrobbler-radio-track-entry-type.h     |    2 +
 plugins/audioscrobbler/rb-audioscrobbler-service.c |   15 +-
 plugins/audioscrobbler/rb-audioscrobbler-service.h |    1 +
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |   15 +-
 plugins/audioscrobbler/rb-audioscrobbler-user.h    |    2 +
 plugins/audioscrobbler/rb-audioscrobbler.c         |   16 +-
 plugins/audioscrobbler/rb-audioscrobbler.h         |    2 +-
 plugins/brasero-disc-recorder/Makefile.am          |    8 +-
 .../brasero-disc-recorder/cd-recorder.plugin.in    |    8 +
 .../brasero-disc-recorder/cd-recorder.rb-plugin.in |    8 -
 .../rb-disc-recorder-plugin.c                      |   79 ++--
 plugins/context/AlbumTab.py                        |  283 +++++++++
 plugins/context/ArtistTab.py                       |  350 +++++++++++
 plugins/context/ContextView.py                     |  297 ++++++++++
 plugins/context/LastFM.py                          |   55 ++
 plugins/context/LinksTab.py                        |  184 ++++++
 plugins/context/LyricsTab.py                       |  161 ++++++
 plugins/context/Makefile.am                        |   21 +-
 plugins/context/context.plugin.in                  |   10 +
 plugins/context/context.py                         |   46 ++
 plugins/context/context.rb-plugin.in               |    9 -
 plugins/context/context/AlbumTab.py                |  283 ---------
 plugins/context/context/ArtistTab.py               |  349 -----------
 plugins/context/context/ContextView.py             |  292 ----------
 plugins/context/context/LastFM.py                  |   52 --
 plugins/context/context/LinksTab.py                |  183 ------
 plugins/context/context/LyricsTab.py               |  161 ------
 plugins/context/context/Makefile.am                |   12 -
 plugins/context/context/__init__.py                |   42 --
 plugins/daap/Makefile.am                           |   28 +-
 plugins/daap/daap.plugin.in                        |    8 +
 plugins/daap/daap.rb-plugin.in                     |    8 -
 plugins/daap/rb-daap-container-record.c            |   22 +-
 plugins/daap/rb-daap-container-record.h            |    2 +
 plugins/daap/rb-daap-plugin.c                      |  458 +++++++--------
 plugins/daap/rb-daap-plugin.h                      |   20 +-
 plugins/daap/rb-daap-record-factory.c              |   20 +-
 plugins/daap/rb-daap-record-factory.h              |    2 +
 plugins/daap/rb-daap-record.c                      |   26 +-
 plugins/daap/rb-daap-record.h                      |    2 +
 plugins/daap/rb-daap-source.c                      |   33 +-
 plugins/daap/rb-daap-source.h                      |    5 +-
 plugins/daap/rb-daap-src.c                         |    2 +-
 plugins/daap/rb-daap-src.h                         |    2 +-
 plugins/daap/rb-dacp-pairing-page.c                |   36 +-
 plugins/daap/rb-dacp-pairing-page.h                |    7 +-
 plugins/daap/rb-dacp-player.c                      |   19 +-
 plugins/daap/rb-dacp-player.h                      |    2 +
 plugins/daap/rb-dmap-container-db-adapter.c        |   20 +-
 plugins/daap/rb-dmap-container-db-adapter.h        |    2 +
 plugins/daap/rb-rhythmdb-dmap-db-adapter.c         |   19 +-
 plugins/daap/rb-rhythmdb-dmap-db-adapter.h         |    2 +
 .../daap/rb-rhythmdb-query-model-dmap-db-adapter.c |   21 +-
 .../daap/rb-rhythmdb-query-model-dmap-db-adapter.h |   16 +-
 plugins/dbus-media-server/Makefile.am              |    6 +-
 .../dbus-media-server/dbus-media-server.plugin.in  |    8 +
 .../dbus-media-server.rb-plugin.in                 |    8 -
 .../rb-dbus-media-server-plugin.c                  |   43 +-
 plugins/fmradio/Makefile.am                        |   10 +-
 plugins/fmradio/fmradio.plugin.in                  |    8 +
 plugins/fmradio/fmradio.rb-plugin.in               |    8 -
 plugins/fmradio/rb-fm-radio-plugin.c               |   58 +-
 plugins/fmradio/rb-fm-radio-source.c               |   21 +-
 plugins/fmradio/rb-fm-radio-source.h               |    3 +-
 plugins/fmradio/rb-radio-tuner-v4l2.c              |   14 +-
 plugins/fmradio/rb-radio-tuner.h                   |    2 +-
 plugins/generic-player/Makefile.am                 |   15 +-
 plugins/generic-player/generic-player.plugin.in    |    9 +
 plugins/generic-player/generic-player.rb-plugin.in |    8 -
 .../rb-generic-player-playlist-source.c            |   56 +--
 .../rb-generic-player-playlist-source.h            |    3 +-
 plugins/generic-player/rb-generic-player-plugin.c  |  106 ++--
 plugins/generic-player/rb-generic-player-source.c  |   20 +-
 plugins/generic-player/rb-generic-player-source.h  |    6 +-
 plugins/generic-player/rb-nokia770-source.c        |   24 +-
 plugins/generic-player/rb-nokia770-source.h        |    6 +-
 plugins/generic-player/rb-psp-source.c             |   24 +-
 plugins/generic-player/rb-psp-source.h             |    6 +-
 plugins/im-status/Makefile.am                      |    8 +-
 plugins/im-status/im-status.plugin.in              |    9 +
 plugins/im-status/im-status.py                     |  305 ++++++++++
 plugins/im-status/im-status.rb-plugin.in           |    9 -
 plugins/im-status/im-status/__init__.py            |  300 ----------
 plugins/ipod/Makefile.am                           |   12 +-
 plugins/ipod/ipod.plugin.in                        |    8 +
 plugins/ipod/ipod.rb-plugin.in                     |    8 -
 plugins/ipod/rb-ipod-db.c                          |   13 +-
 plugins/ipod/rb-ipod-db.h                          |    1 +
 plugins/ipod/rb-ipod-plugin.c                      |   88 ++--
 plugins/ipod/rb-ipod-source.c                      |   23 +-
 plugins/ipod/rb-ipod-source.h                      |    5 +-
 plugins/ipod/rb-ipod-static-playlist-source.c      |   16 +-
 plugins/ipod/rb-ipod-static-playlist-source.h      |    2 +-
 plugins/iradio/Makefile.am                         |   17 +-
 plugins/iradio/iradio.plugin.in                    |    9 +
 plugins/iradio/iradio.rb-plugin.in                 |    8 -
 plugins/iradio/rb-iradio-plugin.c                  |   67 +--
 plugins/iradio/rb-iradio-source-search.c           |   12 +-
 plugins/iradio/rb-iradio-source-search.h           |    2 +
 plugins/iradio/rb-iradio-source.c                  |   39 +-
 plugins/iradio/rb-iradio-source.h                  |    5 +-
 plugins/iradio/rb-station-properties-dialog.c      |   28 +-
 plugins/iradio/rb-station-properties-dialog.h      |    5 +-
 plugins/jamendo/JamendoConfigureDialog.py          |   58 ++
 plugins/jamendo/JamendoSaxHandler.py               |  107 ++++
 plugins/jamendo/JamendoSource.py                   |  331 +++++++++++
 plugins/jamendo/Makefile.am                        |   17 +-
 plugins/jamendo/jamendo-prefs.ui                   |  275 +++------
 plugins/jamendo/jamendo.plugin.in                  |   10 +
 plugins/jamendo/jamendo.py                         |  139 +++++
 plugins/jamendo/jamendo.rb-plugin.in               |    9 -
 plugins/jamendo/jamendo/JamendoConfigureDialog.py  |   60 --
 plugins/jamendo/jamendo/JamendoSaxHandler.py       |  107 ----
 plugins/jamendo/jamendo/JamendoSource.py           |  346 -----------
 plugins/jamendo/jamendo/Makefile.am                |    8 -
 plugins/jamendo/jamendo/__init__.py                |  142 -----
 plugins/lirc/Makefile.am                           |   13 +-
 plugins/lirc/lirc.plugin.in                        |    8 +
 plugins/lirc/lirc.rb-plugin.in                     |    8 -
 plugins/lirc/rb-lirc-plugin.c                      |   63 +-
 plugins/lyrics/AstrawebParser.py                   |  101 ++++
 plugins/lyrics/DarkLyricsParser.py                 |  162 ++++++
 plugins/lyrics/LeoslyricsParser.py                 |  113 ++++
 plugins/lyrics/LyrcParser.py                       |   86 +++
 plugins/lyrics/LyricWikiParser.py                  |   54 ++
 plugins/lyrics/LyricsConfigureDialog.py            |  120 ++++
 plugins/lyrics/LyricsParse.py                      |   69 +++
 plugins/lyrics/LyricsSites.py                      |   44 ++
 plugins/lyrics/Makefile.am                         |   24 +-
 plugins/lyrics/TerraParser.py                      |  110 ++++
 plugins/lyrics/WinampcnParser.py                   |  103 ++++
 plugins/lyrics/lyrics-prefs.ui                     |  249 +++-----
 plugins/lyrics/lyrics.plugin.in                    |   10 +
 plugins/lyrics/lyrics.py                           |  423 ++++++++++++++
 plugins/lyrics/lyrics.rb-plugin.in                 |    9 -
 plugins/lyrics/lyrics/AstrawebParser.py            |  103 ----
 plugins/lyrics/lyrics/DarkLyricsParser.py          |  163 ------
 plugins/lyrics/lyrics/LeoslyricsParser.py          |  115 ----
 plugins/lyrics/lyrics/LyrcParser.py                |   86 ---
 plugins/lyrics/lyrics/LyricWikiParser.py           |   54 --
 plugins/lyrics/lyrics/LyricsConfigureDialog.py     |  127 ----
 plugins/lyrics/lyrics/LyricsParse.py               |   69 ---
 plugins/lyrics/lyrics/LyricsSites.py               |   44 --
 plugins/lyrics/lyrics/Makefile.am                  |   15 -
 plugins/lyrics/lyrics/TerraParser.py               |  110 ----
 plugins/lyrics/lyrics/WinampcnParser.py            |  103 ----
 plugins/lyrics/lyrics/__init__.py                  |  426 --------------
 plugins/magnatune/BuyAlbumHandler.py               |   59 ++
 plugins/magnatune/MagnatuneSource.py               |  586 +++++++++++++++++++
 plugins/magnatune/Makefile.am                      |   18 +-
 plugins/magnatune/TrackListHandler.py              |  131 +++++
 plugins/magnatune/magnatune-prefs.ui               |  500 ++++++++---------
 plugins/magnatune/magnatune.plugin.in              |   10 +
 plugins/magnatune/magnatune.py                     |  292 ++++++++++
 plugins/magnatune/magnatune.rb-plugin.in           |    9 -
 plugins/magnatune/magnatune/BuyAlbumHandler.py     |   59 --
 plugins/magnatune/magnatune/MagnatuneSource.py     |  606 --------------------
 plugins/magnatune/magnatune/Makefile.am            |    8 -
 plugins/magnatune/magnatune/TrackListHandler.py    |  131 -----
 plugins/magnatune/magnatune/__init__.py            |  283 ---------
 plugins/mmkeys/Makefile.am                         |    6 +-
 plugins/mmkeys/mmkeys.plugin.in                    |    9 +
 plugins/mmkeys/mmkeys.rb-plugin.in                 |    8 -
 plugins/mmkeys/rb-mmkeys-plugin.c                  |   43 +-
 plugins/mpris/Makefile.am                          |    6 +-
 plugins/mpris/mpris.plugin.in                      |    8 +
 plugins/mpris/mpris.rb-plugin.in                   |    8 -
 plugins/mpris/rb-mpris-plugin.c                    |   64 ++-
 plugins/mtpdevice/Makefile.am                      |   12 +-
 plugins/mtpdevice/mtpdevice.plugin.in              |    8 +
 plugins/mtpdevice/mtpdevice.rb-plugin.in           |    8 -
 plugins/mtpdevice/rb-mtp-gst-sink.c                |    2 +-
 plugins/mtpdevice/rb-mtp-gst-src.c                 |    2 +-
 plugins/mtpdevice/rb-mtp-plugin.c                  |   86 ++--
 plugins/mtpdevice/rb-mtp-source.c                  |   22 +-
 plugins/mtpdevice/rb-mtp-source.h                  |    5 +-
 plugins/mtpdevice/rb-mtp-thread.c                  |   12 +-
 plugins/mtpdevice/rb-mtp-thread.h                  |    1 +
 plugins/notification/Makefile.am                   |    9 +-
 plugins/notification/notification.plugin.in        |    8 +
 plugins/notification/notification.rb-plugin.in     |    8 -
 plugins/notification/rb-notification-plugin.c      |   51 +-
 plugins/power-manager/Makefile.am                  |    6 +-
 plugins/power-manager/power-manager.plugin.in      |    9 +
 plugins/power-manager/power-manager.rb-plugin.in   |    8 -
 plugins/power-manager/rb-power-manager-plugin.c    |   65 ++-
 plugins/pythonconsole/Makefile.am                  |    6 +-
 plugins/pythonconsole/pythonconsole.plugin.in      |    9 +
 plugins/pythonconsole/pythonconsole.py             |   33 +-
 plugins/pythonconsole/pythonconsole.rb-plugin.in   |    9 -
 plugins/rb-plugin-macros.h                         |   99 ++++
 plugins/rb/Loader.py                               |    2 +-
 plugins/rb/Makefile.am                             |    3 +-
 plugins/rb/__init__.py                             |  109 ----
 plugins/rb/rb.plugin                               |    7 +
 plugins/rb/rb.py                                   |  119 ++++
 plugins/rbzeitgeist/Makefile.am                    |    8 +-
 plugins/rbzeitgeist/rbzeitgeist.plugin.in          |   10 +
 plugins/rbzeitgeist/rbzeitgeist.py                 |  164 ++++++
 plugins/rbzeitgeist/rbzeitgeist.rb-plugin.in       |    9 -
 plugins/rbzeitgeist/rbzeitgeist/__init__.py        |  161 ------
 plugins/replaygain/Makefile.am                     |   15 +-
 plugins/replaygain/config.py                       |   82 +++
 plugins/replaygain/player.py                       |  239 ++++++++
 plugins/replaygain/replaygain.plugin.in            |   10 +
 plugins/replaygain/replaygain.py                   |   49 ++
 plugins/replaygain/replaygain.rb-plugin.in         |    9 -
 plugins/replaygain/replaygain/Makefile.am          |    6 -
 plugins/replaygain/replaygain/__init__.py          |   57 --
 plugins/replaygain/replaygain/config.py            |   86 ---
 plugins/replaygain/replaygain/player.py            |  239 --------
 plugins/sample-python/Makefile.am                  |    8 +-
 plugins/sample-python/sample-python.plugin.in      |    9 +
 plugins/sample-python/sample-python.py             |   21 +-
 plugins/sample-python/sample-python.rb-plugin.in   |    9 -
 plugins/sample-vala/Makefile.am                    |    6 +-
 plugins/sample-vala/rb-sample-vala-plugin.vala     |   12 +-
 plugins/sample-vala/sample-vala.plugin.in          |    8 +
 plugins/sample-vala/sample-vala.rb-plugin.in       |    8 -
 plugins/sample/Makefile.am                         |    8 +-
 plugins/sample/rb-sample-plugin.c                  |   70 +--
 plugins/sample/sample.plugin.in                    |    8 +
 plugins/sample/sample.rb-plugin.in                 |    8 -
 plugins/sendto/Makefile.am                         |    8 +-
 plugins/sendto/__init__.py                         |   78 ---
 plugins/sendto/sendto.plugin.in                    |    9 +
 plugins/sendto/sendto.py                           |   84 +++
 plugins/sendto/sendto.rb-plugin.in                 |    8 -
 shell/rb-shell.c                                   |    2 +-
 270 files changed, 9519 insertions(+), 9534 deletions(-)

commit ea851118fa076e7b30c5530678f3cdc3235a6d8c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 23 22:49:25 2011 +1000

    remove old plugin system, switch to libpeas

 .gitignore                           |   10 +-
 Makefile.am                          |    2 +-
 bindings/gi/Makefile.am              |   32 +-
 configure.ac                         |  100 +----
 data/org.gnome.rhythmbox.gschema.xml |   12 +-
 doc/reference/Makefile.am            |    1 -
 doc/reference/rhythmbox-sections.txt |   28 --
 doc/reference/rhythmbox.types        |    2 -
 lib/rb-file-helpers.c                |   55 +++
 lib/rb-file-helpers.h                |    2 +
 rhythmbox.h                          |    1 -
 shell/Makefile.am                    |   28 +--
 shell/rb-module.c                    |  185 ---------
 shell/rb-module.h                    |   59 ---
 shell/rb-plugin-manager.c            |  562 --------------------------
 shell/rb-plugin-manager.h            |   79 ----
 shell/rb-plugin.c                    |  393 ------------------
 shell/rb-plugin.h                    |  214 ----------
 shell/rb-plugins-engine.c            |  724 ----------------------------------
 shell/rb-plugins-engine.h            |   64 ---
 shell/rb-python-module.c             |  483 -----------------------
 shell/rb-python-module.h             |   71 ----
 shell/rb-python-plugin.c             |  283 -------------
 shell/rb-python-plugin.h             |   52 ---
 shell/rb-shell.c                     |  152 +++++++-
 sources/rb-display-page.c            |   10 +-
 sources/rb-source.c                  |    3 +-
 27 files changed, 255 insertions(+), 3352 deletions(-)

commit db05297b2c05aea69e42bbc4c08fa00774935761
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 23 22:12:20 2011 +1000

    rhythmdb: dbus interface doesn't need a reference on the db

 rhythmdb/rhythmdb-dbus.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bbb3184f6ad55294b21d93c0e7e2d0c44a4bab8c
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Sat Apr 23 18:52:05 2011 +0900

    Updated Japanese translation

 po/ja.po | 2466 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 1141 insertions(+), 1325 deletions(-)

commit ae6f948c94066b760981e1113e00e0d9471a9505
Author: OKANO Takayoshi <kano@na.rim.or.jp>
Date:   Sat Apr 23 18:42:58 2011 +0900

    Updated Japanese translation

 po/ja.po | 1042 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 555 insertions(+), 487 deletions(-)

commit f591d85cc5461777949b7c20815659a323624802
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Apr 22 11:12:55 2011 +0200

    Updated Polish translation

 po/pl.po | 1336 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 572 insertions(+), 764 deletions(-)

commit 380b2a53b69712e7435265248cca0eb5b35eb872
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Tue Apr 19 19:00:04 2011 +0700

    Updated Vietnamese translation

 po/vi.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 1871544e325ccef09197f63239401d04453ce387
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Tue Apr 19 11:03:41 2011 +0200

    Updated Lithuanian translation.

 po/lt.po | 1641 +++++++++++++++++++++++---------------------------------------
 1 files changed, 593 insertions(+), 1048 deletions(-)

commit 716550468e488d1a7bd98c065be42463f0a16c34
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 19 09:09:07 2011 +1000

    rhythmdb: add rhythmdb_query_new_empty
    
    Without this it's kind of tricky to create a query in python.

 rhythmdb/rhythmdb-query.c |   16 ++++++++++++++++
 rhythmdb/rhythmdb.h       |    1 +
 2 files changed, 17 insertions(+), 0 deletions(-)

commit 59b72103b0ddadfc6f12e71b4f49f02f6ca16f17
Author: Lê Trường An <xinemdungkhoc1@gmail.com>
Date:   Mon Apr 18 20:19:46 2011 +0700

    Updated Vietnamese translation
    
    Signed-off-by: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>

 po/vi.po |  267 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 141 insertions(+), 126 deletions(-)

commit 519950754de4cd341f93f8a2e14d548cb24a77d6
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Apr 17 11:49:30 2011 +0200

    Updated Czech translation

 po/cs.po | 1505 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 730 insertions(+), 775 deletions(-)

commit d9a483c7e940fdbd0023cab7672ad69b996d89ab
Author: Seif Lotfy <seif@lotfy.com>
Date:   Thu Apr 14 15:57:09 2011 +0200

    zeitgeist: fix db property names (bug #647775)

 plugins/rbzeitgeist/rbzeitgeist/__init__.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit eac823d9dd8922061d877e5709f5566ef5561798
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 14 09:00:32 2011 +1000

    notification: show the right notification for non-playback cases

 plugins/notification/rb-notification-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 041fe2e34ed4c26229b3f7a97e8d600f7ee8eb0b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Apr 14 08:39:57 2011 +1000

    daap: create dacp settings instance correctly

 plugins/daap/rb-dacp-pairing-page.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 5a4b1ab5ab0450d55f9671c7abc056c6360c8afc
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Apr 13 23:09:38 2011 +0100

    audioscrobbler: do not create multiple profile pages per service.

 plugins/audioscrobbler/rb-audioscrobbler-plugin.c |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit b89946c71246db87404ae3cd9d3d86b4113c4dc9
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Wed Apr 13 23:03:54 2011 +0200

    [l10n] Updated German translation

 po/de.po | 1358 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 584 insertions(+), 774 deletions(-)

commit a9dd7a479fec0ac1c7f4cf85f67b6da2bd152fb4
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Apr 12 21:14:17 2011 +0200

    Updated Spanish translation

 po/es.po | 1511 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 733 insertions(+), 778 deletions(-)

commit 4613f779c278e687ef2ed89f4ad011bba8780f54
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Tue Apr 12 19:01:52 2011 +0200

    Updated Slovenian translation

 po/sl.po | 1761 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 946 insertions(+), 815 deletions(-)

commit 8562ab61359d5e6dcd5d87e082acaabe6559f4a8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Apr 12 23:32:25 2011 +1000

    daap: fix typo (bug #647549)

 plugins/daap/rb-daap-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 434cd97e79d50401755c9de08cbbaa59074bc6b8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 11 08:57:45 2011 +1000

    add a few more plugins to the default active plugin list

 data/org.gnome.rhythmbox.gschema.xml |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b00f7ee0d4bffb83b7e40b7143c01605117d4a50
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 17:15:51 2011 +1000

    remove gconf schemas

 data/rhythmbox.schemas | 1763 ------------------------------------------------
 1 files changed, 0 insertions(+), 1763 deletions(-)

commit 6fe21e1bbcfaa76f4b9920befc128ce78082f30e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 17:15:19 2011 +1000

    port plugins to use GSettings

 .../artdisplay/artdisplay/LastFMCoverArtSearch.py  |   18 +-
 plugins/audiocd/rb-audiocd-source.c                |    7 +-
 plugins/audioscrobbler/Makefile.am                 |    1 -
 plugins/audioscrobbler/audioscrobbler-radio-ui.xml |    2 +-
 plugins/audioscrobbler/rb-audioscrobbler-account.c |   11 -
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |  104 +++++----
 .../rb-audioscrobbler-profile-page.c               |   68 +++---
 .../rb-audioscrobbler-radio-source.c               |    2 +-
 plugins/audioscrobbler/rb-audioscrobbler-service.h |    7 +
 plugins/audioscrobbler/rb-audioscrobbler.c         |    3 -
 plugins/context/context/ContextView.py             |    2 +-
 plugins/context/context/LastFM.py                  |   17 +-
 plugins/daap/rb-daap-plugin.c                      |  244 +++++++-------------
 plugins/daap/rb-daap-sharing.c                     |  185 +++++----------
 plugins/daap/rb-daap-source.c                      |   44 ++---
 plugins/daap/rb-dacp-pairing-page.c                |   57 +++--
 plugins/daap/rb-dacp-pairing-page.h                |    4 -
 plugins/daap/rb-dmap-container-db-adapter.c        |    5 +-
 .../rb-dbus-media-server-plugin.c                  |   12 +-
 plugins/fmradio/rb-fm-radio-source.c               |   16 +-
 plugins/generic-player/rb-generic-player-source.c  |    5 +-
 plugins/generic-player/rb-nokia770-source.c        |    1 -
 plugins/generic-player/rb-psp-source.c             |    1 -
 plugins/ipod/rb-ipod-source.c                      |   27 +--
 plugins/iradio/rb-iradio-source.c                  |  190 ++++-----------
 plugins/jamendo/jamendo/JamendoConfigureDialog.py  |   15 +-
 plugins/jamendo/jamendo/JamendoSource.py           |   15 +-
 plugins/lyrics/lyrics/LyricsConfigureDialog.py     |   25 +--
 plugins/lyrics/lyrics/LyricsParse.py               |   11 +-
 plugins/lyrics/lyrics/__init__.py                  |   13 +-
 plugins/magnatune/magnatune/MagnatuneSource.py     |   20 +-
 plugins/magnatune/magnatune/__init__.py            |   22 +--
 plugins/mtpdevice/rb-mtp-source.c                  |   26 +--
 plugins/pythonconsole/pythonconsole.py             |   13 +-
 plugins/rb/__init__.py                             |   16 --
 plugins/replaygain/Makefile.am                     |    6 +-
 plugins/replaygain/replaygain-prefs.ui             |   32 ++--
 plugins/replaygain/replaygain/config.py            |   37 +---
 plugins/replaygain/replaygain/player.py            |   15 +-
 39 files changed, 506 insertions(+), 793 deletions(-)

commit cf02733f92acdbf723610a10ae34c52925b0a4f1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 10 20:39:35 2011 +1000

    port all core code to use GSettings
    
    A couple of general notes, for future reference:
    - widgets don't know anything about GSettings, instead they expose
      properties that can be bound to settings keys
    - when a settings key is used to store a value controlled by a slider
      or pane widget, the key is only updated once the value has gone
      unchanged for 500ms (using rb_settings_delayed_sync); writing on
      each value notification is extremely slow.

 .gitignore                           |    4 +-
 backends/gstreamer/rb-encoder-gst.c  |    5 +-
 bindings/gi/Makefile.am              |    1 -
 configure.ac                         |    2 +-
 data/Makefile.am                     |   26 +-
 data/ui/general-prefs.ui             |   14 -
 data/ui/playback-prefs.ui            |   59 +----
 data/ui/podcast-prefs.ui             |   60 ++--
 doc/reference/Makefile.am            |    1 -
 doc/reference/rhythmbox-sections.txt |   20 --
 doc/reference/rhythmbox.types        |    2 -
 lib/Makefile.am                      |    3 -
 lib/eel-gconf-extensions.c           |  507 ----------------------------
 lib/eel-gconf-extensions.h           |   79 -----
 lib/rb-debug.c                       |    1 +
 lib/rb-preferences.h                 |   83 -----
 lib/rb-util.c                        |   54 +++
 lib/rb-util.h                        |    5 +
 macros/gsettings.m4                  |   80 +++++
 po/POTFILES.in                       |    1 -
 podcast/Makefile.am                  |    1 +
 podcast/rb-podcast-main-source.c     |   94 +++---
 podcast/rb-podcast-manager.c         |  274 ++++++++--------
 podcast/rb-podcast-settings.h        |   46 +++
 podcast/rb-podcast-source.c          |  116 +++----
 rhythmbox.h                          |    1 -
 rhythmdb/rhythmdb-monitor.c          |   26 +-
 rhythmdb/rhythmdb-private.h          |    6 +-
 rhythmdb/rhythmdb-song-entry-types.c |   12 +-
 rhythmdb/rhythmdb.c                  |   77 ++---
 shell/main.c                         |    4 +-
 shell/rb-play-order-linear-loop.c    |    1 -
 shell/rb-play-order-linear.c         |    2 -
 shell/rb-play-order-queue.c          |    2 -
 shell/rb-play-order-shuffle.c        |    1 -
 shell/rb-play-order.c                |    1 -
 shell/rb-play-order.h                |    2 +-
 shell/rb-playlist-manager.c          |    1 -
 shell/rb-plugin.c                    |   14 +-
 shell/rb-plugins-engine.c            |  110 +++----
 shell/rb-shell-player.c              |  292 ++++++-----------
 shell/rb-shell-player.h              |    2 -
 shell/rb-shell-preferences.c         |  523 ++++++++++++------------------
 shell/rb-shell-preferences.h         |    1 -
 shell/rb-shell.c                     |  445 ++++++++++---------------
 shell/rb-shell.xml                   |   15 +
 shell/rb-source-header.c             |  123 ++++----
 sources/rb-auto-playlist-source.c    |   45 ++--
 sources/rb-browser-source.c          |  186 ++---------
 sources/rb-browser-source.h          |    2 -
 sources/rb-display-page-tree.c       |   69 +++--
 sources/rb-import-errors-source.c    |    2 +-
 sources/rb-library-source.c          |  600 ++++++++++++++--------------------
 sources/rb-missing-files-source.c    |   12 +-
 sources/rb-play-queue-source.c       |    2 +-
 sources/rb-playlist-source.c         |   89 +-----
 sources/rb-removable-media-source.c  |    2 -
 sources/rb-source.c                  |  205 +++++++++---
 sources/rb-source.h                  |    8 +-
 sources/rb-static-playlist-source.c  |   54 ++--
 sources/rb-streaming-source.c        |    1 -
 widgets/rb-entry-view.c              |  205 +++---------
 widgets/rb-entry-view.h              |    2 -
 widgets/rb-header.c                  |   88 +++---
 widgets/rb-library-browser.c         |   63 ++--
 widgets/rb-property-view.c           |    1 -
 widgets/rb-query-creator.c           |    1 -
 widgets/rb-song-info.c               |    2 -
 68 files changed, 1798 insertions(+), 3040 deletions(-)

commit 34e2c0cb2c3dc0d2928ce2d71d244c4c544e5e06
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 16:38:28 2011 +1000

    add GSettings schemas
    
    Nothing terribly interesting here.  There's a schema type for holding
    basic settings for a source (org.gnome.rhythmbox.source).  Rather than
    each source managing its own set of keys to store those settings, they
    can just provide a GSettings instance of that schema type and get the
    base class to apply those settings.
    
    Where appropriate, we now use enums to store some settings, rather than
    indexes into lists of options stored elsewhere.
    
    The schemas are not marked for translation, since the gconf schemas never
    were and no one ever complained about it.

 data/Makefile.am                     |    3 +-
 data/org.gnome.rhythmbox.gschema.xml |  413 ++++++++++++++++++++++++++++++++++
 2 files changed, 415 insertions(+), 1 deletions(-)

commit 8b9ebae5090045b873cb39e32a3279e21f3c0a97
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 16:22:31 2011 +1000

    player backends: remove buffer size setting, use gsettings sinks

 backends/gstreamer/rb-player-gst-helper.c |    7 ++--
 backends/gstreamer/rb-player-gst-xfade.c  |   48 ++++++++------------------
 backends/gstreamer/rb-player-gst.c        |   52 +++++-----------------------
 3 files changed, 29 insertions(+), 78 deletions(-)

commit 192fd2e6cad9948dbf60204387e00a50027ae544
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 16:07:21 2011 +1000

    add new notification plugin
    
    This requires libnotify 0.7.0, which no longer features the ability
    to associate a notification with a widget, so it doesn't need to
    cohabit with status icon code.  With current notification servers,
    it doesn't make sense to notify only when the main window is hidden,
    so this setting has been removed.

 configure.ac                                   |    3 +-
 plugins/Makefile.am                            |    4 +
 plugins/notification/Makefile.am               |   56 ++
 plugins/notification/notification.rb-plugin.in |    8 +
 plugins/notification/rb-notification-plugin.c  |  647 ++++++++++++++++++++++++
 po/POTFILES.in                                 |    2 +
 6 files changed, 719 insertions(+), 1 deletions(-)

commit 47a153a05890af77e66baadf93e5084e13254af2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 16:02:48 2011 +1000

    remove status icon plugin
    
    The notification part is going to reappear in a separate plugin soon,
    and the status icon might come back on its own if anyone's interested
    in doing the work to keep it alive.

 configure.ac                                   |    1 -
 plugins/Makefile.am                            |    3 +-
 plugins/status-icon/Makefile.am                |   73 -
 plugins/status-icon/rb-status-icon-plugin.c    | 1697 ------------------------
 plugins/status-icon/rb-status-icon-plugin.h    |   78 --
 plugins/status-icon/rb-tray-icon-gtk.c         |  339 -----
 plugins/status-icon/rb-tray-icon-gtk.h         |   85 --
 plugins/status-icon/status-icon-preferences.ui |  244 ----
 plugins/status-icon/status-icon-ui.xml         |   26 -
 plugins/status-icon/status-icon.rb-plugin.in   |    8 -
 po/POTFILES.in                                 |    4 -
 11 files changed, 1 insertions(+), 2557 deletions(-)

commit 9637f3145868d1d2773cde4748e4c7438ff201ce
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 9 16:00:21 2011 +1000

    remove visualizer plugin
    
    It'll be back in a revamped form soon, but for now it's just getting
    in the way.

 configure.ac                                       |    1 -
 plugins/Makefile.am                                |    3 +-
 plugins/visualizer/Makefile.am                     |   82 -
 .../icons/hicolor/22x22/actions/visualization.png  |  Bin 1037 -> 0 bytes
 plugins/visualizer/rb-vis-widget.c                 |  263 ---
 plugins/visualizer/rb-vis-widget.h                 |   59 -
 plugins/visualizer/rb-visualizer-plugin.c          | 2336 --------------------
 plugins/visualizer/visualizer-controls.ui          |  207 --
 plugins/visualizer/visualizer-ui.xml               |   16 -
 plugins/visualizer/visualizer.rb-plugin.in         |    8 -
 po/POTFILES.in                                     |    3 -
 11 files changed, 1 insertions(+), 2977 deletions(-)

commit d7c548ef499c56a37393046cc51ccd1681aa10c6
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Apr 7 19:51:25 2011 +0200

    [l10n] Updated German translation

 po/de.po | 1420 ++++++++++++++++++++++----------------------------------------
 1 files changed, 496 insertions(+), 924 deletions(-)

commit cd51a148666010e086cdc521123bb7e769a2f939
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Apr 6 19:13:26 2011 +1000

    playlist-manager: ensure the play queue gets saved (bug #644585)
    
    When displayed as a side pane, the play queue is hidden from the display
    page tree.  Rather than relying on iterating the page tree to save it,
    save it separately.

 shell/rb-playlist-manager.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 2728c70494b95d41453e2a319e79276840450d01
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 4 21:40:13 2011 +1000

    audiocd: set vexpand on the album info table to FALSE

 plugins/audiocd/rb-audiocd-source.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 27759cbc478c734c1a78b0eab187c6d43df13dce
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Apr 4 21:18:55 2011 +1000

    encoder: don't crash if cancelled in response to an overwrite prompt

 backends/gstreamer/rb-encoder-gst.c |   25 ++++++++++++++++++++-----
 1 files changed, 20 insertions(+), 5 deletions(-)

commit 386a397b8181d272341f938e72610e091f4f3889
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Apr 2 13:45:23 2011 +1000

    stop using rb_shell_get_player and rb_shell_get_playlist_manager

 plugins/audiocd/rb-audiocd-plugin.c                |    3 +-
 .../rb-audioscrobbler-profile-page.c               |   32 +++++++++++++++----
 .../rb-audioscrobbler-radio-source.c               |   22 ++++++++++----
 plugins/mtpdevice/rb-mtp-source.c                  |    3 +-
 podcast/rb-podcast-source.c                        |   10 +++++-
 sources/rb-browser-source.c                        |    7 +++-
 sources/rb-import-errors-source.c                  |    7 +++-
 sources/rb-missing-files-source.c                  |    7 +++-
 sources/rb-play-queue-source.c                     |    3 +-
 sources/rb-playlist-source.c                       |    7 +++-
 sources/sync/rb-sync-state.c                       |    5 ++-
 11 files changed, 79 insertions(+), 27 deletions(-)

commit 53f77ff8f509b65553bcc5f0cfac7d5bf541e07e
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Fri Apr 1 22:59:43 2011 +0300

    Updated Latvian translation.

 po/lv.po | 4044 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 2293 insertions(+), 1751 deletions(-)

commit 7efeb06048601cf40539361c4996ce43c323ea8b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Apr 1 23:24:40 2011 +1000

    update pkgconfig file: gtk+ 3.0, libgnome-media-profiles 3.0 (bug #646239)

 rhythmbox.pc.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6ac4d3d70a46e9ed3c8146af378387c45c3c92db
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 31 21:21:08 2011 +1000

    daap: stop using dbus api methods that will be removed soon

 plugins/daap/rb-dacp-player.c |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

commit dd6d2b8f220487a6ebdf6e0d6d0428e1980e4405
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Mon Mar 28 10:27:38 2011 +0200

    Add missing #include <config.h> to make translations work

 .../rb-audioscrobbler-profile-page.c               |    4 ++++
 plugins/daap/rb-rhythmdb-dmap-db-adapter.c         |    4 ++++
 2 files changed, 8 insertions(+), 0 deletions(-)

commit 54d52a0986b2e973e95effdc12979eccccab5272
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Tue Mar 29 19:09:36 2011 +0200

    Updated Esperanto translation

 po/eo.po | 3455 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1840 insertions(+), 1615 deletions(-)

commit b2b90815d9d1440289b1ed5e2f516eb8cd47e7d1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 24 23:30:25 2011 +1000

    Use gio through introspection in python plugins (bug 645703)
    
    (except for jamendo and magnatune, for which more work is required
    in pygobject)

 plugins/artdisplay/artdisplay/CoverArtDatabase.py  |    3 +-
 .../artdisplay/artdisplay/LocalCoverArtSearch.py   |   35 +++++---
 plugins/artdisplay/artdisplay/__init__.py          |    5 +-
 plugins/context/context/ContextView.py             |   10 +--
 plugins/rb/Loader.py                               |   98 ++++++++++----------
 plugins/rbzeitgeist/rbzeitgeist/__init__.py        |    8 +-
 6 files changed, 83 insertions(+), 76 deletions(-)

commit 39743f541a247cc7340a83d4e607947ab75b9d86
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 17:30:28 2011 +0700

    Updated Vietnamese translation

 po/vi.po |   26 ++++++++++----------------
 1 files changed, 10 insertions(+), 16 deletions(-)

commit 2df616241ddefd3dd9fccdbb4bb547d49b01155b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Mar 27 17:28:20 2011 +0700

    po/vi.po: import from Damned Lies

 po/vi.po | 1680 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 736 insertions(+), 944 deletions(-)

commit 7adde0469a1cebd1d42e4747cd620cae3e84358b
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Thu Mar 24 19:59:27 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po |   85 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 43 insertions(+), 42 deletions(-)

commit 6c6c6cfd47dce5286313929fbcb6d54793a30be2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 22 19:13:30 2011 -0400

    source-header: slightly tweak the header toolbar appearance
    
    Remove border, and uncomment the style context parsing.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645577

 shell/rb-source-header.c |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit 1899cd3ecc21af0c0451e7eaa6d3314e0d96725b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 22 19:07:43 2011 -0400

    shell: add the primary-toolbar class style to the toolbar
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645577

 shell/rb-shell.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 79c5634080fd97d59081ac4000e0bea7b0d8e5ae
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 22 19:07:03 2011 -0400

    plugins-engine: set dialog hint to configuration widgets if possible
    
    So they get themed up by mutter correctly.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=645577

 shell/rb-plugins-engine.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 6130244abce4aa3d65d2321867443c86557ad363
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Mar 24 08:39:49 2011 +1000

    fix the python entry equality check so it actually works here

 plugins/artdisplay/artdisplay/__init__.py |   14 +++++++-------
 plugins/context/context/LyricsTab.py      |    2 +-
 plugins/im-status/im-status/__init__.py   |    3 +--
 plugins/rb/__init__.py                    |    6 ++----
 4 files changed, 11 insertions(+), 14 deletions(-)

commit cd43cb2146d6e2d1ef386c96b5a816afcf9f191b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 21 21:20:06 2011 +1000

    replace entry equality checks with entry location equality checks (bug #634957)
    
    It appears that at some point we switched from doing a pointer
    comparison when no specific compare method existed to just returning
    False.  As a result, we need to compare entry locations instead.
    This broke lyrics display in the context pane plugin and cover art in
    the mpris plugin, among other things.

 plugins/artdisplay/artdisplay/__init__.py |   14 +++++++-------
 plugins/context/context/LyricsTab.py      |    2 +-
 plugins/im-status/im-status/__init__.py   |    3 ++-
 plugins/rb/__init__.py                    |    8 ++++++++
 4 files changed, 18 insertions(+), 9 deletions(-)

commit 810bf6202448a7d298d64c5af478b4a4328cd764
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 22 09:40:28 2011 +1000

    pythonconsole: update for gdk event changes

 plugins/pythonconsole/pythonconsole.py |   28 ++++++++++++++--------------
 1 files changed, 14 insertions(+), 14 deletions(-)

commit 092e6755622de211251cc23dedc83d5860b488b9
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sun Mar 20 12:05:53 2011 +0100

    [l10n] Updated Dutch translation

 po/nl.po | 1764 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 819 insertions(+), 945 deletions(-)

commit d8c5646460232476fb4000123ade6f8197711220
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sun Mar 20 00:25:38 2011 +0100

    Updated French translation

 po/fr.po | 1316 +++++++++++++++++++++-----------------------------------------
 1 files changed, 447 insertions(+), 869 deletions(-)

commit 0e32f6ae148aae9e4f183025c574f942ce3c01c1
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 19 03:03:15 2011 +0100

    Updated Hungarian translation

 po/hu.po | 1409 ++++++++++++++++++++++----------------------------------------
 1 files changed, 497 insertions(+), 912 deletions(-)

commit 1f057aeb1c21074a02fbbe1915cc04bed9fadb64
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Mar 19 08:30:18 2011 +1000

    status-icon: remove "playing-changed" handler when deactivated (bug #645145)

 plugins/status-icon/rb-status-icon-plugin.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 73a953608d73accfeb6db6657ae51e7af733d351
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Mar 17 01:05:28 2011 +0100

    Updated Romanian translation

 po/ro.po |   34 +++++++++++++++-------------------
 1 files changed, 15 insertions(+), 19 deletions(-)

commit 14a1ca20282924b97e25b54897d520ca8897cc00
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Thu Mar 17 01:02:56 2011 +0100

    Updated Romanian translation

 po/ro.po | 1601 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 743 insertions(+), 858 deletions(-)

commit 5e20abddb62416fa47baed2ee5167d76d32b88c0
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Mar 11 18:55:51 2011 +1000

    metadata: don't return empty arrays of missing plugins
    
    fixes error messages on podcast download completion

 metadata/rb-metadata-dbus-client.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a7efc5f38fab127212725e718c38d0761b5119f7
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Mar 9 22:14:33 2011 +0100

    Updated Polish translation

 po/pl.po | 1543 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 585 insertions(+), 958 deletions(-)

commit 7b0f4cd4613b9b3f50c6a7c2abdfe756aaa25610
Author: Bastien Nocera <hadess@hadess.net>
Date:   Tue Mar 8 18:48:57 2011 +0000

    ipod: Don't handle iOS document mounts
    
    Don't popup "uninitialised iPod" warnings for the iOS documents
    mounts as supported in newer versions of gvfs.

 plugins/ipod/rb-ipod-helpers.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 9d4e5bcf1e969caa2f9848340ec610792c6a29d1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Mar 8 08:17:07 2011 +1000

    don't build rhythmbox-client for now, fix other build breaks

 remote/dbus/Makefile.am |    5 +++--
 shell/main.c            |    2 --
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 0ecac2980784ed2acf3c7c17890b93a8ed3e87ef
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Mon Mar 7 13:02:08 2011 +0100

    Updated Italian translation

 po/it.po | 1723 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 794 insertions(+), 929 deletions(-)

commit 6ba631a70811303a0508c1719a1ddb63785960cc
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 7 08:30:45 2011 +1000

    shell-player: remove dbus interface
    
    Clients that were using this before should use MPRIS now.

 shell/Makefile.am         |    8 +---
 shell/main.c              |    9 -----
 shell/rb-shell-player.xml |   89 ---------------------------------------------
 3 files changed, 2 insertions(+), 104 deletions(-)

commit 875d19a81877d16e62b2fde4ddc8a873d66e5f19
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 7 08:28:06 2011 +1000

    queue: add dbus interface
    
    This replaces the addToQueue, removeFromQueue and clearQueue methods
    on the shell dbus interface.

 sources/rb-play-queue-source.c |  141 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 141 insertions(+), 0 deletions(-)

commit 9e44ebca2e22998fb15a693011164aea0c3e0270
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 7 08:26:01 2011 +1000

    rhythmdb: add a very basic dbus interface
    
    This just allows dbus clients to get and set properties on entries
    identified by URI.  This replaces the getSongProperties and
    setSongProperty methods on the shell dbus interface.

 rhythmdb/Makefile.am        |    3 +-
 rhythmdb/rhythmdb-dbus.c    |  246 +++++++++++++++++++++++++++++++++++++++++++
 rhythmdb/rhythmdb-private.h |    6 +
 rhythmdb/rhythmdb-tree.c    |    3 +-
 rhythmdb/rhythmdb.c         |    3 +
 5 files changed, 259 insertions(+), 2 deletions(-)

commit b5d1bf1e3de9447307305a55136f23eb81066216
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Mar 7 08:16:11 2011 +1000

    convert playlist manager dbus interface to use gdbus

 shell/Makefile.am             |    6 +-
 shell/main.c                  |    6 -
 shell/rb-playlist-manager.c   | 1550 +++++++++++++++++++++++------------------
 shell/rb-playlist-manager.xml |   42 --
 4 files changed, 856 insertions(+), 748 deletions(-)

commit 21aafa12c273c1498e3d02b1ea4dd52b8d943e88
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Mar 6 21:33:23 2011 +0100

    Updated Swedish translation

 po/sv.po | 1535 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 666 insertions(+), 869 deletions(-)

commit b0da9910acbd9d47b6e2de1a8ee85d8591f8e743
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   Sun Mar 6 16:52:20 2011 +0200

    Updated Lithuanian translation

 po/lt.po | 2149 ++++++++++++++++++++++----------------------------------------
 1 files changed, 772 insertions(+), 1377 deletions(-)

commit 70fb9685eec77b733d85fff4f7342665432cf74c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 6 22:14:32 2011 +1000

    visualizer: remove dbus interface
    
    I'm pretty sure no one has ever used it.

 plugins/visualizer/Makefile.am            |   10 -----
 plugins/visualizer/rb-visualizer-plugin.c |   61 -----------------------------
 plugins/visualizer/rb-visualizer.xml      |   17 --------
 3 files changed, 0 insertions(+), 88 deletions(-)

commit 7827a0b22d4ed0c934c299de1b0864a966c3753f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 6 22:11:14 2011 +1000

    mpris: if we have a streaming song title, provide the stream name too

 plugins/mpris/rb-mpris-plugin.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit a0428d0aa79df6628f4c734712c27b112340c783
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Mar 6 21:51:21 2011 +1000

    daap: use GDBus

 plugins/daap/Makefile.am      |   11 ---
 plugins/daap/rb-daap-plugin.c |  174 ++++++++++++++++++++++++++++++-----------
 plugins/daap/rb-daap.xml      |   20 -----
 3 files changed, 128 insertions(+), 77 deletions(-)

commit f31db96e51822562b6e76fe22387981788afdc8c
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Mar 5 18:39:40 2011 +0100

    Updated Slovenian translation

 po/sl.po | 1530 +++++++++++++++++++++++++++-----------------------------------
 1 files changed, 662 insertions(+), 868 deletions(-)

commit fededc299525082fa8db32e1ce1365a474e6d583
Author: Gabriel F. Vilar <cogumm@gmail.com>
Date:   Fri Mar 4 16:48:26 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1333 ++++++++++++++++++++---------------------------------------
 1 files changed, 446 insertions(+), 887 deletions(-)

commit a445419896daffec09c038b32b3a6c842cc9119b
Author: Aron Xu <aronxu@gnome.org>
Date:   Thu Mar 3 19:33:49 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 1579 +++++++++++++++++++++++++++--------------------------------
 1 files changed, 728 insertions(+), 851 deletions(-)

commit 9c3a202a245d7422947f3ad37551092f8f1f47f4
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Thu Mar 3 10:46:30 2011 +0200

    Uploaded Ukranian

 po/uk.po | 3850 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 2154 insertions(+), 1696 deletions(-)

commit 5aba42ee483b0c504c8edeca049dc30ba7c58e88
Author: Marek Černocký <marek@manet.cz>
Date:   Sun Feb 27 11:58:28 2011 +0100

    Updated Czech translation

 po/cs.po |  152 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 77 insertions(+), 75 deletions(-)

commit 7df48bbb4093a1baf0f61c9d424ff013f6d85d48
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 27 09:06:06 2011 +1000

    power-manager: unref dbus call result variants properly

 plugins/power-manager/rb-power-manager-plugin.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 140a767036ff693edfc6bec3daa98e72f0277bbb
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Sat Feb 26 17:26:25 2011 +0200

    [l10n] Updated Estonian translation

 po/et.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit ef85247cb405ecaaefddf4296f2ddca2cf890c8c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Feb 26 12:28:54 2011 +0100

    Updated Spanish translation

 po/es.po |  156 +++++++++++++++++++++++++++++++------------------------------
 1 files changed, 79 insertions(+), 77 deletions(-)

commit 46d59fadef3f2972a1870f354f96fd88c70d84c4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 26 20:24:01 2011 +1000

    context: update last.fm plugin instructions

 plugins/context/context/LastFM.py |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit f8ed69384e6d21736ed7a4d027c6d37feb52820f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 26 13:41:15 2011 +1000

    power-manager: replace libdbus with GDBus

 plugins/power-manager/Makefile.am               |    2 -
 plugins/power-manager/rb-power-manager-plugin.c |  127 +++++++++--------------
 2 files changed, 50 insertions(+), 79 deletions(-)

commit 008853f39524bd0603f1f3633c15051c02b4a8fd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 26 11:49:30 2011 +1000

    mtp: only use devices from libmtp's supported device list

 plugins/mtpdevice/rb-mtp-plugin.c |   71 ++++++++++++++++++++----------------
 1 files changed, 39 insertions(+), 32 deletions(-)

commit 1a182eda83118b27aee13e0038c02cbe16838af8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 26 10:47:06 2011 +1000

    Use the app name, rather than the generic name "music player" everywhere
    
    Let's stop pretending we're a core part of the desktop.

 plugins/status-icon/rb-status-icon-plugin.c |   10 +++++-----
 shell/rb-shell-preferences.c                |    2 +-
 shell/rb-shell.c                            |   12 ++++++------
 3 files changed, 12 insertions(+), 12 deletions(-)

commit 006d2ff5eb0b713706ddd7f5fb1bb1c608ff3a05
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 26 10:46:20 2011 +1000

    status-icon: don't add "(Paused)" to notifications when pausing
    
    This isn't really necessary as the play button icon indicates that
    we're paused.

 plugins/status-icon/rb-status-icon-plugin.c |   13 +------------
 1 files changed, 1 insertions(+), 12 deletions(-)

commit bbe36ccac20b8638e522c2da2342d82e2d9852d5
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Fri Feb 25 20:36:11 2011 +0100

    Updated Spanish translation

 po/es.po | 1494 ++++++++++++++++++++++++++++---------------------------------
 1 files changed, 686 insertions(+), 808 deletions(-)

commit a3dd6b4b889bd3beabba157799481238a0521d77
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 26 02:00:10 2011 +1000

    mmkeys: replace libdbus with GDBus

 plugins/mmkeys/Makefile.am        |    2 -
 plugins/mmkeys/rb-mmkeys-plugin.c |  164 +++++++++++++++++++++----------------
 2 files changed, 94 insertions(+), 72 deletions(-)

commit 22a9a0d071901571824515a4417c4584dd23b3af
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 25 22:11:30 2011 +1000

    metadata: explain why we report bogus track numbers sometimes

 metadata/rb-metadata-dbus.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 17b40961d68485a1d17b488916acb76bb5f46b64
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 25 09:23:52 2011 +1000

    metadata: replace libdbus with GDBus
    
    This mostly reduces the amount of code involved, but also means we
    can change the metadata item format a lot more easily.

 metadata/Makefile.am                |   10 +-
 metadata/rb-metadata-dbus-client.c  |  404 +++++++++++---------------------
 metadata/rb-metadata-dbus-service.c |  444 ++++++++++++-----------------------
 metadata/rb-metadata-dbus.c         |  295 ++++-------------------
 metadata/rb-metadata-dbus.h         |   26 +--
 metadata/test-metadata.c            |    1 -
 6 files changed, 348 insertions(+), 832 deletions(-)

commit 4d2f6253d8425dbc1353079ca8fce5e15c89933c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 25 09:04:06 2011 +1000

    depend on a glib version new enough to have GDBus

 configure.ac        |    7 +------
 plugins/Makefile.am |    8 ++------
 2 files changed, 3 insertions(+), 12 deletions(-)

commit f55ff2e2ef90836f7689f7e0843c1a32831873bf
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 17:58:50 2011 +0000

    rhythmbox: Don't warn when a library entry is a podcast
    
    https://bugzilla.gnome.org/show_bug.cgi?id=643165

 rhythmdb/rhythmdb.c |    9 ++++++++-
 1 files changed, 8 insertions(+), 1 deletions(-)

commit 7cabd6a64bdb010c08b45661f98578d8ec237c7e
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Feb 24 18:56:13 2011 +0100

    Updated Czech translation

 po/cs.po | 1501 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 690 insertions(+), 811 deletions(-)

commit dc221628559f764c40582709b2048c3b56cc99e4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 17:23:46 2011 +0000

    shell: Fix another clipboard warning

 shell/rb-shell-clipboard.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 33bfef3d8dcc23a8178c6047a45b3424ea7d9631
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 17:22:47 2011 +0000

    widgets: Add test program for URI dialog

 widgets/Makefile.am       |    4 +++-
 widgets/test-uri-dialog.c |   29 +++++++++++++++++++++++++++++
 2 files changed, 32 insertions(+), 1 deletions(-)

commit 57b419e03285cedba66d1896e6e9be5c32098035
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 06:54:27 2011 +0000

    ipod: Fix use of uninitialised memory
    
    When the Play Counts file doesn't exist, we can't remove it.

 plugins/ipod/rb-ipod-source.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 17105bceb03e2806ce366f65b9c2f143575045f4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 06:46:43 2011 +0000

    widgets: Use symbolic icons in the treeview

 widgets/rb-entry-view.c |   54 +++++++----------------------------------------
 1 files changed, 8 insertions(+), 46 deletions(-)

commit dbff5af57e1c17c8543a830478ab6e064ff90b87
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 06:46:04 2011 +0000

    widgets: Simplify RbCellRendererPixbuf code
    
    By subclassing a pixbuf cell renderer rather than a cell renderer.

 widgets/rb-cell-renderer-pixbuf.c |  182 +------------------------------------
 widgets/rb-cell-renderer-pixbuf.h |    6 +-
 2 files changed, 3 insertions(+), 185 deletions(-)

commit c14ec7464dcd781529f1c955ac060df0bdc14d08
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 04:59:55 2011 +0000

    mpris: Fix compile-time warning

 plugins/mpris/rb-mpris-plugin.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0af2d16438155d0c4099533141236245c93d4150
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Feb 24 03:08:41 2011 +0000

    mpris: Fix property values lifecycle
    
    Thanks to Ryan Lortie

 plugins/mpris/rb-mpris-plugin.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 6035fd8ecec431373e80db5d2957e5a71b2f0099
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sun Feb 20 20:33:20 2011 +0000

    shell: Add a way to start-up with plugins disabled
    
    For debugging purposes
    
    https://bugzilla.gnome.org/show_bug.cgi?id=642836

 shell/main.c     |    4 +++-
 shell/rb-shell.c |   29 +++++++++++++++++++++++++++--
 shell/rb-shell.h |    1 +
 3 files changed, 31 insertions(+), 3 deletions(-)

commit d54ff9c265b5c547118c27b4e4f65cae4747a1e5
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Wed Feb 23 16:04:36 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po | 1488 ++++++++++++++++++++++++--------------------------------------
 1 files changed, 574 insertions(+), 914 deletions(-)

commit 0f8e4bdd274e188a4479b87104ee83804c2a975d
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Feb 21 19:50:55 2011 +0100

    Updated Spanish translation

 help/es/es.po |   29 ++++++++++++-----------------
 1 files changed, 12 insertions(+), 17 deletions(-)

commit 979f0678db7978457b6b781dd6f019e6bf3b4669
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 18 07:17:46 2011 +1000

    iradio: remove Absolute Radio dabbl (bug 642614)

 plugins/iradio/iradio-initial.xspf |   14 --------------
 1 files changed, 0 insertions(+), 14 deletions(-)

commit 0d3cda551e96007847ffcae651545dc9e9be564f
Author: Michal Hruby <michal.mhr@gmail.com>
Date:   Fri Feb 11 12:31:17 2011 +0100

    Update Zeitgeist plugin

 plugins/rbzeitgeist/rbzeitgeist/__init__.py |   62 ++++++++++++++++-----------
 1 files changed, 37 insertions(+), 25 deletions(-)

commit c5210ad0277e1d7adb95bb0b1b8811ad310da454
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 8 08:08:25 2011 +1000

    artdisplay: use height-for-width size request method

 plugins/artdisplay/artdisplay/__init__.py |   25 +++++++++++++------------
 1 files changed, 13 insertions(+), 12 deletions(-)

commit e307181d79a2cf88d6ac148f1de82850b768a6d4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 7 19:58:35 2011 +0000

    shell: Avoid warnings when no sources match
    
    When the content of the paste buffer doesn't contain something
    that relates to an entry in the database, don't try to unref NULL.

 shell/rb-shell-clipboard.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit d8ebf11dbe72f20c518a98d09fbb40e69cec5fe7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 7 16:20:01 2011 +0000

    Remove has-separator property usage
    
    It's gone in GTK+ 3.x

 data/ui/media-player-properties.ui                 |    1 -
 plugins/audiocd/multiple-album.ui                  |    1 -
 .../audioscrobbler/audioscrobbler-preferences.ui   |    1 -
 plugins/jamendo/jamendo-prefs.ui                   |    1 -
 plugins/status-icon/status-icon-preferences.ui     |    1 -
 5 files changed, 0 insertions(+), 5 deletions(-)

commit 3085275dcd0447934a624f6610f8446f7325f575
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 6 19:30:36 2011 +1000

    Re-enable python plugins

 configure.ac |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit e7de917c4c9be7e71a12b79987b418cd6ccd4ef6
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Feb 7 23:47:19 2011 +1000

    blacklist the coherence plugin for now

 shell/rb-plugins-engine.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit e32242e9e9a8cda622fe3060b9ce4d5d0ab0e9f6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 6 21:33:06 2011 +1000

    Port artdisplay plugin to GI

 plugins/artdisplay/artdisplay/CoverArtDatabase.py  |   75 +++++----
 .../artdisplay/EmbeddedCoverArtSearch.py           |   11 +-
 .../artdisplay/artdisplay/LastFMCoverArtSearch.py  |   16 +-
 .../artdisplay/artdisplay/LocalCoverArtSearch.py   |   12 +-
 .../artdisplay/MusicBrainzCoverArtSearch.py        |    4 +-
 .../artdisplay/artdisplay/PodcastCoverArtSearch.py |    7 +-
 plugins/artdisplay/artdisplay/__init__.py          |  194 ++++++++++++--------
 7 files changed, 181 insertions(+), 138 deletions(-)

commit e2b48b16c81cea33f634b6c71cc623e300888b65
Author: Filipe Gomes <filipefgomes@gmail.com>
Date:   Mon Feb 7 01:05:47 2011 +0000

    Updated Portuguese translation

 po/pt.po | 1608 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 724 insertions(+), 884 deletions(-)

commit 13fa861cece9cb5138743077fcc623d3bb589c24
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 6 19:39:31 2011 +1000

    Port jamendo plugin to GI

 plugins/jamendo/jamendo/JamendoConfigureDialog.py |    9 ++--
 plugins/jamendo/jamendo/JamendoSaxHandler.py      |   26 ++++++----
 plugins/jamendo/jamendo/JamendoSource.py          |   58 ++++++++++----------
 plugins/jamendo/jamendo/__init__.py               |   40 ++++++++------
 4 files changed, 72 insertions(+), 61 deletions(-)

commit 518db7bab9116120f0266834df0cf867aa89a848
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 5 22:07:19 2011 +1000

    Port magnatune plugin to GI

 plugins/magnatune/magnatune/MagnatuneSource.py  |   82 ++++++++++++-----------
 plugins/magnatune/magnatune/TrackListHandler.py |   25 ++++---
 plugins/magnatune/magnatune/__init__.py         |   56 ++++++++-------
 3 files changed, 89 insertions(+), 74 deletions(-)

commit d41d2eea8ce72ab5efe6e33cda659346a1a1973b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Feb 6 19:19:37 2011 +1000

    rhythmdb: relax type checks for entry property values
    
    When calling rhythmdb_entry_set via introspection, the caller may not
    be able to specify the exact type used for the property, so accept
    anything we can transform to the right type.

 rhythmdb/rhythmdb.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit 55673e8acbe4c3d43a4509eb81315afe7039c7ee
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 5 20:54:28 2011 +1000

    remove underscore from _rb_display_page_notify_status_changed

 plugins/daap/rb-daap-source.c                     |    2 +-
 plugins/generic-player/rb-generic-player-source.c |    4 ++--
 sources/rb-display-page.c                         |    4 ++--
 sources/rb-display-page.h                         |    2 +-
 sources/rb-library-source.c                       |    2 +-
 sources/rb-source.c                               |    4 ++--
 sources/rb-streaming-source.c                     |    6 +++---
 7 files changed, 12 insertions(+), 12 deletions(-)

commit 03d2c2d6142a7e9e361070308885cacb902b36a1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Feb 5 16:05:43 2011 +1000

    Port lyrics plugin to GI
    
    Configuration doesn't work, but it doesn't really matter because
    none of the sites work anyway.

 plugins/lyrics/lyrics/LyricsConfigureDialog.py |   40 ++++++------
 plugins/lyrics/lyrics/LyricsParse.py           |   10 +--
 plugins/lyrics/lyrics/__init__.py              |   88 +++++++++++------------
 plugins/rb/__init__.py                         |   16 ++++
 4 files changed, 81 insertions(+), 73 deletions(-)

commit 2e03c56e8eda58401a347c9d07ecbc39b6eb8f2e
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 14:40:48 2011 +0000

    rb-mpris-plugin: Remove unused variable

 plugins/mpris/rb-mpris-plugin.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 02ab8322c80b8069bc41e07d4eca88a0d8e53e93
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 14:40:00 2011 +0000

    rb-dbus-media-server-plugin: Remove unused computation

 .../rb-dbus-media-server-plugin.c                  |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 3663ab39f9019e221b129e23f98f2ca9104caa1b
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 14:39:06 2011 +0000

    rb-radio-tuner-v4l2: Use "has_changed" variable

 plugins/fmradio/rb-radio-tuner-v4l2.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit cc4215084b928c66d3e8dd9f1b7e32acf30a6c53
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 14:34:17 2011 +0000

    rb-disc-recorder-plugin: Remove unused variable

 .../rb-disc-recorder-plugin.c                      |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit fd98415b0ee2868141b1deeb791c13bd69f4a5c7
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 14:32:56 2011 +0000

    rb-generic-player-source: Remove unused finalize function

 plugins/generic-player/rb-generic-player-source.c |   11 -----------
 1 files changed, 0 insertions(+), 11 deletions(-)

commit 28240cf84949ed4fe24c7f259ae53aec623ceb66
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 14:32:04 2011 +0000

    sj-metadata: Remove unused variable

 plugins/audiocd/sj-metadata.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 298edac7420e2501ac3ff198f8167c66857106d9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:49:22 2011 +0000

    rb-shell: Remove unused variable

 shell/rb-shell.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 83e010cb62560e4d02a566f10f58bac631ca0beb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:48:03 2011 +0000

    rb-shell-player: Remove unused variable

 shell/rb-shell-player.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 7e0a92b738fea251d74fe0df550ed4110c262c00
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:47:22 2011 +0000

    rb-plugin-manager: Remove unused variable

 shell/rb-plugin-manager.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ccfb7a5f77395bdcb7fe16d7fe6d991854511997
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:46:39 2011 +0000

    rb-play-order: Remove unused finalize function

 shell/rb-play-order.c |   15 ---------------
 1 files changed, 0 insertions(+), 15 deletions(-)

commit 5c9732fc858c6547a03bbd43e554a51d206d8a17
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:45:34 2011 +0000

    rb-podcast-properties-dialog: Use computed variable

 podcast/rb-podcast-properties-dialog.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c326eb6fa7323ade8718be98273bd6756a6a0047
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:44:33 2011 +0000

    rb-library-source: Remove unused variable

 sources/rb-library-source.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 4f91f0f2ba6990664a9ee9e07fe5cac20c10a66f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:43:52 2011 +0000

    rb-display-page-model: Remove unused finalize function

 sources/rb-display-page-model.c |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit a7b25d1b9497e9cb3b4ce9651716526f73a756cb
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:42:17 2011 +0000

    rb-playlist-source: Remove unused variable

 sources/rb-playlist-source.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e0feb1e34b6f38dc36144b93d5b6984e19fe51b9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:41:32 2011 +0000

    rb-display-page-model: Remove unused variable

 sources/rb-display-page-model.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ad4dbf5a0daef7de32f6b24997b7389dda9ab7f2
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:40:15 2011 +0000

    rb-query-creator: Remove unused computations

 widgets/rb-query-creator.c |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit cbcdeae7abe4933258c0824d0553e8037f3f663c
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:39:33 2011 +0000

    rb-cell-renderer-rating: Remove unused finalize function

 widgets/rb-cell-renderer-rating.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit e577d2d33530abe6034f6783c3295077e64a63de
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:38:48 2011 +0000

    gossip-cell-renderer-expander: Remove unused computation

 widgets/gossip-cell-renderer-expander.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit bda228bfdc0ae7f2c88013a1c1bba539d525a16d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:38:15 2011 +0000

    gossip-cell-renderer-expander: Remove unused finalize

 widgets/gossip-cell-renderer-expander.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit d2d15d657ec74ad0a48f8b20b116d5791a021980
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:37:16 2011 +0000

    rb-cell-renderer-pixbuf: Remove unused computation

 widgets/rb-cell-renderer-pixbuf.c |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit 12c6f9b8e179e2f18ee2806adf09bc03b3ba531d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:36:05 2011 +0000

    rhythmdb: Remove unused computation

 rhythmdb/rhythmdb.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit f8548976716ba42bf4ccc0bbf2c02b9534812067
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:35:26 2011 +0000

    rhythmdb-query-model: Remove unused duplicated code

 rhythmdb/rhythmdb-query-model.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 0220346da254d0f1b5a430bf426ce914b463f181
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:34:24 2011 +0000

    rhythmdb: Remove unused variable

 rhythmdb/rhythmdb.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit d698cc13f92953349dd12f4458f0546dcb28cf3f
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:32:34 2011 +0000

    rhythmdb-property-model: Remove unused variable
    
    And actually use the return value from g_atomic_int_dec_and_test()

 rhythmdb/rhythmdb-property-model.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7fcb01a19b30d42a36f41e1220762411bae6c2c8
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 03:27:48 2011 +0000

    rb-tree-dnd: Remove unused variable

 lib/rb-tree-dnd.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit bfb457c29ce5b66ee3f74fb00724e11a80333eab
Author: Marc-Antoine Perennou <Marc-Antoine@Perennou.com>
Date:   Sat Feb 5 13:31:24 2011 +0100

    Fix brasero configure switch

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 0352574ed8167e29e83f34d6405f040c4f139d60
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:38:27 2011 +1000

    Port some common python code to GI

 plugins/rb/Loader.py   |   16 +++++++++-------
 plugins/rb/URLCache.py |    3 ++-
 plugins/rb/__init__.py |   20 +++++++-------------
 3 files changed, 18 insertions(+), 21 deletions(-)

commit 4c7fd77da7557ebf1895ec533ed2ba0f5e7dea63
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:27:27 2011 +1000

    Port python console plugin to GI

 plugins/pythonconsole/pythonconsole.py |  168 +++++++++++++++++---------------
 1 files changed, 90 insertions(+), 78 deletions(-)

commit 12e9bc0180b40be9d4108a50061a9e8ef879b8e3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:14:50 2011 +1000

    Port ReplayGain plugin to GI

 plugins/replaygain/replaygain/__init__.py |    5 +++--
 plugins/replaygain/replaygain/config.py   |   23 ++++++++++++-----------
 plugins/replaygain/replaygain/player.py   |   17 +++++++++--------
 3 files changed, 24 insertions(+), 21 deletions(-)

commit ae89038c19c015456d596edce1e5a22f90973fc4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:05:50 2011 +1000

    Port sendto plugin to GI

 plugins/sendto/__init__.py |   25 +++++++++++++++----------
 1 files changed, 15 insertions(+), 10 deletions(-)

commit e287461433f11196d5626f40e83819a65f3d38ab
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:05:29 2011 +1000

    Port Zeitgeist plugin to GI

 plugins/rbzeitgeist/rbzeitgeist/__init__.py |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 26dd0d98838d7b6ab29c1ab7664e2082f94c05d7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:05:05 2011 +1000

    Port IM status plugin to GI

 plugins/im-status/im-status/__init__.py |   16 +++++++++-------
 1 files changed, 9 insertions(+), 7 deletions(-)

commit b6a7917c3b31de43757cf60c3fddb73be510db8d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:04:37 2011 +1000

    Port sample python plugin to GI

 plugins/sample-python/sample-python.py |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit d7ccbb3057a07164695f0c81b4a0194af37e3dcb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 23:03:44 2011 +1000

    Port context pane plugin to GI
    
    Some parts by Bastien Nocera.

 plugins/context/context/AlbumTab.py    |   20 +++++----
 plugins/context/context/ArtistTab.py   |   20 +++++----
 plugins/context/context/ContextView.py |   73 +++++++++++++++++---------------
 plugins/context/context/LastFM.py      |    6 +--
 plugins/context/context/LinksTab.py    |   18 ++++----
 plugins/context/context/LyricsTab.py   |   19 +++++----
 plugins/context/context/__init__.py    |    7 ++-
 7 files changed, 90 insertions(+), 73 deletions(-)

commit d0f6a75ad659c097e11129c61ec642d8e5bcf9af
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Feb 2 22:44:01 2011 +1000

    Remove PyGTK code, use g-i instead

 configure.ac             |   20 ++-----
 shell/Makefile.am        |    4 +-
 shell/main.c             |    1 -
 shell/rb-python-module.c |  147 +++++++++-------------------------------------
 shell/rb-python-plugin.c |   37 ++++++------
 5 files changed, 54 insertions(+), 155 deletions(-)

commit 2b63c48ab07cf9ff895741a4f3e097fa4d929c5e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Feb 4 07:51:17 2011 +1000

    fix brasero pkg-config stuff (bug #641352)

 configure.ac |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)

commit db9db733917f5b217d644835405cc1f21b09b698
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 22:30:30 2011 +1000

    bump version to 2.90.x
    
    3.0 will be a stablish GNOME 3 based release.

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 76b50bf4ba0de77b15f699d9a71aab38b6ca4c30
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 22:09:20 2011 +1000

    Generate gobject-introspection data and allow it to be loaded

 .gitignore              |    4 +
 Makefile.am             |    4 +-
 bindings/Makefile.am    |    2 +-
 bindings/gi/Makefile.am |  149 +++++++++++++++++++++++++++++++++++++++++++++++
 configure.ac            |    7 ++
 rhythmbox.h             |   86 +++++++++++++++++++++++++++
 shell/Makefile.am       |    4 +-
 shell/main.c            |    6 ++
 8 files changed, 258 insertions(+), 4 deletions(-)

commit f6849f8313579ae134b5a81d83a2ba97f46ac7f4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 21:54:52 2011 +1000

    Remove the Amazon cover art search code, it's never coming back

 .../artdisplay/artdisplay/AmazonCoverArtSearch.py  |  311 --------------------
 plugins/artdisplay/artdisplay/Makefile.am          |    3 -
 po/POTFILES.in                                     |    1 -
 3 files changed, 0 insertions(+), 315 deletions(-)

commit fc79a43a79cb20065aa5e93afcd44e1e878d8a59
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 21:50:23 2011 +1000

    Port to GTK+ 3

 backends/gstreamer/rb-encoder-gst.c                |    2 +-
 configure.ac                                       |   59 ++++--
 doc/reference/Makefile.am                          |    1 -
 lib/Makefile.am                                    |    1 -
 lib/eggsmclient-private.h                          |    2 +-
 lib/eggsmclient-xsmp.c                             |    3 +-
 lib/gseal-gtk-compat.h                             |   48 ----
 lib/rb-missing-plugins.c                           |    3 +-
 lib/rb-tree-dnd.c                                  |    4 +-
 lib/rb-util.c                                      |   18 +-
 plugins/audiocd/rb-audiocd-source.c                |   27 ++-
 .../rb-audioscrobbler-profile-page.c               |    9 +-
 .../rb-disc-recorder-plugin.c                      |    4 +-
 plugins/daap/rb-dacp-pairing-page.c                |    2 +-
 plugins/fmradio/rb-fm-radio-source.c               |    2 +-
 plugins/power-manager/rb-power-manager-plugin.c    |    2 +-
 plugins/status-icon/rb-status-icon-plugin.c        |    3 +-
 plugins/visualizer/rb-vis-widget.c                 |   19 +--
 plugins/visualizer/rb-visualizer-plugin.c          |   35 ++--
 podcast/rb-podcast-properties-dialog.c             |   13 +-
 shell/main.c                                       |    2 +-
 shell/rb-plugin-manager.c                          |    2 -
 shell/rb-shell.c                                   |   14 +-
 shell/rb-source-header.c                           |   26 +-
 shell/rb-statusbar.c                               |    2 -
 sources/rb-display-page-model.c                    |    2 -
 sources/rb-display-page-tree.c                     |   37 ++--
 sources/rb-library-source.c                        |    5 +-
 tests/bench-rhythmdb-load.c                        |    3 +-
 tests/test-file-helpers.c                          |    3 +-
 tests/test-rhythmdb-property-model.c               |    3 +-
 tests/test-rhythmdb-query-model.c                  |    3 +-
 widgets/gossip-cell-renderer-expander.c            |  232 +++-----------------
 widgets/gossip-cell-renderer-expander.h            |    5 -
 widgets/rb-cell-renderer-pixbuf.c                  |   30 +--
 widgets/rb-cell-renderer-rating.c                  |   30 ++--
 widgets/rb-entry-view.c                            |    1 -
 widgets/rb-library-browser.c                       |    1 -
 widgets/rb-query-creator-properties.c              |    1 -
 widgets/rb-query-creator.c                         |    1 -
 widgets/rb-rating-helper.c                         |   19 +-
 widgets/rb-rating-helper.h                         |    2 +-
 widgets/rb-rating.c                                |  110 +++++----
 widgets/rb-search-entry.c                          |   30 ++-
 widgets/rb-segmented-bar.c                         |   79 ++++---
 45 files changed, 353 insertions(+), 547 deletions(-)

commit 0d3b198d1bdb3b15eaca1f1105a5940d45fd79b4
Author: W. Michael Petullo <mike@flyn.org>
Date:   Tue Jan 18 19:56:24 2011 -0600

    Update to use libdmapsharing 3.0 API
    
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 configure.ac                                       |    2 +-
 plugins/daap/rb-daap-container-record.c            |    6 +++---
 plugins/daap/rb-daap-record-factory.c              |    6 +++---
 plugins/daap/rb-daap-record.c                      |   12 ++++++------
 plugins/daap/rb-daap-source.c                      |    2 +-
 plugins/daap/rb-dacp-player.c                      |   10 +++++-----
 plugins/daap/rb-dmap-container-db-adapter.c        |    6 +++---
 plugins/daap/rb-rhythmdb-dmap-db-adapter.c         |    6 +++---
 .../daap/rb-rhythmdb-query-model-dmap-db-adapter.c |    6 +++---
 9 files changed, 28 insertions(+), 28 deletions(-)

commit 487ec5215cbb8eda1dd09831cbe8b36f5ffd112a
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 21:21:23 2011 +1000

    remove static python bindings

 bindings/Makefile.am              |    6 +-
 bindings/python/Makefile.am       |  117 --
 bindings/python/override_common.c |  317 ----
 bindings/python/override_common.h |   73 -
 bindings/python/rb.defs           | 3123 -------------------------------------
 bindings/python/rb.override       | 1792 ---------------------
 bindings/python/rhythmdb.defs     | 1312 ----------------
 bindings/python/rhythmdb.override |  818 ----------
 configure.ac                      |    1 -
 9 files changed, 1 insertions(+), 7558 deletions(-)

commit 608b041c8afa130b76425c2147d2682a997084e1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 21:17:27 2011 +1000

    temporarily disable python plugin support

 configure.ac |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit f258d410fa5ef5e410b3405057a240b19aca9c65
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 20:57:26 2011 +1000

    rework rb_debug to allow it to be called via introspection

 backends/gstreamer/rb-player-gst-xfade.c |    2 +-
 lib/rb-debug.c                           |   50 ++++++++++++++++++++++-------
 lib/rb-debug.h                           |    9 ++++-
 podcast/test-podcast-parse.c             |   12 +++---
 4 files changed, 52 insertions(+), 21 deletions(-)

commit 4be81a10343c82229f7507a1dc4a074e1ce68622
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 20:48:53 2011 +1000

    Remove function pointers from RhythmDBEntryType
    
    This makes implementing entry types in C slightly less convenient, but
    makes it possible to implement them in python or other languages.

 plugins/audiocd/rb-audiocd-source.c                |   27 ++++++-
 .../rb-audioscrobbler-radio-track-entry-type.c     |   24 +++++-
 plugins/daap/rb-daap-source.c                      |   26 +++++-
 plugins/fmradio/rb-fm-radio-source.c               |   39 +++++++--
 plugins/iradio/rb-iradio-source.c                  |   27 ++++++-
 podcast/rb-podcast-entry-types.c                   |   69 +++++++++++++---
 rhythmdb/rhythmdb-entry-type.c                     |   24 ++----
 rhythmdb/rhythmdb-entry-type.h                     |   10 --
 rhythmdb/rhythmdb-song-entry-types.c               |   87 +++++++++++++++++---
 tests/test-utils.c                                 |   14 ++--
 10 files changed, 267 insertions(+), 80 deletions(-)

commit 52a4dc3393bbc217339ec6720c22a72d6db3f0f8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 08:10:07 2011 +1000

    drop cd-recorder plugin

 configure.ac                                      |   22 +-
 plugins/Makefile.am                               |    6 +-
 plugins/cd-recorder/Makefile.am                   |   70 -
 plugins/cd-recorder/cd-recorder.rb-plugin.in      |    8 -
 plugins/cd-recorder/rb-cd-recorder-plugin.c       |  489 ------
 plugins/cd-recorder/rb-playlist-source-recorder.c | 1653 ---------------------
 plugins/cd-recorder/rb-playlist-source-recorder.h |   90 --
 plugins/cd-recorder/rb-recorder-gst.c             | 1282 ----------------
 plugins/cd-recorder/rb-recorder.h                 |  139 --
 plugins/cd-recorder/recorder.ui                   |  198 ---
 po/POTFILES.in                                    |    5 -
 11 files changed, 2 insertions(+), 3960 deletions(-)

commit 9a84078beefac3d584ed97ab045c79a5913380e3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Feb 1 08:03:28 2011 +1000

    Update annotations for gobject-introspection

 backends/rb-encoder.c                |   12 +++---
 backends/rb-encoder.h                |    6 +-
 backends/rb-player.c                 |    2 +-
 backends/rb-player.h                 |    2 +-
 lib/libmediaplayerid/mpid-util.c     |    2 +-
 lib/rb-builder-helpers.c             |    2 +-
 lib/rb-debug.c                       |   10 ++--
 lib/rb-file-helpers.c                |    4 +-
 lib/rb-string-value-map.c            |    2 +-
 lib/rb-util.c                        |   79 +++++++++++++++++-----------------
 metadata/rb-metadata-dbus-client.c   |   14 +++---
 rhythmdb/rhythmdb-entry.h            |    4 +-
 rhythmdb/rhythmdb-private.h          |    2 +-
 rhythmdb/rhythmdb-query.c            |   10 +++--
 rhythmdb/rhythmdb-song-entry-types.c |    2 +-
 rhythmdb/rhythmdb.c                  |   33 +++++++-------
 rhythmdb/rhythmdb.h                  |    4 --
 shell/rb-history.c                   |   16 +++---
 shell/rb-play-order.c                |   34 +++++++++++----
 shell/rb-playlist-manager.c          |   32 +++++++-------
 shell/rb-plugin.c                    |    4 +-
 shell/rb-plugin.h                    |    9 ++--
 shell/rb-removable-media-manager.c   |    6 +++
 shell/rb-shell-player.c              |   20 ++++----
 shell/rb-shell-preferences.c         |    6 +-
 shell/rb-shell.c                     |   14 +++---
 shell/rb-track-transfer-batch.c      |    2 +-
 shell/rb-track-transfer-queue.c      |    2 +-
 sources/rb-auto-playlist-source.c    |   12 +++---
 sources/rb-browser-source.c          |    3 +-
 sources/rb-display-page-group.c      |    2 +-
 sources/rb-display-page-model.c      |    2 +-
 sources/rb-display-page-tree.c       |    2 +-
 sources/rb-display-page.c            |   35 +++++++++++++--
 sources/rb-media-player-source.c     |   40 +++++++++++++++--
 sources/rb-playlist-source.c         |    4 +-
 sources/rb-removable-media-source.c  |   23 +++++++++-
 sources/rb-source-search.c           |    6 +-
 sources/rb-source.c                  |   67 +++++++++++++++++++++++-----
 sources/rb-static-playlist-source.c  |    2 +-
 sources/rb-streaming-source.c        |    4 +-
 widgets/rb-dialog.c                  |    2 +-
 widgets/rb-entry-view.c              |   22 +++++-----
 widgets/rb-library-browser.c         |   12 +++---
 widgets/rb-property-view.c           |    6 +-
 widgets/rb-query-creator.c           |   12 +++---
 widgets/rb-segmented-bar.c           |    8 +++
 47 files changed, 372 insertions(+), 227 deletions(-)

commit ce649487d859e385fd4afebca94195a417c369cb
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Mon Jan 31 19:05:40 2011 +0100

    Updated Spanish translation

 po/es.po |   42 +++++++++++++++++++++---------------------
 1 files changed, 21 insertions(+), 21 deletions(-)

commit c74390183494b5c69244bef120864f675ee98abc
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Wed Jan 26 20:16:49 2011 +0100

    Updated Spanish translation

 po/es.po |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit 265a80e3a475dcf17434698c7ccc1a37bcabfb78
Author: Pedro Barreira <almufadado@gmail.com>
Date:   Sun Jan 23 23:45:49 2011 +0000

    Updated Portuguese translation

 po/pt.po | 2582 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1455 insertions(+), 1127 deletions(-)

commit b7fcce4b00eb95783a5e638845dc83151480d2d4
Author: Julio Merino <jmmv@NetBSD.org>
Date:   Thu Jan 20 22:13:32 2011 +1000

    use 'gulong' instead of 'ulong', fixing build on NetBSD

 plugins/daap/rb-dacp-player.c                      |    4 ++--
 plugins/daap/rb-rhythmdb-dmap-db-adapter.c         |    2 +-
 .../daap/rb-rhythmdb-query-model-dmap-db-adapter.c |    2 +-
 plugins/mpris/rb-mpris-plugin.c                    |    2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

commit a8f14cb7eb1a5599a2718a185fb4b3cfeccb2a84
Author: Joan Duran <jodufi@gmail.com>
Date:   Thu Jan 20 10:07:53 2011 +0100

    Updated Catalan translation

 po/ca.po | 4348 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 2683 insertions(+), 1665 deletions(-)

commit 17eb48aa455ecab3f238c00891e024c5529f6bf6
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Jan 20 01:50:05 2011 +0000

    daap: fix segfault during dacp pairing process (bug #640021)

 plugins/daap/rb-dacp-pairing-page.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 7f10f4e4f7293b2fc46971a57ac2a4fb2351a496
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jan 20 08:00:12 2011 +1000

    status-icon: fix build without libnotify
    
    but who deliberately does this anyway?

 plugins/status-icon/rb-status-icon-plugin.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 042534569086bcf1d060adf8073a380726e69149
Author: Emilio Pozuelo Monfort <pochu27@gmail.com>
Date:   Mon Jan 17 22:00:18 2011 +0000

    Fix build with HAL support

 plugins/mtpdevice/rb-mtp-plugin.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit c09836f82ca493c5a646bd1a4a3971c1cf03711a
Author: Hannie Dumoleyn <hannie@ubuntu-nl.org>
Date:   Sun Jan 16 17:17:00 2011 +0100

    [l10n] Updated Dutch translation

 po/nl.po | 1880 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 974 insertions(+), 906 deletions(-)

commit 764457ebc839e9229d327de60143008e6c75b347
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sun Jan 16 14:30:23 2011 +0100

    Updated Slovenian translation

 po/sl.po |  131 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 70 insertions(+), 61 deletions(-)

commit 065372662eee1934399f4db66e3e1a7107a4555e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jan 16 19:33:14 2011 +1000

    Rhythmbox 0.13.3

 NEWS         |   47 +++++++++++++++++++++++++++++++++++++++++++++++
 README       |    2 +-
 configure.ac |    6 +++---
 3 files changed, 51 insertions(+), 4 deletions(-)

commit 76a79930f90d789b6311aaccd61d589bf023b643
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Sun Jan 16 01:17:41 2011 +0200

    Updated Romanian translation

 help/ro/ro.po |  374 ++++++++++++++++++++++++++++++++++++++++++++++++---------
 1 files changed, 315 insertions(+), 59 deletions(-)

commit 9e74ba190d8fc41aeb5b8c70231539ea8f1c5090
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Sat Jan 15 13:31:19 2011 +0200

    Updated Romanian translation

 po/ro.po | 4152 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 2454 insertions(+), 1698 deletions(-)

commit 83f3c0609b7b9443a7fa58a469aae61d575987ed
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Jan 15 10:29:57 2011 +0700

    Updated Vietnamese translation

 po/vi.po |  411 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 171 insertions(+), 240 deletions(-)

commit 344bf64532e91a62b87d3d3ae701a2afe8b73300
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sat Jan 15 10:29:41 2011 +0700

    po/vi.po: import from Damned Lies

 po/vi.po | 5846 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 3331 insertions(+), 2515 deletions(-)

commit dc4a0af8ce13936ccccb2755657f0729dae4cf26
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Fri Jan 14 01:16:09 2011 +0100

    Updated Italian translation

 po/it.po |  946 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 499 insertions(+), 447 deletions(-)

commit c00fc524daf691a961b2081bba3d81f2c1bc86ea
Author: Yuri Myasoedov <omerta13@yandex.ru>
Date:   Thu Jan 13 19:45:33 2011 +0300

    Updated Russian translation

 po/ru.po | 1843 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 971 insertions(+), 872 deletions(-)

commit 6497e63374bfb05b8f62dbb058f633c6e0c6d6cb
Author: Yinghua Wang <wantinghard@gmail.com>
Date:   Thu Jan 13 13:53:49 2011 +0000

    Update Simplified Chinese translation.

 po/zh_CN.po | 2331 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1315 insertions(+), 1016 deletions(-)

commit 17a6f16eb66654d035a25140ca0c96b00bfcedd7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Jan 13 22:19:37 2011 +1000

    iradio: NRK ogg vorbis streams have been shut down (bug #639266)

 plugins/iradio/iradio-initial.xspf |   37 ------------------------------------
 1 files changed, 0 insertions(+), 37 deletions(-)

commit 09da66196958d2bdfb791720d0ff1109315fe06a
Author: Mateus Zenaide <matzenh@gmail.com>
Date:   Tue Jan 11 09:48:50 2011 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po |  166 +++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 94 insertions(+), 72 deletions(-)

commit b99ad2787a7df4dff3cd60584809afab651e86e3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jan 9 17:57:14 2011 +1000

    coherence: update from svn, adding more media types (bug #609009)

 plugins/coherence/upnp_coherence/MediaPlayer.py |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

commit 3222b08e858d080f12d988113176dee19070e1b6
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Jan 8 22:04:25 2011 +0100

    Updated Galician translations

 po/gl.po |  946 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 497 insertions(+), 449 deletions(-)

commit 510962ee055c75f8509367dec995da50fa4891d7
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sat Jan 8 19:26:45 2011 +0100

    Updated Swedish translation

 po/sv.po |  164 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 89 insertions(+), 75 deletions(-)

commit e290ce006a543665e27be1d310ad849952a7ad81
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Jan 8 17:15:51 2011 +0100

    Updated Hungarian translation

 po/hu.po |  170 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 96 insertions(+), 74 deletions(-)

commit 9ff0c85127a17eab51ad1d295ce8083b590cf5c6
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jan 8 15:59:29 2011 +0100

    Updated Czech help translation

 help/cs/cs.po |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

commit 0c9608849513998258b77fb7db2a974d652b4578
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Jan 8 15:33:49 2011 +0100

    Updated German documentation translation

 help/de/de.po |  838 +++++++++++++++++++++------------------------------------
 1 files changed, 307 insertions(+), 531 deletions(-)

commit 52ce039a9a8bc985b8a7098e9e5dda8861a97556
Author: Marek Černocký <marek@manet.cz>
Date:   Sat Jan 8 15:27:16 2011 +0100

    Updated Czech translation

 po/cs.po |  145 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 79 insertions(+), 66 deletions(-)

commit fa59eb66de326517dcba4e80601b63b9948321e8
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sat Jan 8 15:03:17 2011 +0100

    Updated German translation

 po/de.po |  175 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 100 insertions(+), 75 deletions(-)

commit 1e21eef0d9434543498dc68e07fa7e19d208f4d1
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Jan 8 13:53:46 2011 +0100

    Updated French translation

 help/fr/fr.po |   22 ++++----
 po/fr.po      |  144 +++++++++++++++++++++++++++++++--------------------------
 2 files changed, 90 insertions(+), 76 deletions(-)

commit c04e2ae3bdee456426bdf39e7f7cb462560898e3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jan 8 22:03:22 2011 +1000

    status-icon: always show notifications when GNOME Shell is running

 plugins/status-icon/rb-status-icon-plugin.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ff1f009751551ea4640fb3be4168ebc4f1de2673
Author: Philip Withnall <philip@tecnocode.co.uk>
Date:   Sat Jan 8 11:48:54 2011 +0000

    Update British English translation

 po/en_GB.po | 2410 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1344 insertions(+), 1066 deletions(-)

commit df78b88e9dab32f863be4ec597bb03571235c3a7
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jan 8 12:31:37 2011 +0100

    Updated Spanish translation

 help/es/es.po |  172 +++++++++------------------------------------------------
 1 files changed, 27 insertions(+), 145 deletions(-)

commit f45bbfd83918fe48ddc3ef80598b377e60a9dfc6
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Jan 8 12:31:25 2011 +0100

    Updated Spanish translation

 po/es.po |  161 +++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 87 insertions(+), 74 deletions(-)

commit 7069d73b1cb9d223bd230e04dcb391ae8dbb81e8
Author: Daniel Neel <dneelyep@gmail.com>
Date:   Fri Nov 19 20:59:48 2010 -0500

    fix a couple of typos in the documentation (bug #622980)

 help/C/rhythmbox.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 711fa3e8fbdf764c2b2f84b33ee8572a804c64a1
Author: Christian Becke <christianbecke@gmail.com>
Date:   Thu Oct 22 14:52:57 2009 +0200

    upnp_coherence: fix louie imports

 plugins/coherence/upnp_coherence/MediaPlayer.py |    5 ++++-
 plugins/coherence/upnp_coherence/MediaStore.py  |    6 +++++-
 plugins/coherence/upnp_coherence/__init__.py    |    5 ++++-
 3 files changed, 13 insertions(+), 3 deletions(-)

commit 5ba5a74b06d6d11fd86a7fb1293d5b0ba6a2d616
Author: Calvin Walton <calvin.walton@gmail.com>
Date:   Mon Dec 13 13:53:24 2010 -0500

    Add radio station Start FM 94.2 (Vilnius University)
    
    Proposed by Antanas <antanas@hippie.lt>
    They provide streams in three different formats - 64kbps AAC, 160kbps
    OGG, 192kbps MP3. I have only added the OGG format stream.

 plugins/iradio/iradio-initial.xspf |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit d95ebec6e693075f4b918cb558de4fc24fbf6719
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Jan 8 18:06:21 2011 +1000

    fix POTFILES.in

 po/POTFILES.in |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit a64211ce83a103036fe2030fcaaa6c5898768bc3
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Mon Jan 3 19:18:06 2011 +0100

    Updated Slovenian translation

 po/sl.po |   83 +++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 48 insertions(+), 35 deletions(-)

commit 10d4b587b1f2f9b27fec7efd3464eddbd4ed1fdb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Jan 2 14:07:53 2011 +1000

    podcast: fix podcast status on download completion (bug #633469)
    
    Only set the status to 'downloaded' if we've downloaded the whole file.
    
    If a selected entry is in the download queue, enable the 'cancel download'
    action.  If a selected entry is not in the download queue and has a status
    other than 'downloaded', enable the 'download episode' action.
    
    This should make it possible to complete downloads that fail due to
    connection errors and the like.

 podcast/rb-podcast-manager.c |   26 ++++++++++++++++++++++----
 podcast/rb-podcast-manager.h |    1 +
 podcast/rb-podcast-source.c  |    9 ++++-----
 3 files changed, 27 insertions(+), 9 deletions(-)

commit 955bb93753abb3c01e9dd97290459b70c5b3028d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Dec 31 17:50:12 2010 +0000

    fix segfault when showing all in non-source pages

 shell/rb-shell.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 21d6f5f5b438fe4a39d3f6e879da2f0029e86d1e
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Dec 31 17:09:28 2010 +0100

    Updated French translation

 po/fr.po | 2106 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1143 insertions(+), 963 deletions(-)

commit 7115c1f2047554e5aa830830de85812e455cfde4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 31 17:22:45 2010 +1000

    status-icon: when running in GNOME Shell, notify on startup
    
    This makes the message tray available as a means of controlling
    playback immediately on startup.

 plugins/status-icon/rb-status-icon-plugin.c |  166 ++++++++++++++++-----------
 1 files changed, 99 insertions(+), 67 deletions(-)

commit 6353a96707d2f32aad14abc218fe46ece3bbab00
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Wed Dec 29 22:56:15 2010 +0100

    Updated Spanish translation

 po/es.po |   46 ++++++++++++++++++++++++++--------------------
 1 files changed, 26 insertions(+), 20 deletions(-)

commit 1f46f0d738648c6d4092eaf25ab614081331fc63
Author: Daniel Nylander <po@danielnylander.se>
Date:   Wed Dec 29 18:45:03 2010 +0100

    Updated Swedish translation

 po/sv.po | 1790 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 737 insertions(+), 1053 deletions(-)

commit 9c7e55d765050e30d1a9735f497be17b7f89d221
Author: Marek Černocký <marek@manet.cz>
Date:   Tue Dec 28 13:55:50 2010 +0100

    Updated Czech translation

 po/cs.po |   46 +++++++++++++++++++++++++++-------------------
 1 files changed, 27 insertions(+), 19 deletions(-)

commit 2ef9879e0deb9ebc1f1fa4827a9471a0902f7721
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 28 16:59:09 2010 +1000

    mediaserver2: fix various minor mistakes

 .../rb-dbus-media-server-plugin.c                  |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit d06dcc1ecd87f00347d7f3ffbd2c2c6acde94d26
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 28 10:24:01 2010 +1000

    mpris: add new org.mpris.MediaPlayer2.Playlists interface

 plugins/mpris/mpris-spec.h      |   16 ++
 plugins/mpris/rb-mpris-plugin.c |  387 ++++++++++++++++++++++++++++++++++++---
 2 files changed, 380 insertions(+), 23 deletions(-)

commit 9c0b1bb7870f7737ce83f9099cbefcc91c447aba
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 28 08:08:27 2010 +1000

    mtp: don't try to join worker thread when finalized on it (bug #637819)
    
    If the source is removed while the worker thread is active, the finalize
    method can end up being called on the worker thread, from which it can't
    join the thread.  In this case, we just let it exit later.

 plugins/mtpdevice/rb-mtp-thread.c |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

commit ae2f8b144750bc1f8fb658a21d5a6686d9074b0d
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Dec 28 08:07:39 2010 +1000

    mtp: fix crash after failed album create/update
    
    The libmtp album object is still in the hash table, so destroying it
    is not a great idea.

 plugins/mtpdevice/rb-mtp-thread.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6e5e97e2f1909628ef3f902f2aa835a0579a12d7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Dec 27 09:13:08 2010 +1000

    status-icon: when paused, update the notification summary to say so

 plugins/status-icon/rb-status-icon-plugin.c |   36 ++++++++++++++++++++------
 1 files changed, 27 insertions(+), 9 deletions(-)

commit e8635147ff8e987adf03483f64bd713d2849d550
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Dec 27 09:08:21 2010 +1000

    status-icon: use separate transient notifications for podcasts etc.

 plugins/status-icon/rb-status-icon-plugin.c |   63 ++++++++++++++++++---------
 1 files changed, 42 insertions(+), 21 deletions(-)

commit 211c85351fe4eddb4b84a184c8c5b11541fc9101
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Dec 27 09:04:54 2010 +1000

    status-icon: disable the status icon if GNOME Shell is running

 plugins/status-icon/rb-status-icon-plugin.c |   49 +++++++++++++++++++++++---
 1 files changed, 43 insertions(+), 6 deletions(-)

commit 249319a87ff0f2179961a0804b5175bfd982b6b6
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sun Dec 26 21:53:59 2010 +0100

    [l10n] Updated German translation

 po/de.po |  120 ++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 63 insertions(+), 57 deletions(-)

commit de2dfeb0a5b38084b9414bb3cf967af7d33a7cd7
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Mon Dec 20 21:58:04 2010 +0100

    Updated Hungarian translation

 po/hu.po |  895 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 451 insertions(+), 444 deletions(-)

commit c657e4fbc5574ba18794e04d002d70adadaccf9c
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Dec 20 15:33:27 2010 +0200

    [l10n] Updated Estonian translation

 po/et.po |  119 ++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 92 insertions(+), 27 deletions(-)

commit b0a07fbdd3ab5b8ee3489e70a28ad6745744c0b1
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Mon Dec 20 14:40:31 2010 +0100

    [l10n] Updated German translation

 po/de.po |  115 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 54 insertions(+), 61 deletions(-)

commit 5fba6366a14d19b629220db1f43da8afc2dcfd5b
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Dec 19 17:51:00 2010 +0700

    po/vi.po: import some translations from Ubuntu/Maverick

 po/vi.po | 1601 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 1041 insertions(+), 560 deletions(-)

commit 704d1632a5932cc1f3898c1ca0cc2db0328e12f6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 18 08:44:19 2010 +1000

    update gtk-doc stuff

 doc/reference/rhythmbox-docs.sgml |    7 ++++---
 doc/reference/rhythmbox.types     |   16 ++++++++--------
 2 files changed, 12 insertions(+), 11 deletions(-)

commit 656a22989be28f10a67505309f12f069da0a5abd
Author: Sérgio Cipolla <secipolla@gmail.com>
Date:   Fri Dec 17 10:58:03 2010 -0200

    Updated Brazilian Portuguese translation and fixed the 'shell' translation form

 po/pt_BR.po | 1427 ++++++++++++++++++++---------------------------------------
 1 files changed, 477 insertions(+), 950 deletions(-)

commit 0c752d1fa336fbd1210d495922113f5d86d066a5
Author: Jakob Kramer <jakob.kramer@gmx.de>
Date:   Thu Dec 16 19:54:05 2010 +0100

    [l10n] Updated German translation

 po/de.po |  937 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 509 insertions(+), 428 deletions(-)

commit 28954c16e254076683aa0af51c30177697bca863
Author: Marek Černocký <marek@manet.cz>
Date:   Mon Dec 13 14:50:53 2010 +0100

    Updated Czech translation

 po/cs.po |  100 +++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 61 insertions(+), 39 deletions(-)

commit 2fb8523c1d8418983f955f1351aa62825e0b1774
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 11 21:09:26 2010 +1000

    mpris: report the DesktopEntry property correctly
    
    This is actually supposed to be just the base name of the .desktop file,
    not its full path.

 plugins/mpris/rb-mpris-plugin.c |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

commit 8f031ddcb582bdffc1e239f84cf3cccdc43e6315
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 11 11:36:18 2010 +1000

    magnatune: remove leftover icon lookup code

 plugins/magnatune/magnatune/MagnatuneSource.py |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit e09c69e0ac30c106cd3156fa1e32a48d0441fed1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 11 11:23:08 2010 +1000

    magnatune: update for notify_custom bindings change (bug #636994)

 plugins/magnatune/magnatune/MagnatuneSource.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cea18e3d31669f81a41f90bfc017c80843b9ceec
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 11 11:03:31 2010 +1000

    fix python bindings and marshalling for rb_shell_notify_custom (bug #636994)
    
    Based on a patch by Uri Sivan.

 bindings/python/rb.defs |    4 ++--
 lib/rb-marshal.list     |    2 +-
 shell/rb-shell.c        |    6 +++---
 3 files changed, 6 insertions(+), 6 deletions(-)

commit 02296b9ce043bde73add1fd3630b677d93a874a9
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sat Dec 11 01:33:18 2010 +0100

    Added Galician language to Makefile.am of help section

 help/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a1ee9523c5472795d6857c01a43f81ae2372ed69
Author: Uri Sivan <tartif@gmail.com>
Date:   Sat Dec 11 08:28:06 2010 +1000

    Update Magnatune and Jamendo plugins to work with display pages (bug #636987)

 plugins/jamendo/jamendo/__init__.py     |    4 ++--
 plugins/magnatune/magnatune/__init__.py |    6 +++---
 2 files changed, 5 insertions(+), 5 deletions(-)

commit c4bbf44c92948c12b80f01a77a8f013710646899
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Dec 11 08:19:36 2010 +1000

    cd-recorder: attempt to fix this to work with display pages

 plugins/cd-recorder/rb-cd-recorder-plugin.c |   40 +++++++++++++-------------
 1 files changed, 20 insertions(+), 20 deletions(-)

commit b5c505ed55db1174a7bd6867af0b61b5416d5aa3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Dec 10 21:49:22 2010 +1000

    context: use the user's default browser directly instead of gtk.show_uri()
    
    gtk.show_uri() downloads the URI content to figure out which app to use,
    which is slow and unnecessary in this case.  We already know we want to use
    a web browser, so the only issue is which one to use.

 plugins/context/context/ContextView.py |    9 +++++++--
 1 files changed, 7 insertions(+), 2 deletions(-)

commit 8b30aa877b953e461f8090805927a9ba8370b4f8
Author: Kenny Meyer <knny.myer@gmail.com>
Date:   Sun Dec 5 09:23:35 2010 -0300

    context: Add tab with links to websites for album and artist info (bug #636550)

 plugins/context/Makefile.am                  |    6 +-
 plugins/context/context/ContextView.py       |    4 +
 plugins/context/context/LinksTab.py          |  181 ++++++++++++++++++++++++++
 plugins/context/context/Makefile.am          |    1 +
 plugins/context/img/links/Allmusic16x16.png  |  Bin 0 -> 803 bytes
 plugins/context/img/links/Discogs16x16.png   |  Bin 0 -> 771 bytes
 plugins/context/img/links/Wikipedia16x16.png |  Bin 0 -> 381 bytes
 plugins/context/tmpl/links-tmpl.html         |   30 +++++
 8 files changed, 221 insertions(+), 1 deletions(-)

commit e7524d8e1dc74bf65f1cd17aef43efc32466878a
Author: Chris Vine <chris@cvine.freeserve.co.uk>
Date:   Sun Dec 5 09:26:17 2010 +1000

    fix include paths and cflags for gnome-keyring and brasero (bug #636482)

 plugins/audioscrobbler/Makefile.am                 |    1 +
 .../rb-audioscrobbler-radio-source.c               |    2 +-
 .../rb-disc-recorder-plugin.c                      |    4 ++--
 3 files changed, 4 insertions(+), 3 deletions(-)

commit b709a9717047d453c625744919aa4a9522a87cf3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Dec 5 08:56:31 2010 +1000

    update HACKING to mention git rather than svn (bug #635323)

 HACKING |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 018416bbf2c7928ed88612d9a056142e028cb18f
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Dec 3 18:10:45 2010 +0100

    Updated Slovenian translation

 po/sl.po |   81 +++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 52 insertions(+), 29 deletions(-)

commit f21a7854539211012c35455f1e244d850405ac19
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Dec 2 18:48:04 2010 +0100

    Updated Spanish translation

 po/es.po |  871 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 450 insertions(+), 421 deletions(-)

commit 78e4ecec13ecd90e494daec5d3ae25c338bafa94
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Nov 28 02:09:08 2010 +0000

    audioscrobbler: support new "Mix Radio" radio station type

 .../rb-audioscrobbler-radio-source.c               |    9 +++++++++
 .../rb-audioscrobbler-radio-source.h               |    1 +
 2 files changed, 10 insertions(+), 0 deletions(-)

commit b2f6cace4e125a6d27704cbc4c0bf88d2dae739f
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Nov 28 01:51:21 2010 +0000

    audioscrobbler: handle "deprecated station" error code

 .../rb-audioscrobbler-radio-source.c               |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit ddc6406983b98b38fd3c340ad75cff4b3d6efe9a
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sun Nov 21 21:45:29 2010 +0100

    Update Czech translation by Marek Cernocky

 po/cs.po |  791 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 397 insertions(+), 394 deletions(-)

commit 9d5317da44df4d105d13abd8248af8f22ab3ac5c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 21 18:54:34 2010 +1000

    mediaserver2: add source category containers, publish playlists
    
    We could also use this for devices, but we'd need a way to wait until the
    source is fully populated - otherwise we emit way too many notifications and
    everything grinds to a halt.

 .../rb-dbus-media-server-plugin.c                  |  550 ++++++++++++++++++--
 1 files changed, 518 insertions(+), 32 deletions(-)

commit f9502f5cfdcc8612383a4c65c8737cd8025c8bd5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Nov 21 16:16:41 2010 +1000

    missing-plugins: fix crash after successful installation

 sources/rb-import-errors-source.c |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 2be21ef675ddf4c7091d0b8eaac1531806b97ab1
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Nov 20 10:51:11 2010 +0100

    Updated Slovenian translation

 po/sl.po |  842 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 422 insertions(+), 420 deletions(-)

commit 4216979f41e423a00b9bae4ca19afab25bc93f7f
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 19 08:26:12 2010 +1000

    status-icon: make use of some new notification hints and capabilities
    
    "action-icons" is the official spec name for "x-gnome-action-buttons".
    
    We also use the "resident" hint to request that the server keep our
    notification around after the bubble (or banner) has expired, so we can
    just update it rather than creating a new one.
    
    When action buttons are supported, we switch between "play" and "pause"
    depending on whether we're currently playing.  When an appropriate hint
    is added to the notification spec, we'll update this when we start or
    stop playback, but for now it'd be a bit too annoying.

 plugins/status-icon/Makefile.am             |    1 +
 plugins/status-icon/rb-status-icon-plugin.c |   69 +++++++++++++++++++++++---
 plugins/status-icon/rb-tray-icon-gtk.c      |    2 +
 3 files changed, 64 insertions(+), 8 deletions(-)

commit 187198eaefa2f27a154483aa0221e3dc2efaac4e
Author: Daniel Șerbănescu <cyber19rider@gmail.com>
Date:   Mon Nov 15 22:44:56 2010 +0200

    Updated Romanian translation

 help/Makefile.am |    2 +-
 help/ro/ro.po    | 2687 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 2688 insertions(+), 1 deletions(-)

commit b83bc97e9d37def55d19944e772275d3f3a41223
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 6 15:21:32 2010 +1000

    audioscrobbler: fix crash on shutdown (bug #634114)
    
    We get a playing-song-changed signal while the shell is being
    finalized.  Avoiding using the shell while handling it means
    we don't crash.

 .../rb-audioscrobbler-profile-page.c               |   35 +++++++++----------
 1 files changed, 17 insertions(+), 18 deletions(-)

commit ddd4b6ae13553bdb733da1f3e7f7683fab0f51f3
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Nov 6 11:47:00 2010 +1000

    shell-player: remove cancellable for parsing when no longer needed
    
    Fixes unpausing of local files and other stuff after playing radio streams.

 shell/rb-shell-player.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 1a64c4efcb3f20f6204baa735e642ddadd70c654
Author: Ben Walsh <b@wumpster.com>
Date:   Fri Nov 5 11:10:49 2010 +0000

    display-page: add a default implementation of delete_thyself (bug #634065)

 sources/rb-display-page.c |   12 +++++++++---
 1 files changed, 9 insertions(+), 3 deletions(-)

commit e5f7475d184f622061089e680b447d94c668abf8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Fri Nov 5 11:37:57 2010 +1000

    fix check for -O1+ in CFLAGS for -Wuninitialized so autoconf doesn't break it

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2e863ac81f1f30378e3f52d2efefcfc28701e90d
Author: Ryan Hughes <ryan@iheartryan.com>
Date:   Fri Nov 5 11:05:21 2010 +1000

    display-page-tree: fix uninitialized variable use (bug #634029)

 sources/rb-display-page-tree.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e6a5d832947dedaaedf8f04bba62c0140a6b7d25
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Nov 4 17:38:04 2010 +1000

    update python plugins to work with the new display page stuff

 bindings/python/rb.defs                        |    2 +-
 plugins/coherence/upnp_coherence/__init__.py   |    5 ++---
 plugins/jamendo/jamendo/JamendoSource.py       |    2 --
 plugins/jamendo/jamendo/__init__.py            |    7 +++----
 plugins/magnatune/magnatune/MagnatuneSource.py |    4 ----
 plugins/magnatune/magnatune/__init__.py        |    7 +++----
 6 files changed, 9 insertions(+), 18 deletions(-)

commit 60dd8f216f1aa681a482896295d63fd6d72c2d94
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Nov 2 19:05:08 2010 +1000

    fix recent gtk+ deprecations a bit harder

 widgets/rb-rating.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a493daf579a558ac615644827331a61b8a1195b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Nov 2 18:14:48 2010 +1000

    fix backwards compatibility with recent gtk+ deprecations

 lib/gseal-gtk-compat.h |    3 ++-
 widgets/rb-rating.c    |    4 ++++
 2 files changed, 6 insertions(+), 1 deletions(-)

commit c7e79db8814abfd162e8f962e21bfed3f0973ac2
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Nov 1 19:34:54 2010 +1000

    fix POTFILES.in for the previous commit

 po/POTFILES.in |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 6a781bc3525749bd6c07f50d258c4ce3bb82f9a1
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Nov 1 18:35:05 2010 +1000

    Reimplement the source list, introduce display pages
    
    The main impact of this change is to introduce a new abstraction
    above RBSource that allows the inclusion of things that don't
    contain music and cannot be played from.  For want of a meaningful
    name, the new class is called RBDisplayPage.  A few of the basic
    methods from RBSource are now on the RBDisplayPage class, but
    otherwise this doesn't change any existing sources.  The DACP
    pairing source and the last.fm profile source are now direct
    subclasses of RBDisplayPage.
    
    RBDisplayPageModel and RBDisplayPageTree are reimplementations of
    RBSourcelistModel and RBSourceList respectively, with a few minor
    bugs fixed and with the addition that the page group expansion state
    is now stored in gconf.
    
    RBDisplayPageGroup replaces RBSourceGroup, and becomes an actual
    object that exists in the page tree.  It's also a subclass of
    RBDisplayPage, but page groups cannot be selected in the page tree
    and don't have any visible content.  The same predefined groups
    exist.  Rather than being specified as a property on an RBSource
    instance, the group for a page is determined by where it is inserted
    into the page tree.

 bindings/python/rb.defs                            |  471 +++---
 bindings/python/rb.override                        |   54 +-
 data/rhythmbox.schemas                             |   55 +
 data/ui/rhythmbox-ui.xml                           |    6 +-
 plugins/audiocd/rb-audiocd-plugin.c                |    2 +-
 plugins/audiocd/rb-audiocd-source.c                |   47 +-
 plugins/audioscrobbler/Makefile.am                 |    4 +-
 .../audioscrobbler/audioscrobbler-profile-ui.xml   |    2 +-
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |   70 +-
 .../rb-audioscrobbler-profile-page.c               | 1937 +++++++++++++++++++
 .../rb-audioscrobbler-profile-page.h               |   71 +
 .../rb-audioscrobbler-profile-source.c             | 1940 --------------------
 .../rb-audioscrobbler-profile-source.h             |   69 -
 .../rb-audioscrobbler-radio-source.c               |   85 +-
 .../rb-audioscrobbler-radio-source.h               |    4 +-
 .../rb-disc-recorder-plugin.c                      |   57 +-
 plugins/daap/Makefile.am                           |    4 +-
 plugins/daap/rb-daap-plugin.c                      |   15 +-
 plugins/daap/rb-daap-source.c                      |   76 +-
 plugins/daap/rb-dacp-pairing-page.c                |  643 +++++++
 plugins/daap/rb-dacp-pairing-page.h                |   79 +
 plugins/daap/rb-dacp-source.c                      |  656 -------
 plugins/daap/rb-dacp-source.h                      |   79 -
 plugins/fmradio/rb-fm-radio-plugin.c               |    5 +-
 plugins/fmradio/rb-fm-radio-source.c               |   26 +-
 .../rb-generic-player-playlist-source.c            |    9 +-
 plugins/generic-player/rb-generic-player-plugin.c  |   22 +-
 plugins/generic-player/rb-generic-player-source.c  |   50 +-
 plugins/generic-player/rb-nokia770-source.c        |    1 -
 plugins/generic-player/rb-psp-source.c             |    1 -
 plugins/ipod/rb-ipod-plugin.c                      |   28 +-
 plugins/ipod/rb-ipod-source.c                      |   53 +-
 plugins/ipod/rb-ipod-static-playlist-source.c      |   20 +-
 plugins/iradio/rb-iradio-plugin.c                  |    5 +-
 plugins/iradio/rb-iradio-source.c                  |   45 +-
 plugins/jamendo/jamendo/JamendoSource.py           |   10 +-
 plugins/magnatune/magnatune/MagnatuneSource.py     |   12 +-
 plugins/mtpdevice/rb-mtp-plugin.c                  |   22 +-
 plugins/mtpdevice/rb-mtp-source.c                  |   26 +-
 plugins/visualizer/rb-visualizer-plugin.c          |   10 +-
 podcast/rb-podcast-main-source.c                   |   15 +-
 podcast/rb-podcast-source.c                        |   51 +-
 shell/rb-playlist-manager.c                        |  191 +-
 shell/rb-playlist-manager.h                        |    7 +-
 shell/rb-removable-media-manager.c                 |    6 +-
 shell/rb-shell-clipboard.c                         |   40 +-
 shell/rb-shell-player.c                            |   27 +-
 shell/rb-shell-preferences.c                       |   10 +-
 shell/rb-shell.c                                   |  541 +++---
 shell/rb-shell.h                                   |   20 +-
 shell/rb-statusbar.c                               |   91 +-
 shell/rb-statusbar.h                               |    6 +-
 sources/Makefile.am                                |   14 +-
 sources/rb-auto-playlist-source.c                  |   35 +-
 sources/rb-browser-source.c                        |   20 +-
 sources/rb-display-page-group.c                    |  351 ++++
 sources/rb-display-page-group.h                    |   95 +
 sources/rb-display-page-model.c                    |  868 +++++++++
 sources/rb-display-page-model.h                    |   93 +
 sources/rb-display-page-tree.c                     | 1096 +++++++++++
 sources/rb-display-page-tree.h                     |   81 +
 sources/rb-display-page.c                          |  718 ++++++++
 sources/rb-display-page.h                          |  112 ++
 sources/rb-import-errors-source.c                  |   16 +-
 sources/rb-library-source.c                        |   53 +-
 sources/rb-media-player-source.c                   |    8 +-
 sources/rb-missing-files-source.c                  |   16 +-
 sources/rb-play-queue-source.c                     |   29 +-
 sources/rb-playlist-source.c                       |   34 +-
 sources/rb-removable-media-source.c                |   29 +-
 sources/rb-source-group.c                          |  254 ---
 sources/rb-source-group.h                          |   85 -
 sources/rb-source.c                                |  813 +--------
 sources/rb-source.h                                |   44 +-
 sources/rb-sourcelist-model.c                      |  648 -------
 sources/rb-sourcelist-model.h                      |   89 -
 sources/rb-sourcelist.c                            | 1417 --------------
 sources/rb-sourcelist.h                            |   94 -
 sources/rb-static-playlist-source.c                |   23 +-
 sources/rb-streaming-source.c                      |    6 +-
 widgets/gossip-cell-renderer-expander.c            |   50 +-
 widgets/gossip-cell-renderer-expander.h            |    9 +-
 82 files changed, 7602 insertions(+), 7374 deletions(-)

commit 75d05fd452ad2452ed564ea34ba5c49211db1af9
Author: Diogo F. S. Ramos <diogofsr@gmail.com>
Date:   Mon Nov 1 09:44:53 2010 +1000

    uri-dialog: try to populate the entry with a URL from the clipboard (bug #633542)

 widgets/rb-uri-dialog.c |   35 +++++++++++++++++++++++++++++++++++
 1 files changed, 35 insertions(+), 0 deletions(-)

commit 0f3c83c37efe9d6894cb7a6392b49c72f1c73731
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Nov 1 07:24:33 2010 +1000

    update for recent gtk+ deprecations

 lib/gseal-gtk-compat.h                             |    6 ++++++
 .../rb-audioscrobbler-profile-source.c             |   19 ++++++++++---------
 plugins/status-icon/rb-status-icon-plugin.c        |    2 +-
 plugins/visualizer/rb-vis-widget.c                 |    2 +-
 plugins/visualizer/rb-visualizer-plugin.c          |    6 +++---
 sources/rb-library-source.c                        |   13 +++++++------
 widgets/rb-query-creator-properties.c              |    5 +++--
 widgets/rb-query-creator.c                         |    9 +++++----
 widgets/rb-rating.c                                |    3 ++-
 9 files changed, 38 insertions(+), 27 deletions(-)

commit 4b723a2226c8525ea69d1480b1db49f24c9e42a7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 24 18:20:28 2010 +1000

    Rhythmbox 0.13.2

 NEWS         |   68 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 README       |    2 +-
 configure.ac |    2 +-
 3 files changed, 70 insertions(+), 2 deletions(-)

commit 0ca2c0c065cc89f6315ba146ccc8ea995598e337
Author: Dominique Leuenberger <dominique-gnomezilla@leuenberger.net>
Date:   Sun Oct 31 19:56:10 2010 +1000

    stop using pkg-config to find vala (bug #628330)

 bindings/vala/Makefile.am |    2 +-
 configure.ac              |   17 ++++++++---------
 2 files changed, 9 insertions(+), 10 deletions(-)

commit e0980f6475a448940d2bf322ebbc7241aaeb7bf8
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 31 19:10:50 2010 +1000

    artdisplay: add missing method in musicbrainz cover art search (bug #633531)

 .../artdisplay/MusicBrainzCoverArtSearch.py        |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit eba67f2cda96d462a25789f9c3494e8578767f6f
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Oct 30 17:40:56 2010 +0100

    Updated Catalan (Valencian) translation

 po/LINGUAS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit d07cddd25680b21e77c653b31500c387ba3f9f75
Author: Carles Ferrando <carles.ferrando@gmail.com>
Date:   Sat Oct 30 17:40:47 2010 +0100

    Updated Catalan (Valencian) translation

 po/ca@valencia.po | 6603 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 6603 insertions(+), 0 deletions(-)

commit 55be2d8943cb08fd623ad756aab837f60e2ce43e
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sat Oct 30 15:35:43 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po |   37 +++++++++++++++++--------------------
 1 files changed, 17 insertions(+), 20 deletions(-)

commit ba49953ecf872f08fd147c0604743691896b8c83
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sat Oct 30 02:44:05 2010 +0200

    [l10n] Updated Italian traslation

 po/it.po | 1764 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1003 insertions(+), 761 deletions(-)

commit 713c0578a1bc4dc8857aa7c3498ad263c6bdf4ee
Author: Djavan Fagundes <djavan@comum.org>
Date:   Fri Oct 29 11:56:11 2010 -0200

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 1813 ++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 1036 insertions(+), 777 deletions(-)

commit fcb6157e0988188cc99d0a238cfe1bf6f21f3494
Author: Ben Walsh <b@wumpster.com>
Date:   Thu Oct 28 13:25:37 2010 +0100

    ipod: update track order in the ipod db playlist before saving (bug #604170)
    
    When tracks in an ipod playlist have been reordered, update the ipod
    db playlist to match the new order before saving.
    
    To do this, add a new signal to RbIpodDb to allow other parts of the
    plugin to update bits of the database immediately before it becomes
    read-only.

 plugins/ipod/rb-ipod-db.c                     |   29 ++++++
 plugins/ipod/rb-ipod-source.c                 |  121 ++++++++++++++++++++++---
 plugins/ipod/rb-ipod-static-playlist-source.c |   33 +++++++-
 plugins/ipod/rb-ipod-static-playlist-source.h |    2 +
 4 files changed, 170 insertions(+), 15 deletions(-)

commit 4f25118819dc731297d988fc1cab9c55294972b8
Author: A S Alam <aalam@users.sf.net>
Date:   Fri Oct 29 07:57:27 2010 +0530

    update translation and completed

 po/pa.po | 2192 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1215 insertions(+), 977 deletions(-)

commit 7112c0d8e766918d0647f3464819c6dacac823eb
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Fri Oct 29 00:12:26 2010 +0200

    Updated Danish translation

 po/da.po |   56 ++++++++++++++++++++++++--------------------------------
 1 files changed, 24 insertions(+), 32 deletions(-)

commit ab6084877cd6be72896db95ba6d58046cad2ae8d
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Thu Oct 28 17:59:26 2010 +0200

    Updated Norwegian bokmål translation.

 po/nb.po | 1842 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 1019 insertions(+), 823 deletions(-)

commit fa4a0701454bb556f1088593d7f50118cdde79b5
Author: Petr Kovar <pknbe@volny.cz>
Date:   Thu Oct 28 12:51:39 2010 +0200

    Update Czech translation by Marek Cernocky

 po/cs.po |  783 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 421 insertions(+), 362 deletions(-)

commit ea0eda439c9fb17828f7f43bc81869363b11de95
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Oct 27 19:22:09 2010 +0200

    Updated Polish translation

 po/pl.po |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 08cfb4cbef28f00be8890f58685c00f4a1a12a7c
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Wed Oct 27 02:46:03 2010 +0200

    Updated Hungarian translation

 po/hu.po | 1632 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 889 insertions(+), 743 deletions(-)

commit 984907175742bcd8867466c16ffe74616f8548dc
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Tue Oct 26 13:27:36 2010 +0300

    Updated Bulgarian translation

 po/bg.po | 2670 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1497 insertions(+), 1173 deletions(-)

commit 3fba47453812d57c3354b47d00bfd51a811eb521
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Oct 25 21:23:08 2010 +0200

    Updated Swedish translation

 po/sv.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 056943ff11dfe21c8449f245e3e27295c6adac9d
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Oct 25 21:22:30 2010 +0200

    Updated Swedish translation

 po/sv.po |  991 ++++++++++++++++++++++++++++++++++++++++++--------------------
 1 files changed, 670 insertions(+), 321 deletions(-)

commit db297f7a57407133d7e29f8374cd5b9ca4c93984
Author: Daniel Nylander <po@danielnylander.se>
Date:   Mon Oct 25 21:20:24 2010 +0200

    Updated Swedish translation

 po/sv.po |  911 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 488 insertions(+), 423 deletions(-)

commit 8e38990001bbe65a9c67fb14af65d53ad7b76b0c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Mon Oct 25 21:01:33 2010 +0200

    Updated Polish translation

 po/pl.po | 1647 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 896 insertions(+), 751 deletions(-)

commit 534fde683b006b15fd1f62286d3ed4c35d9e9187
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 25 12:13:50 2010 +1000

    podcast: suppress facebook like button iframes (bug #631218)

 podcast/rb-podcast-properties-dialog.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 4c19eff61f99677866115671a898729e56c74b33
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Mon Oct 25 00:18:19 2010 +0200

    Updated Galician translations

 po/gl.po | 1745 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 993 insertions(+), 752 deletions(-)

commit a0984331e1f285875d2adf3d78f04495a3ef4c61
Author: Žygimantas Beručka <zygis@gnome.org>
Date:   Sun Oct 24 18:56:36 2010 +0200

    Updated Lithuanian translation

 po/lt.po | 2086 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1189 insertions(+), 897 deletions(-)

commit 8ffb8a1319558bf858f3fdc4fbbdf292cbc987ef
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sun Oct 24 17:08:10 2010 +0200

    Updated Danish translation

 po/da.po | 1725 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 982 insertions(+), 743 deletions(-)

commit 1a8c84089d7814ac7647e2a66fe87d7842dbc845
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 24 18:50:42 2010 +1000

    iradio: comment out NRK Stortinget as the stream 404s at the moment

 plugins/iradio/iradio-initial.xspf |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 88fbf4f91f57478b5a5b2fe3e7b898607c26de3e
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Oct 22 19:49:01 2010 +0200

    Updated Slovenian translation

 po/sl.po |  107 ++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 73 insertions(+), 34 deletions(-)

commit d23fdaeefbb0cbbfa30b9e66027b4bd31ac6e010
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Oct 21 10:59:16 2010 +1000

    iradio: re-add wbur.org to the initial stream list (bug #632655)

 plugins/iradio/iradio-initial.xspf |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 8502f1388ceaadb98769309eea115f8d143e824b
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Thu Oct 21 01:03:10 2010 +0900

    Updated Japanese translation

 po/ja.po | 1383 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 718 insertions(+), 665 deletions(-)

commit 5f956137365e3780dc75b1ce4472e7868ee6c1f6
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 20 17:41:18 2010 +1000

    xfade: block stream src pads while reusing streams after EOS (bug #631817)
    
    This only seems to happen when the track transition time is set to 0, and would
    trigger a not-linked error when the stream managed to push out a buffer before we
    could relink it.  Blocking the pad prevents this from occurring.

 backends/gstreamer/rb-player-gst-xfade.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit ef8daaf3a7bd836d8ed6bf8cf56120d12d1f672e
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 20 08:41:52 2010 +1000

    require totem-pl-parser 2.32.1 for recent async parsing fixes

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c0d2be43a23cf83e61f1185dfc0ee52c1af85b91
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Oct 19 12:39:33 2010 +0200

    Updated Spanish translation

 po/es.po |   19 ++++++++++---------
 1 files changed, 10 insertions(+), 9 deletions(-)

commit c6ee827daacb53346e0cb1c9e2820627e1b6e6b3
Author: Ben Walsh <b@wumpster.com>
Date:   Tue Oct 19 07:57:32 2010 +0100

    ipod "Remove from playlist" was deleting song completely.

 plugins/ipod/rb-ipod-static-playlist-source.c |   17 ++---------------
 1 files changed, 2 insertions(+), 15 deletions(-)

commit a3fbeab685900bc5add861c15413e86d8d0d0fde
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 19 14:57:45 2010 +1000

    update POTFILES.in for zeitgeist plugin

 po/POTFILES.in |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 061932fd629ae85ea457372dc93e35d3bcbb0313
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 19 14:39:07 2010 +1000

    add zeitgeist plugin, developed by Markus Korn, Laszlo Pandy and Michal Hruby

 configure.ac                                 |    1 +
 data/rhythmbox.schemas                       |   22 ++++
 plugins/Makefile.am                          |    1 +
 plugins/rbzeitgeist/Makefile.am              |   14 +++
 plugins/rbzeitgeist/rbzeitgeist.rb-plugin.in |    9 ++
 plugins/rbzeitgeist/rbzeitgeist/__init__.py  |  149 ++++++++++++++++++++++++++
 6 files changed, 196 insertions(+), 0 deletions(-)

commit 521ab35c66ef2877cbfd0279b14bacdef19904be
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 19 11:59:20 2010 +1000

    iradio: add WSUM (www.wsum.org) to initial radio stream list (bug #632119)

 plugins/iradio/iradio-initial.xspf |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit abf94bf5a55e64bef9d66d6155863c1911133338
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 19 09:35:14 2010 +1000

    daap: fix compile errors on 32bit platforms
    
    Cast the pointer value to gintptr, which is always the same size
    as a pointer, and then let the compiler promote that to 64 bits if
    necessary.

 plugins/daap/rb-daap-record.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 62f3d5134ea67e18c61acef40e71d965711d798d
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Tue Oct 19 00:39:04 2010 +0200

    Updated Spanish translation

 po/es.po |   89 +++++++++++++++++++++++++++++++++++++++++++-------------------
 1 files changed, 62 insertions(+), 27 deletions(-)

commit 3d831cb058832461d6909e522364d4180709c467
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Mon Oct 18 15:51:25 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 25724cf3cec6fa5e195eca0cc301a70011f9c9b3
Author: Alexandre Rosenfeld <alexandre.rosenfeld@gmail.com>
Date:   Mon Oct 18 21:30:05 2010 +1000

    daap: add support for DACP (iTunes remote control)  (bug #625214)

 plugins/daap/Makefile.am      |    6 +
 plugins/daap/daap-prefs.ui    |  288 +++++++++++++++---
 plugins/daap/rb-daap-plugin.c |  108 +++++++-
 plugins/daap/rb-daap-record.c |   32 ++-
 plugins/daap/rb-dacp-player.c |  360 ++++++++++++++++++++++
 plugins/daap/rb-dacp-player.h |   71 +++++
 plugins/daap/rb-dacp-source.c |  656 +++++++++++++++++++++++++++++++++++++++++
 plugins/daap/rb-dacp-source.h |   79 +++++
 plugins/daap/remote-icon.png  |  Bin 0 -> 4641 bytes
 po/POTFILES.in                |    1 +
 10 files changed, 1536 insertions(+), 65 deletions(-)

commit 75ae0dc122a8e9a78fb8d975c50a9d7781bd2030
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Oct 18 12:59:00 2010 +1000

    shell: specify the right pointer for the parser entry-added handler

 shell/rb-shell.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5401885023a50c98353e6f3b0998313b8ab15a3b
Author: Mattias Põldaru <mahfiaz gmail com>
Date:   Sun Oct 17 20:19:22 2010 +0300

    [l10n] Updated Estonian translation

 po/et.po |  790 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 491 insertions(+), 299 deletions(-)

commit 43a945bb3665876f3e3dcccea396145bdd7014a6
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Sun Oct 17 12:25:13 2010 +0200

    [l10n] Updated German translation

 po/de.po |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

commit 9264342e062e754eba805ba683aade16e909baed
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 16 12:56:51 2010 -0500

    Fix typo in rb-daap-record.c
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 plugins/daap/rb-daap-record.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7373dbd5962af1d26875ae0c3a6328c7b6373b54
Author: W. Michael Petullo <mike@flyn.org>
Date:   Sat Oct 16 12:43:57 2010 -0500

    Zero out new RBDAAPRecord object
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 plugins/daap/rb-daap-record.c |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit afaf17e4c7ee348234aecae88eae79f0ee1e46d4
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Fri Oct 15 22:08:19 2010 +0200

    [i18n] Updated German translation, bug #569968

 po/de.po | 1790 ++++++++++++++++----------------------------------------------
 1 files changed, 457 insertions(+), 1333 deletions(-)

commit c5483b392c2a52c03d4023ea6136de3c252d8b69
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Fri Oct 15 20:17:15 2010 +0200

    Updated Slovenian translation

 po/sl.po |  586 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 297 insertions(+), 289 deletions(-)

commit 46550f4957967ed3e9679f5be70aa959e08287c9
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Thu Oct 14 12:04:36 2010 +1000

    rating: use signed parameters for rb_rating_render_stars (bug #631698)
    
    Sometimes we need to render to negative coordinates (when scrolling a
    tree view up, for instance), so they need to be signed.

 widgets/rb-rating-helper.c |    8 ++++----
 widgets/rb-rating-helper.h |    4 ++--
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 703fe04402dabea4d4b1e76d5ffc4101ee4264bb
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Wed Oct 13 22:01:33 2010 +1000

    ipod: don't crash when trying to show properties if ipod db load fails (bug #628791)

 plugins/ipod/rb-ipod-source.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 5c50ade48613f0da9078b865a915c1b849d9950b
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 12 22:50:16 2010 +1000

    rhythmdb: fix sorting of podcast feed view
    
    The feed view is based on a query model containing episodes now, so we
    need to use the album property to sort it.

 rhythmdb/rhythmdb-property-model.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6407ec393a938e524058334da23586aac6d39388
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Oct 10 22:49:09 2010 +0200

    Updated Spanish translation

 po/es.po |  672 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 340 insertions(+), 332 deletions(-)

commit 1cfd8d0af85dbbccdf6fb0292ac61780fa45df50
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 10 23:42:28 2010 +1000

    podcast: add child sources showing new episodes and recent downloads
    
    This splits the podcast source in two, into a base class that provides the feed
    and post views and implements the various UI actions, and a subclass that
    contains the parts unique to the main source, mostly the configuration dialog.
    
    The child sources are populated by database queries.  The new episode source
    uses the post-time property and the new download source uses the modification
    time, which previously wasn't set at all for podcast posts, but now is set to
    the current time when the download starts.
    
    The queries are currently hardcoded to match episodes posted and downloaded in
    the last week, but we could provide hour/day/week/month selections if that
    seems useful enough.
    
    The child sources currently use the same gconf keys as the main source, so they
    have the same sort order and browser settings.

 po/POTFILES.in                     |    3 +-
 podcast/Makefile.am                |    6 +-
 podcast/rb-podcast-main-source.c   |  422 +++++++
 podcast/rb-podcast-main-source.h   |   65 ++
 podcast/rb-podcast-manager.c       |   23 +-
 podcast/rb-podcast-source.c        | 1701 ++++++++++++++++++++++++++++
 podcast/rb-podcast-source.h        |   71 ++
 rhythmdb/rhythmdb-property-model.c |    1 +
 shell/rb-shell.c                   |   16 +-
 sources/Makefile.am                |    4 +-
 sources/rb-podcast-source.c        | 2179 ------------------------------------
 sources/rb-podcast-source.h        |   67 --
 12 files changed, 2297 insertions(+), 2261 deletions(-)

commit 2f5f05fb40fb75ad540bd48607e640361aed4e8f
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Oct 9 19:52:48 2010 +0200

    Updated Slovenian translation

 po/sl.po |  180 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 102 insertions(+), 78 deletions(-)

commit 09e7b566b6cb1466667775338b567cd6142a080c
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Oct 9 18:54:56 2010 +0200

    [i18n] Updated German translation

 po/de.po |  118 +++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 71 insertions(+), 47 deletions(-)

commit 66db6792c31856dd5bfdcfc2e860bbf43ec7d52c
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 9 22:53:51 2010 +1000

    shell-player: cancel playlist parsing when stopping (bug #612156)
    
    If the user tries to stop playback of a radio stream before the playlist
    parser has finished, we need to cancel the parser and ignore any URLs we
    get from it so we don't try to start playback again.  Similarly, if the
    user tries to start playback while the parser is still going, we can just
    ignore that.

 shell/rb-shell-player.c |   52 +++++++++++++++++++++++++++++++++++++++-------
 1 files changed, 44 insertions(+), 8 deletions(-)

commit d5ca94a32de0715b65e03e973f7960ebb29fe76f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Thu Oct 7 14:38:56 2010 +0200

    Updated Spanish translation

 po/es.po |  416 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 207 insertions(+), 209 deletions(-)

commit d493a58349686e0e03bc53001c645f61a2dd68bb
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Oct 7 11:24:54 2010 +0200

    Updated Czech translation

 po/cs.po |  372 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 204 insertions(+), 168 deletions(-)

commit 8cb910760eff22613fdc0bc392f6460fae04ec77
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Wed Oct 6 15:09:34 2010 +0200

    Updated Slovenian translation

 po/sl.po |  291 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 152 insertions(+), 139 deletions(-)

commit e74af5ee7c1467d2bf24a8736d787cbdfbf79787
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Oct 5 21:55:25 2010 +1000

    audioscrobbler: add translator comments for radio stream types (bug #631355)
    
    Also fixes a typo in one of the stream types.

 .../rb-audioscrobbler-radio-source.c               |   26 +++++++++++++++++++-
 1 files changed, 25 insertions(+), 1 deletions(-)

commit 0fbe1d89b66dcf49bbee12db57bf4207b42b7919
Author: Daniel Nylander <po@danielnylander.se>
Date:   Tue Oct 5 08:43:35 2010 +0200

    Updated Swedish translation

 po/sv.po |  887 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 515 insertions(+), 372 deletions(-)

commit eed0a4c124c89a20d18b25c250c350c5bb8f6fc7
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 3 22:26:37 2010 +1000

    finish removing gtk_dialog_set_has_separator calls

 shell/rb-shell.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 198a23a6a67339e25a0022762894e2321f7f12a5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sun Oct 3 15:09:30 2010 +1000

    mtp: convert GStreamer source bin into a GstBaseSrc subclass (bug #631191)
    
    The previous bin-containing-filesrc approach stopped working somewhere along
    the line.  Now we read from the file directly.

 plugins/mtpdevice/rb-mtp-gst-src.c |  294 ++++++++++++++++++++----------------
 1 files changed, 167 insertions(+), 127 deletions(-)

commit 99a81df9a6808ac61dbf5f5ac5e96f3c737586da
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Sat Oct 2 15:13:01 2010 +0200

    [i18n] Updated German translation

 po/de.po |  234 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 116 insertions(+), 118 deletions(-)

commit 992e8f78d07c9b3c43fde751e83ba947d85e0c94
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Sat Oct 2 13:29:43 2010 +0200

    [ipod] use podcast icon for iPod podcast playlist

 plugins/ipod/rb-ipod-source.c |   22 +++++++++++++++++++++-
 1 files changed, 21 insertions(+), 1 deletions(-)

commit 333e914771216c734d6bbdb90b16b7b41824f280
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Sat Oct 2 13:04:02 2010 +0200

    [ipod] handle playlist model changes
    
    The base query model used by playlist sources can change. Connect
    to notify::base-query-model to be notified when this happens so
    that we can reconnect our signals to the proper model.

 plugins/ipod/rb-ipod-source.c |   44 +++++++++++++++++++++++++++++++++++-----
 1 files changed, 38 insertions(+), 6 deletions(-)

commit f487224746a591a56f49a7f14c2a7449e466ca57
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Sat Oct 2 12:18:57 2010 +0200

    [ipod] fix addition/removal of playlist items (bug #601152)
    
    The code that was connecting the addition/removal callbacks to the
    playlist model wasn't connecting to the correct model, so the
    callbacks were never getting called, and thus rhythmbox was never
    actually telling libgpod to add new data items to the playlists.
    This is easily fixed by using the correct model, though we'd also need
    to handle notify::base-query-model since it can change.

 plugins/ipod/rb-ipod-source.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit e7771d4b336f95754bd617b480e1f206926b6033
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Fri Oct 1 23:26:45 2010 +0200

    [ipod] reworkd delayed playlist renaming
    
    When playlist renaming was delayed, the previous code was trying to
    store both the playlist to change and its name to the same place in
    memory (because of the use of an union). This was obviously bad and
    causing silent memory corruption.
    To avoid that, use RbIpodDelayedPlaylistOp to store information
    about the playlist renaming since this structure is big enough to
    hold both the playlist and its new name.

 plugins/ipod/rb-ipod-db.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 61ec12a9b05d6c25527a58fac21a557d90974b3a
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Fri Oct 1 23:24:10 2010 +0200

    [ipod] more rework of playlist delayed actions
    
    Make the 2nd field of the RbDelayedPlaylistOp a void * pointer
    instead of using a pointer to an Itdb_Track since when we want
    to delay a playlist renaming action, this field will have to
    store a char *.

 plugins/ipod/rb-ipod-db.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit d19bfae89d0e82d12280d7ab3301681cf26cc860
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Fri Oct 1 23:18:47 2010 +0200

    [ipod] rework playlist delayed actions
    
    Start moving all code handling playlist delayed actions to use
    playlist_op instead of having dedicated fields in RbIpodDelayedAction
    This will help solve a nasty memory corruption issue when renaming
    playlists.

 plugins/ipod/rb-ipod-db.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit b9da7401477e7f1373d8899796947ad5c66122ca
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Tue Mar 23 17:33:52 2010 +0100

    [ipod] use itdb_start_sync and itdb_stop_sync
    
    When available, these functions show/hide the "sync in progress" screen on
    iPhone-like devices so that the user knows he shouldn't unplug his device

 configure.ac              |    5 +++++
 plugins/ipod/rb-ipod-db.c |    7 ++++++-
 2 files changed, 11 insertions(+), 1 deletions(-)

commit c7d5a04c92a474fb1b28961420cabdd510dc84ad
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Tue Mar 23 17:32:35 2010 +0100

    [ipod] rework iPod database saving
    
    When it has been modified, the saving of the iPod database is made
    asynchronously after 15 seconds with no change. When lots of tracks are
    copied to an iPod, this saving is triggered every 15 seconds during the
    transfer which can slow the transfer down (especially on iPhone-like
    devices). It makes more sense to only save the database once all transfers
    are done, and not to wait 15 seconds for the final save, but 2 seconds.
    With a 15 seconds delay, people don't wait long enough before unplugging
    their device (especially on iOS devices)

 plugins/ipod/rb-ipod-db.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 3c2d462c356102fe211120a77392b94cf5544ff3
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Tue Mar 23 17:23:06 2010 +0100

    [ipod] skip non-audio non-podcast tracks
    
    iPods can contains videos, movies, ... We don't want all of these to show
    up in rhythmbox, so hide them.

 plugins/ipod/rb-ipod-source.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 4f11923d8c07090f1fdd37b780d1f47067ae435a
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Tue Mar 23 17:14:36 2010 +0100

    [ipod] remove obsolete compat #define
    
    The iPod plugin code has some #define for a few constants which were not
    available in very old libgpod version (pre-0.5.0). Since rhythmbox has been
    depending on libgpod 0.6 for a while now, we can just use the constants
    provided by libgpod.

 plugins/ipod/rb-ipod-source.c |   12 ++++--------
 1 files changed, 4 insertions(+), 8 deletions(-)

commit 2e109b246ec694774ec38ff0e013823690d12264
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Oct 2 18:42:56 2010 +1000

    add --check-running arg to rhythmbox-client
    
    exits with 0 if it's running, 2 if it's not, 1 if things are broken.

 remote/dbus/rb-client.c |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 9032e92b7c2c8aed8060c18bc6a2d7fe5e3d069b
Author: W. Michael Petullo <mike@flyn.org>
Date:   Fri Oct 1 17:18:41 2010 -0500

    Update to use libdmapsharing 2.2 API
    Signed-off-by: W. Michael Petullo <mike@flyn.org>

 configure.ac                               |    2 +-
 plugins/daap/rb-daap-record.c              |    6 +++---
 plugins/daap/rb-rhythmdb-dmap-db-adapter.c |    6 +++---
 3 files changed, 7 insertions(+), 7 deletions(-)

commit 68db6df60dd783ff6ccbe68c5af1235b10bbb5b2
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Fri Oct 1 23:59:28 2010 +0200

    [l10n] Updated German translation

 po/de.po |  331 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 173 insertions(+), 158 deletions(-)

commit 223974a6cd2410dfa1dae06c4dd128f7b2a7ae6b
Author: Christophe Fergeau <teuf@gnome.org>
Date:   Fri Oct 1 15:58:36 2010 +0200

    don't return uninitialized var RBGstPlayer::play
    
    The "result" variable is returned uninitialized most of the time,
    which result in erratic behaviour when that happens (I was getting
    tons of unexplained playback errors). This function doesn't try to
    catch error conditions anymore, so just make it return TRUE.

 backends/gstreamer/rb-player-gst.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit c32cdd647d8511c48be5f0b8daa1d3402fdfe62f
Author: Matt Novenstern <fisxoj@gmail.com>
Date:   Fri Oct 1 22:34:49 2010 +1000

    status-icon: capitalize the app name passed to notify_init

 plugins/status-icon/rb-status-icon-plugin.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2e0204b32f7ae19ccb53707cbae2ce3f680b7014
Author: Matt Novenstern <fisxoj@gmail.com>
Date:   Fri Oct 1 22:32:38 2010 +1000

    status-icon: add pause and previous-track notify actions (bug #623200)
    
    These are only added when the notification server supports the
    x-gnome-icon-buttons capability, which means it will display the buttons
    using just the icons.

 plugins/status-icon/rb-status-icon-plugin.c |   41 ++++++++++++++++++++++++++-
 1 files changed, 40 insertions(+), 1 deletions(-)

commit 64ba2fc68404fa006be2905b3b56545aa288c197
Author: Matt Novenstern <fisxoj@gmail.com>
Date:   Fri Oct 1 22:29:07 2010 +1000

    status-icon: send file paths rather than pixbufs with notifications
    
    This allows the notification server to scale the image to whatever size
    it wants, so we don't have to guess a suitable size.
    
    Part of bug #623200.

 plugins/status-icon/rb-status-icon-plugin.c |  109 ++++++++++++++++++---------
 shell/rb-shell.c                            |    4 +-
 shell/rb-shell.h                            |    2 +-
 3 files changed, 77 insertions(+), 38 deletions(-)

commit 52059d2576bc6042f7d5311b34403f4f3d986afb
Author: Tino Meinen <tino.meinen@gmail.com>
Date:   Tue Sep 28 18:33:09 2010 +0200

    [i18n] Updated Dutch translation

 po/nl.po | 5525 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 3069 insertions(+), 2456 deletions(-)

commit ad8a802e5e56ba8e29f3542e3099929784709991
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Sep 27 11:57:18 2010 -0400

    Adapt to GtkObject removal in GTK3
    
    The changes here just avoid unneeded GtkObjectClass variables.
    
    Bug 630689

 sources/rb-sourcelist-model.c |    4 +---
 sources/rb-sourcelist.c       |   10 ++++------
 2 files changed, 5 insertions(+), 9 deletions(-)

commit af74776650bae715545d3de17435e32ec7e50706
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 27 16:37:09 2010 +1000

    mmkeys: stop using the deprecated GDK_DISPLAY macro

 plugins/mmkeys/rb-mmkeys-plugin.c |   59 ++++++++++++++++++++-----------------
 1 files changed, 32 insertions(+), 27 deletions(-)

commit d1830bdb1f519c6165c0f70e3ff60f94624e0de4
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Mon Sep 27 16:36:31 2010 +1000

    remove calls to gtk_dialog_set_has_separator (deprecated)

 plugins/cd-recorder/rb-playlist-source-recorder.c |    1 -
 plugins/daap/rb-daap-dialog.c                     |    1 -
 plugins/iradio/rb-station-properties-dialog.c     |    1 -
 podcast/rb-feed-podcast-properties-dialog.c       |    1 -
 podcast/rb-podcast-properties-dialog.c            |    1 -
 shell/rb-shell-preferences.c                      |    1 -
 sources/rb-library-source.c                       |    1 -
 widgets/rb-alert-dialog.c                         |    1 -
 widgets/rb-query-creator.c                        |    1 -
 widgets/rb-song-info.c                            |    2 --
 widgets/rb-uri-dialog.c                           |    1 -
 11 files changed, 0 insertions(+), 12 deletions(-)

commit 3ba7dfc3d4074b3cfc64c7b80ed9e8d8ecd24728
Author: Yuri Myasoedov <ymyasoedov@src.gnome.org>
Date:   Mon Sep 27 00:42:53 2010 +0400

    Updated Russian translation

 po/ru.po | 1889 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 924 insertions(+), 965 deletions(-)

commit debc7fbdb965a139f168db7732d39bdded1ba498
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Sep 26 11:34:25 2010 +0200

    Updated Spanish translation

 po/es.po |  126 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 53 insertions(+), 73 deletions(-)

commit b84971348a8e6599969e139d0126eae06a18e6cd
Author: Andrej Žnidaršič <andrej.znidarsic@gmail.com>
Date:   Sat Sep 25 15:25:17 2010 +0200

    Updated Slovenian translation

 po/sl.po |11350 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 5738 insertions(+), 5612 deletions(-)

commit eaa3168cd9091ec492ac5c6543f98b5d96ac3a15
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Sep 25 13:25:14 2010 +0200

    Updated Spanish translation

 po/es.po |  708 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 462 insertions(+), 246 deletions(-)

commit 7128d738995b6cc2305dbfe897b01411eea12908
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 25 17:18:08 2010 +1000

    property-view: document property-selected vs properties-selected signals
    
    This isn't particularly nice, but maybe people will be able to figure it
    out without asking me now..

 widgets/rb-property-view.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 5d57ea19d2f5dc32e5cf9aab85beb4d782eaa250
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 25 13:05:35 2010 +1000

    podcast: don't crash if multiple feeds are selected

 sources/rb-podcast-source.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit aebb0f3a5ffdfdc3eb6aaf8878c478fa8bd69943
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 25 11:32:01 2010 +1000

    remove the return value for rb_source_add_uri as we never used it

 bindings/python/rb.defs           |    2 +-
 bindings/python/rb.override       |   35 +++++------------------------------
 plugins/iradio/rb-iradio-source.c |   17 ++++++++---------
 sources/rb-library-source.c       |   17 ++++++++---------
 sources/rb-podcast-source.c       |   13 ++++++++-----
 sources/rb-source.c               |    7 ++-----
 sources/rb-source.h               |    4 ++--
 7 files changed, 34 insertions(+), 61 deletions(-)

commit ffd7608f3eae17f0aacbd9223eefd27963a96aa5
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Sat Sep 25 10:46:54 2010 +1000

    python: sort of fix RBSource impl_add_uri method
    
    For now, we just call the callback immediately after calling the python
    method.  We should be passing the callback to the python method instead,
    but at this stage it doesn't look like that's worth the effort.  This should
    at least get the ubuntu one music store plugin working again.

 bindings/python/rb.override |   99 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 99 insertions(+), 0 deletions(-)

commit 5662472ae38548370d4e5ab4beb9c8f41405849d
Author: Takayuki KUSANO <AE5T-KSN@asahi-net.or.jp>
Date:   Fri Sep 24 02:33:59 2010 +0900

    Updated Japanese translation (symbolic link related)

 po/ja.po |  641 ++++++++++++++++++++++++++++++++++++++++----------------------
 1 files changed, 414 insertions(+), 227 deletions(-)

commit 4805663131a02015c8cb9ae621bccdcbffafe671
Author: Marek Černocký <marek@manet.cz>
Date:   Thu Sep 23 17:55:41 2010 +0200

    Updated Czech translation

 po/cs.po |  543 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 298 insertions(+), 245 deletions(-)

commit 3fdd4e320efbb80d2f6fc5dad31bd65f16e44132
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Tue Sep 21 22:23:07 2010 +0200

    [i18n] Updated German translation

 po/de.po |  652 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 405 insertions(+), 247 deletions(-)

commit 42ab13d0d9a02a74cb72f2326c79b61c943dcffd
Author: Jonathan Matthew <jonathan@d14n.org>
Date:   Tue Sep 21 20:44:28 2010 +1000

    update POTFILES.in

 po/POTFILES.in |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 59bec7c46bd1d810a0602771f5553149de000034
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Sep 10 11:56:07 2010 +0100

    audioscrobbler: allow a force update of user data
    
    rb_audioscrobbler_user_force_update sends new requests without first
    checking for valid cached responses. The refresh profile action will
    call this function instead of rb_audioscrobbler_user_update.

 .../rb-audioscrobbler-profile-source.c             |    2 +-
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |   14 ++++++++++++++
 plugins/audioscrobbler/rb-audioscrobbler-user.h    |    1 +
 3 files changed, 16 insertions(+), 1 deletions(-)

commit eca17444e8099ff612397c4516479d68014fb408
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Sep 6 16:26:24 2010 +0100

    audioscrobbler: update profile periodically
    
    When source is activated, update profile and register a timeout callback
    which every 5 minutes will update the profile. When source is deactivated
    remove the callback.
    
    Of course, these will only actually send update requests if the cached
    responses are no longer valid.

 .../rb-audioscrobbler-profile-source.c             |   37 ++++++++++++++++++++
 1 files changed, 37 insertions(+), 0 deletions(-)

commit d7ac17eb4f33924d711599538f606558307fcfaa
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Sep 6 14:31:52 2010 +0100

    audioscrobbler: only send new user requests if cached results have expired
    
    in rb_audioscrobbler_user_update, check first if the cached results for
    are still valid before sending new requests.
    
    Different requests have different lifetimes. For now recent artist
    responses are valid for an hour, everything else for 24 hours.
    This can be tweaked once we have a better idea of how well this works.

 plugins/audioscrobbler/rb-audioscrobbler-user.c |   94 +++++++++++++++++++++--
 1 files changed, 88 insertions(+), 6 deletions(-)

commit 69081983cab757b52a47dc5e57c0361ca2037ea4
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Aug 29 14:49:47 2010 +0100

    audioscrobbler: fix leaked string when loading cached images

 plugins/audioscrobbler/rb-audioscrobbler-user.c |   24 ++++++++++++++++++----
 1 files changed, 19 insertions(+), 5 deletions(-)

commit d561335267cde84ad14b235aaf871ca61115ba66
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Aug 17 16:23:17 2010 +0100

    audioscrobbler: store Last.fm username in gconf, for other plugins' use

 lib/rb-preferences.h                               |    2 --
 plugins/audioscrobbler/rb-audioscrobbler-account.c |   10 ++++++++++
 2 files changed, 10 insertions(+), 2 deletions(-)

commit 6ef69229cc031152bfac8059bab716b37964b00b
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Aug 17 16:01:06 2010 +0100

    audioscrobbler: use "Log in" instead of "login", as recommended in HIG

 .../rb-audioscrobbler-profile-source.c             |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 690d91e113a181600788f7b2aad8077805c89b85
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Aug 17 15:58:55 2010 +0100

    audioscrobbler: update gconf schemas, dist prefs builder file
    
    Ensures that enabled services selection works properly

 data/rhythmbox.schemas                            |   26 +++++++++++---------
 plugins/audioscrobbler/Makefile.am                |    4 ++-
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c |    2 -
 3 files changed, 17 insertions(+), 15 deletions(-)

commit c4bc586d19bb6bc98010b8083d8e23ffb90c5e29
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Aug 16 13:02:47 2010 +0100

    audioscrobbler: add translator comments to some translatable strings

 .../rb-audioscrobbler-profile-source.c             |    3 +++
 .../rb-audioscrobbler-radio-source.c               |   18 ++++++++++++++++++
 2 files changed, 21 insertions(+), 0 deletions(-)

commit 7c1784b08c72ab7c05470011004c0cf7f628dce2
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Aug 13 23:24:39 2010 +0100

    audioscrobbler: add config dialog for choosing which services to enable

 .../audioscrobbler/audioscrobbler-preferences.ui   |  137 +++++++++++++
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |  211 ++++++++++++++++++--
 2 files changed, 330 insertions(+), 18 deletions(-)

commit 70268bab5d24a97bc0f2b16c877605e3ab2ae2fb
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Aug 13 01:16:52 2010 +0100

    fix potential segfault introduced by 88c62d20c3a3fbf6f2ec94ee5332a2a715cad3a7

 .../rb-audioscrobbler-radio-source.c               |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c87ff624d8d5cdaeaefb510c7c07b795fb791c59
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Aug 12 17:33:58 2010 +0100

    audioscrobbler: move sessions file into audioscrobbler subdir

 plugins/audioscrobbler/rb-audioscrobbler-account.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit a71e38269863ecc8b10c8cc5977eeefd7b0383ce
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Aug 12 17:27:49 2010 +0100

    audioscrobbler: fix radio parsing to work with changed Last.fm tune response

 .../rb-audioscrobbler-radio-source.c               |   17 +++++++++++------
 1 files changed, 11 insertions(+), 6 deletions(-)

commit 86fa6d93f96044a9f4a959e7f8a99e06ff85823a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Aug 12 17:04:04 2010 +0100

    audioscrobbler: mark error string for i18n

 .../rb-audioscrobbler-radio-source.c               |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e17cde6131b4f199451e904b131f295e26da2031
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Aug 12 16:24:47 2010 +0100

    audioscrobbler: rename RBLastfmPlayOrder to RBAudioscrobblerPlayOrder
    
    for consistency with other classes used in the plugin: the class
    also represents the play order of a Libre.fm radio source, not just
    a Last.fm one.

 plugins/audioscrobbler/Makefile.am                 |    4 +-
 .../audioscrobbler/rb-audioscrobbler-play-order.c  |   95 ++++++++++++++++++++
 .../audioscrobbler/rb-audioscrobbler-play-order.h  |   60 ++++++++++++
 .../rb-audioscrobbler-radio-source.c               |    4 +-
 plugins/audioscrobbler/rb-lastfm-play-order.c      |   95 --------------------
 plugins/audioscrobbler/rb-lastfm-play-order.h      |   60 ------------
 6 files changed, 159 insertions(+), 159 deletions(-)

commit 6bb85d4920e05356f90b0ef41045e5726920fc35
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Aug 12 02:43:33 2010 +0100

    fix warnings introduced by commit d057ec2685440a130d9f732fe1de8e8d4601f7a9
    
    check if image is not null before checking width of image.

 .../rb-audioscrobbler-profile-source.c             |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit 8db376c6652403128e57997b8267822b9a11249b
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Aug 11 14:49:00 2010 +0100

    audioscrobbler: display user info area even without user info data response
    
    We can still display the username, and need to display UI such as the
    logout button. When the response arrives later diplay extras such as
    view profile link and image.

 .../rb-audioscrobbler-profile-source.c             |   23 ++++++++++++++-----
 1 files changed, 17 insertions(+), 6 deletions(-)

commit dcb6258412004c16dec6383aa05b63134871eee1
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Aug 11 14:20:06 2010 +0100

    audioscrobbler: improve layout of items within list item buttons

 .../rb-audioscrobbler-profile-source.c             |   87 ++++++++++++--------
 1 files changed, 52 insertions(+), 35 deletions(-)

commit 0db106cf5faa0a3b342fc18feaf51e20010345be
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Aug 10 18:00:39 2010 +0100

    audioscrobbler: fix table allocation bug
    
    The problem was that tables' contents were getting set before the
    table had been realized, meaning it would be incorrectly sized.
    The solution was to connect to the table's realize signal and queue
    a resize.

 plugins/audioscrobbler/audioscrobbler-profile.ui   |    5 +++
 .../rb-audioscrobbler-profile-source.c             |   27 +++++++++++---------
 2 files changed, 20 insertions(+), 12 deletions(-)

commit 931a0a4436a45cf85fb8b1bdbf707197ff9c7bb2
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Aug 7 17:46:39 2010 +0100

    audioscrobbler: include audioscrobbler-profile-ui in Makefile.am

 plugins/audioscrobbler/Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit a774043d65c29ac3f912a9b84649cc8a617d7fcb
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Aug 7 00:43:15 2010 +0100

    audioscrobbler: solve part of the table allocation problem
    
    Call gtk_widget_show_all on list item buttons when creating them.
    This ensures that their requisition is correct meaning the table
    better knows what to do in list_table_allocate_cb.
    
    The issue is still not entirely resolved, however. The GtkTables do
    not appear to be reallocated correctly after their height changes.

 plugins/audioscrobbler/audioscrobbler-profile.ui   |  130 --------------------
 .../rb-audioscrobbler-profile-source.c             |   50 ++++++--
 2 files changed, 38 insertions(+), 142 deletions(-)

commit ab15a8b098384ed6b4b0aa8b2e1eae29243a3817
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Aug 4 17:17:45 2010 +0100

    audioscrobbler: add tool button to download free tracks
    
    Appears in toolbar next to love and ban actions. When a song is being
    played from a radio source which has a download link the user will
    be able to download the track into their library.

 .../rb-audioscrobbler-profile-source.c             |  188 +++++++++++++++++---
 1 files changed, 161 insertions(+), 27 deletions(-)

commit e22cd019dbcfed88a6e24af463bbec2cc9c58891
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Aug 3 22:11:58 2010 +0100

    audioscrobbler: use new RhythmDBEntryType system

 plugins/audioscrobbler/Makefile.am                 |    4 +-
 plugins/audioscrobbler/rb-audioscrobbler-entry.c   |    2 +-
 .../rb-audioscrobbler-profile-source.c             |    1 -
 .../rb-audioscrobbler-radio-source.c               |   10 ++-
 .../rb-audioscrobbler-radio-track-entry-type.c     |   65 ++++++++++++++++++++
 .../rb-audioscrobbler-radio-track-entry-type.h     |   53 ++++++++++++++++
 .../rb-audioscrobbler-radio-track-entry.c          |   62 -------------------
 .../rb-audioscrobbler-radio-track-entry.h          |   49 ---------------
 tests/Makefile.am                                  |    2 +-
 9 files changed, 128 insertions(+), 120 deletions(-)

commit 3086b433bb6c440e15895e60e7ebace7a109505a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Aug 3 20:24:24 2010 +0100

    audioscrobbler: simplify and tidy list table size allocation code
    
    Improves allocation, but still does not fix bug where child buttons
    are not allocated correctly

 plugins/audioscrobbler/audioscrobbler-profile.ui   |  349 +++++++++-----------
 .../rb-audioscrobbler-profile-source.c             |   85 +++---
 2 files changed, 203 insertions(+), 231 deletions(-)

commit d5ba4dd2d085d02da1788978a849a97920c18783
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Aug 2 18:24:48 2010 +0100

    audioscrobbler: submit track source when scrobbling

 plugins/audioscrobbler/Makefile.am                 |    2 +
 plugins/audioscrobbler/rb-audioscrobbler-entry.c   |   30 +++++++---
 plugins/audioscrobbler/rb-audioscrobbler-entry.h   |    3 +-
 .../rb-audioscrobbler-radio-source.c               |   42 +++-----------
 .../rb-audioscrobbler-radio-track-entry.c          |   62 ++++++++++++++++++++
 .../rb-audioscrobbler-radio-track-entry.h          |   49 +++++++++++++++
 plugins/audioscrobbler/rb-audioscrobbler.c         |    4 +-
 tests/Makefile.am                                  |    5 +-
 8 files changed, 150 insertions(+), 47 deletions(-)

commit 8668383ea8bc45a480b8490e9b878e212e4f672c
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 31 19:09:17 2010 +0100

    audioscrobbler: disable love and ban actions when nothing is playing

 .../rb-audioscrobbler-profile-source.c             |   40 +++++++++++++------
 1 files changed, 27 insertions(+), 13 deletions(-)

commit 6e25b619506aa5570e8cd2aee0921b36e3cb0c0d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 31 16:46:17 2010 +0100

    audioscrobbler: add popup menu item to refresh profile source

 .../audioscrobbler/audioscrobbler-profile-ui.xml   |    5 +
 .../rb-audioscrobbler-profile-source.c             |   79 ++++++++++++++++----
 .../rb-audioscrobbler-radio-source.c               |   17 ++---
 3 files changed, 76 insertions(+), 25 deletions(-)

commit dedd8963d372f92328e992ebbc7af38664572f63
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Jul 28 17:50:29 2010 +0100

    audioscrobbler: remove default widget attributes from builder file
    
    The station creator button did have can-default and has-default set to true,
    but since the supporting code wasn't present it did not act as the default
    widget. Removing these attributes fixes a warning.

 plugins/audioscrobbler/audioscrobbler-profile.ui |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 8354026481128d524ff1575fcfcc18204199e5ef
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Jul 28 17:21:50 2010 +0100

    audioscrobbler: radio source is responsible for merging its own UI
    
    radio source merges ui from file instead of plugin. means if no radio
    sources are created there are no warnings about missing actions

 plugins/audioscrobbler/Makefile.am                 |    2 +-
 plugins/audioscrobbler/audioscrobbler-radio-ui.xml |    6 ++++++
 plugins/audioscrobbler/audioscrobbler-ui.xml       |    6 ------
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |   17 -----------------
 .../rb-audioscrobbler-radio-source.c               |   20 ++++++++++++++++++++
 5 files changed, 27 insertions(+), 24 deletions(-)

commit 95cbe1894e0ad1df883e68496b578b2b3d726b32
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jul 25 18:01:38 2010 +0100

    audioscrobbler: prompt user if password is needed to tune radio
    
    remove public method to set password: radio sources prompt the user
    themselves to enter their password through a GtkInfoBar. If built with
    gnome keyring enabled, passwords are stored in the keyringso the user
    only has to enter it once.

 .../rb-audioscrobbler-radio-source.c               |  168 +++++++++++++++-----
 1 files changed, 130 insertions(+), 38 deletions(-)

commit 5f7c6d851c2bc6f6d88337672dda520997f57606
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jul 25 03:24:15 2010 +0100

    audioscrobbler: improve error checking in user response parsing

 plugins/audioscrobbler/rb-audioscrobbler-user.c |  322 +++++++++++------------
 1 files changed, 158 insertions(+), 164 deletions(-)

commit 2187b27345651ebdc732778f8acfdf3a3383b995
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 24 01:07:31 2010 +0100

    audioscrobbler: request auth token and session in json format

 plugins/audioscrobbler/rb-audioscrobbler-account.c |  211 +++++++++-----------
 1 files changed, 94 insertions(+), 117 deletions(-)

commit 2dc802c9d160dbaca7c93331516c4670d1a94b9e
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Jul 23 23:26:48 2010 +0100

    audioscrobbler: fallback to old radio api when appropriate
    
    If tuning radio fails with error code 4 then attempt to tune using the old
    API as that will allow non-subscribers to tune. The user's password must be
    set using rb_audioscrobbler_radio_source_set_old_api_password before this
    will work.

 .../rb-audioscrobbler-radio-source.c               |  377 ++++++++++++++++----
 .../rb-audioscrobbler-radio-source.h               |    3 +
 plugins/audioscrobbler/rb-audioscrobbler-service.c |   26 ++
 plugins/audioscrobbler/rb-audioscrobbler-service.h |    1 +
 4 files changed, 338 insertions(+), 69 deletions(-)

commit 1216646e22d37117fa4aeb33adf7e47d95a89a29
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Jul 23 15:07:56 2010 +0100

    audioscrobbler: select radio source after being created by custom builder

 .../rb-audioscrobbler-profile-source.c             |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 3d9646b471e96af47f74e3cec3b11306d54c3488
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 20 18:07:54 2010 +0100

    audioscrobbler: improve the profile source's handling of empty list responses

 .../rb-audioscrobbler-profile-source.c             |   49 +++++++++++--------
 1 files changed, 28 insertions(+), 21 deletions(-)

commit 7a97ffde9b88ea1c14980a81bffd4ed2ecd64c43
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 20 15:21:07 2010 +0100

    audioscrobbler: Add Libre.fm support in parallel to Last.fm

 plugins/audioscrobbler/Last.fm-icon.png            |  Bin 0 -> 1014 bytes
 plugins/audioscrobbler/Last.fm-icon.svg            |   79 ++++++++++++++++++++
 plugins/audioscrobbler/Libre.fm-icon.png           |  Bin 0 -> 803 bytes
 plugins/audioscrobbler/Makefile.am                 |    6 +-
 plugins/audioscrobbler/as-icon.png                 |  Bin 1014 -> 0 bytes
 plugins/audioscrobbler/as-icon.svg                 |   79 --------------------
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |   23 ++++--
 .../rb-audioscrobbler-profile-source.c             |   12 ++-
 plugins/audioscrobbler/rb-audioscrobbler-service.c |   23 ++++++-
 plugins/audioscrobbler/rb-audioscrobbler-service.h |    3 +-
 10 files changed, 131 insertions(+), 94 deletions(-)

commit 850a6423e34d0e616769ef2f49d5bf0acfbd3b13
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 20 12:59:42 2010 +0100

    audioscrobbler: remove scrobbling with password auth support
    
    Didn't need to add this in first place, Libre.fm now supports web service
    auth.

 plugins/audioscrobbler/rb-audioscrobbler.c |   84 +++++----------------------
 plugins/audioscrobbler/rb-audioscrobbler.h |    5 --
 2 files changed, 16 insertions(+), 73 deletions(-)

commit a6e08e65895f4ede8668a48ab8c43b60b994d473
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 16:27:20 2010 +0100

    audioscrobbler: use seperate submission queue files for each service and user

 plugins/audioscrobbler/rb-audioscrobbler.c |   32 +++++++++++++++++++++-------
 1 files changed, 24 insertions(+), 8 deletions(-)

commit df9a5822c6735556d3868c0bb07c06bf4113074d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 15:32:02 2010 +0100

    audioscrobbler: use same artist parsing code for top and recommended artists
    
    Also use same track parsing code for recent, top and loved tracks

 plugins/audioscrobbler/rb-audioscrobbler-user.c |  237 +++++++++--------------
 1 files changed, 92 insertions(+), 145 deletions(-)

commit 612fb5ef528d663f1452c7a768ddb663f533759d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 14:25:46 2010 +0100

    audioscrobbler: remove namespace prefixes for static method names

 plugins/audioscrobbler/audioscrobbler-profile.ui   |   16 +-
 plugins/audioscrobbler/rb-audioscrobbler-account.c |   66 ++--
 .../rb-audioscrobbler-profile-source.c             |  401 ++++++++++----------
 .../rb-audioscrobbler-radio-source.c               |  103 +++---
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |  342 +++++++++---------
 5 files changed, 460 insertions(+), 468 deletions(-)

commit 02b09e6596e3b9cfc4b78a5cb3a064e9d6b6fb5d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 13:00:02 2010 +0100

    audioscrobbler: only generate names for love and ban actions once
    
    Generate names when actions are created and store them. When the names are
    needed in other places just use the stored names instead of recalculating

 .../rb-audioscrobbler-profile-source.c             |   37 +++++++------------
 1 files changed, 14 insertions(+), 23 deletions(-)

commit 40231b00bd9aceb388a1edd3414fe401b2861e2e
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 12:46:25 2010 +0100

    audioscrobbler: create viewport and scrolled win in builder file, not code
    
    Instead of having the vbox as top level in builder, then packing it in
    a viewport and scrolled window in code, simply take care of this all
    in the builder file

 plugins/audioscrobbler/audioscrobbler-profile.ui   | 1353 ++++++++++----------
 .../rb-audioscrobbler-profile-source.c             |   27 +-
 2 files changed, 690 insertions(+), 690 deletions(-)

commit fd917fd09ca8f761ed0f261a3d1e6e786eb6025a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 12:35:50 2010 +0100

    audioscrobbler: escaped artist and track names when loving/banning tracks

 .../rb-audioscrobbler-radio-source.c               |    4 +--
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |   22 ++++++++++++++++---
 2 files changed, 19 insertions(+), 7 deletions(-)

commit d1699492743f584de500c9b9ed4209ff5f486f4f
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 12:32:25 2010 +0100

    audioscrobbler: use g_compute_checksum_for_string to generate md5 hashes

 plugins/audioscrobbler/rb-audioscrobbler-account.c |   19 +-------------
 .../rb-audioscrobbler-radio-source.c               |   19 +-------------
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |   21 ++--------------
 plugins/audioscrobbler/rb-audioscrobbler.c         |   25 ++-----------------
 4 files changed, 10 insertions(+), 74 deletions(-)

commit 5c3da9905b252dcf890b4a48279034dd428926a8
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 12:05:07 2010 +0100

    audioscrobbler: remove arg label from station creator UI
    
    Make names in combo box more descriptive

 plugins/audioscrobbler/audioscrobbler-profile.ui   |   15 +-----
 .../rb-audioscrobbler-profile-source.c             |   50 +-------------------
 .../rb-audioscrobbler-radio-source.c               |   16 +++---
 3 files changed, 11 insertions(+), 70 deletions(-)

commit 25ab1f388901c69f4a99010e28003335cb1c1265
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 00:42:48 2010 +0100

    audioscrobbler: improve RBAudioscrobblerUser's handling of invalid responses

 plugins/audioscrobbler/rb-audioscrobbler-user.c |  331 ++++++++++++-----------
 1 files changed, 176 insertions(+), 155 deletions(-)

commit b527273782e94a421c7635706b06aa0d1dbcd663
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Mon Jul 19 00:23:54 2010 +0100

    audioscrobbler: add support for scrobbling using password authentication
    
    rb_audioscrobbler_new_from_password () constructs a scrobbler object which
    will use a password for authentication rather than a web services session
    key.

 plugins/audioscrobbler/rb-audioscrobbler.c |  109 +++++++++++++++++++++-------
 plugins/audioscrobbler/rb-audioscrobbler.h |    5 ++
 2 files changed, 87 insertions(+), 27 deletions(-)

commit 49214bbd3d3fef845b3865d03fb67e1139329fd9
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jul 18 22:24:50 2010 +0100

    audioscrobbler: remove unwanted debug messages on table resize

 .../rb-audioscrobbler-profile-source.c             |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 73f7164661a1ff87b8868b6f3899b9d221100a3a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jul 18 19:55:23 2010 +0100

    audioscrobbler: improve allocation of the GtkTables used for top artists etc

 .../rb-audioscrobbler-profile-source.c             |   39 ++++++++++++++------
 1 files changed, 27 insertions(+), 12 deletions(-)

commit cb07464fabed7df2974f44cbde5409744d90ada9
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jul 18 01:54:55 2010 +0100

    audioscrobbler: remove files which are no longer in use

 plugins/audioscrobbler/audioscrobbler-prefs.ui |  305 ----
 plugins/audioscrobbler/rb-lastfm-source.c      | 2316 ------------------------
 plugins/audioscrobbler/rb-lastfm-source.h      |   65 -
 3 files changed, 0 insertions(+), 2686 deletions(-)

commit 13bbaaa5a81bb4e774d8f95326cfe97d723b96da
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 17 19:16:46 2010 +0100

    audioscrobbler: create default station list if none are saved

 .../rb-audioscrobbler-profile-source.c             |   39 ++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit c3f6cdef2f0f2d7a978771b9e937c4e91140ca3a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 17 18:40:51 2010 +0100

    audioscrobbler: add "group radio" option

 .../rb-audioscrobbler-profile-source.c             |    3 +++
 .../rb-audioscrobbler-radio-source.c               |    3 +++
 .../rb-audioscrobbler-radio-source.h               |    1 +
 3 files changed, 7 insertions(+), 0 deletions(-)

commit a6d73db9ba0a66590e2251e2c4862c374cdad12d
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 17 17:11:27 2010 +0100

    audioscrobbler: uri_escape station url arg when tuning station

 .../rb-audioscrobbler-radio-source.c               |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f25428a916b1c6d4ab77a25bfde2415e2603b6d9
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 17 16:35:43 2010 +0100

    audioscrobbler: use rb_uri_create_parent_dirs, not g_mkdir_with_parents

 plugins/audioscrobbler/rb-audioscrobbler-user.c |   79 +++++++++++++---------
 1 files changed, 47 insertions(+), 32 deletions(-)

commit 35f8788da351bcf0d85873b7a9d46e4950f4ade8
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 17 15:37:24 2010 +0100

    audioscrobbler: reorganise, comment and tidy various pieces of code

 plugins/audioscrobbler/rb-audioscrobbler-account.c |   53 +-
 .../rb-audioscrobbler-profile-source.c             |  520 ++++++++++----------
 .../rb-audioscrobbler-radio-source.c               |  312 ++++++------
 3 files changed, 442 insertions(+), 443 deletions(-)

commit 2d333e5c62779918d415b8e6fbda4322d1e5b6a6
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Jul 16 14:13:15 2010 +0100

    audioscrobbler: allow radio station source to be renamed

 plugins/audioscrobbler/audioscrobbler-ui.xml       |    1 +
 .../rb-audioscrobbler-profile-source.c             |   19 ++++++++++++++
 .../rb-audioscrobbler-radio-source.c               |   26 ++++++++++++++++++-
 3 files changed, 44 insertions(+), 2 deletions(-)

commit 6f67a266208fb76d66c6313cd76ef135730d8d9b
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Jul 16 01:03:38 2010 +0100

    audioscrobbler: save user's list of radio stations when it changes
    
    When the user's list of stations changes, ie when a station is created or
    deleted by the user, save the list of stations to a file.

 .../rb-audioscrobbler-profile-source.c             |   69 ++++++++++++++++++-
 1 files changed, 65 insertions(+), 4 deletions(-)

commit e6c78df84a0744bfb086e712ef6dc92088e01eb6
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Jul 15 16:33:26 2010 +0100

    audioscrobbler: remove source's love/ban actions from ui manager on deletion
    
    Ensures that when a profile source is deleted then another is created
    attempting to love or ban a track will actually work instead of segfaulting

 .../rb-audioscrobbler-profile-source.c             |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 2bbe0287b733b24d38fbb34a51c1b2ce6c6086cd
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Jul 15 16:03:01 2010 +0100

    audioscrobbler: load user's saved radio stations when they log in

 .../rb-audioscrobbler-profile-source.c             |   49 ++++++++++++++------
 1 files changed, 35 insertions(+), 14 deletions(-)

commit d4df5e1e24370cd90514c4d3a83b981a9028caae
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Thu Jul 15 13:06:32 2010 +0100

    audioscrobbler: RBAudioscrobbler is constructed with username + session key
    
    instead of creating scrobbler without authentication info, and using the same
    scrobbler instance when user changes, create a new scrobbler instance each time
    a different user logs in. Cleaner interface and stops unwanted behaviour such
    as songs being queued for submission when user is logged out.

 .../rb-audioscrobbler-profile-source.c             |   74 +++++++++++---------
 .../rb-audioscrobbler-radio-source.c               |    1 +
 plugins/audioscrobbler/rb-audioscrobbler.c         |   70 ++++++++----------
 plugins/audioscrobbler/rb-audioscrobbler.h         |    8 +--
 4 files changed, 76 insertions(+), 77 deletions(-)

commit cc1c75acb3a1f63d60f5f562591fb69d9c1b27c9
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Jul 14 14:29:51 2010 +0100

    audioscrobbler: handle invalid url and no content errors when tuning radio

 .../rb-audioscrobbler-radio-source.c               |   63 +++++++++----------
 1 files changed, 30 insertions(+), 33 deletions(-)

commit 9ebdc2ea4d40001dcf54a00bf69b524826a9cd48
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 13 15:01:21 2010 +0100

    audioscrobbler: cancel playlist request if radio tuning is unsuccessful

 .../rb-audioscrobbler-radio-source.c               |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

commit 32934a27b4bf1fe943fd059dc76a44b711cff370
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 13 13:56:12 2010 +0100

    audioscrobbler: add UI for creating custom radio stations

 plugins/audioscrobbler/audioscrobbler-profile.ui   |  123 +++++++++++++++++++-
 .../rb-audioscrobbler-profile-source.c             |   92 +++++++++++++++
 .../rb-audioscrobbler-radio-source.c               |   42 +++++--
 .../rb-audioscrobbler-radio-source.h               |    3 +-
 4 files changed, 242 insertions(+), 18 deletions(-)

commit 86fe51638c03f6ecb12a4fa27642bf513b51b0a2
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 10 21:46:35 2010 +0100

    audioscrobbler: add radio source popup with "Delete Station" option

 plugins/audioscrobbler/audioscrobbler-ui.xml       |   13 +-----
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |   17 ++++++++
 .../rb-audioscrobbler-profile-source.c             |   17 ++++++++-
 .../rb-audioscrobbler-profile-source.h             |    2 +
 .../rb-audioscrobbler-radio-source.c               |   41 ++++++++++++++++++++
 5 files changed, 78 insertions(+), 12 deletions(-)

commit 29c46c094e9e9f756768fc91a395188ddb17ca3a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sat Jul 10 18:04:40 2010 +0100

    audioscrobbler: notify user in case of error when tuning radio station

 .../rb-audioscrobbler-radio-source.c               |   93 ++++++++++++++++----
 1 files changed, 76 insertions(+), 17 deletions(-)

commit 1be5c045b933c0c5b729050a6b267820373688d9
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Fri Jul 9 17:29:32 2010 +0100

    audioscrobbler: create radio stations through popup menus in profile source
    
    Tracks and Artists shown in lists in the profile source have items in
    their popup menus to create relevent "Similar Artists" and "Top Fans"
    radio stations.

 .../rb-audioscrobbler-profile-source.c             |  186 +++++++++++++++++---
 .../rb-audioscrobbler-radio-source.c               |   40 ++++-
 .../rb-audioscrobbler-radio-source.h               |   16 ++
 3 files changed, 218 insertions(+), 24 deletions(-)

commit 28f0bc1af438070ef869051b838c2903a41e14f2
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Jul 7 22:15:43 2010 +0100

    audioscrobbler: add love and ban actions

 .../rb-audioscrobbler-profile-source.c             |  145 ++++++++++++++++++++
 .../rb-audioscrobbler-radio-source.c               |   10 ++
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |  116 ++++++++++++++++
 plugins/audioscrobbler/rb-audioscrobbler-user.h    |    7 +
 4 files changed, 278 insertions(+), 0 deletions(-)

commit d2062ba54177c370adcc78d8ef7ae4a20c6dbc1a
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 6 16:20:50 2010 +0100

    audioscrobbler: improve and add comments in radio-source.c

 .../rb-audioscrobbler-radio-source.c               |   64 ++++++++++---------
 1 files changed, 34 insertions(+), 30 deletions(-)

commit 8d026e24774c07aca824359386837bab3dd5efd0
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 6 15:57:21 2010 +0100

    audioscrobbler: implement get_status for radio source
    
    Inherit from RBStreamingSource to utilise its buffering status messages

 .../rb-audioscrobbler-radio-source.c               |   34 +++++++++++++++++++-
 .../rb-audioscrobbler-radio-source.h               |    6 ++--
 2 files changed, 36 insertions(+), 4 deletions(-)

commit f7014e1789eb09c476877043093b4da8d2286e90
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Tue Jul 6 13:07:32 2010 +0100

    audioscrobbler: add initial radio streaming support
    
    RBAudioscrobblerRadioSource is a source which populates an entry view
    with entries fetched from a specific Last.fm radio station. These are
    added to the source list as children of the profile source. In the future
    the user will be able to create and delete these at will, but for the time
    being only a few are added for testing purposes.
    
    The source is currently capable of fetching and parsing the playlist that
    Last.fm provides, and playing these tracks when they are selected.

 plugins/audioscrobbler/Makefile.am                 |    4 +-
 plugins/audioscrobbler/rb-audioscrobbler-plugin.c  |    2 -
 .../rb-audioscrobbler-profile-source.c             |   93 ++-
 .../rb-audioscrobbler-radio-source.c               |  915 ++++++++++++++++++++
 .../rb-audioscrobbler-radio-source.h               |   70 ++
 5 files changed, 1068 insertions(+), 16 deletions(-)

commit 569af632c26a2a88cc0c5698704ec2fe169a0d6f
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Wed Jun 30 12:38:33 2010 +0100

    audioscrobbler: add popup menus to list items in profile source
    
    Menus have option to view the item in a web browser

 .../rb-audioscrobbler-profile-source.c             |  313 ++++++++++++++------
 plugins/audioscrobbler/rb-audioscrobbler-user.c    |   21 +-
 plugins/audioscrobbler/rb-audioscrobbler-user.h    |    4 +-
 3 files changed, 225 insertions(+), 113 deletions(-)

commit 97859ece0edb20c21aec4c4bf5e7bafe827f408f
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jun 27 20:29:01 2010 +0100

    audioscrobbler: include profile gtk builder file in Makefile.am

 plugins/audioscrobbler/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 91ff4db3426b9f0b17d11700bfb8a859dec33b77
Author: Jamie Nicol <jamie@thenicols.net>
Date:   Sun Jun 27 14:30:34 2010 +0100

    audioscrobbler: report scrobbler statistics in profile source
    
    Scrobbler status, queue size, number of submitted songs and the time
    of last submission are reported to the user in an expander in the profile
    source. These used to be located in the preferences dialog.

 lib/rb-marshal.list                                |    1 +
 plugins/audioscrobbler/audioscrobbler-profile.ui   |  167 ++++++++++++++++++--
